diff --git a/docs/en_US/preferences.rst b/docs/en_US/preferences.rst
index 858ca7b..2e64097 100644
--- a/docs/en_US/preferences.rst
+++ b/docs/en_US/preferences.rst
@@ -185,6 +185,7 @@ Expand the *Miscellaneous* node to specify miscellaneous display preferences.
 * Use the *Themes* drop-down listbox to select the theme for pgAdmin. You'll also get a preview just below the
   drop down. Note that, to apply the theme you need to refresh the pgAdmin page. You can also submit your
   own themes, check `here <https://git.postgresql.org/gitweb/?p=pgadmin4.git;a=blob_plain;f=README>`_ how.
+  Currently we support Dark and High Contrast (Beta) Theme as well.
 
 The Paths Node
 **************
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
index 3d2b346..d69e22a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
@@ -213,7 +213,7 @@ define('pgadmin.node.fts_configuration', [
           '   </div>',
           '   <div class="col-6" header="token"></div>',
           '   <div class="col-2">',
-          '     <button class="btn btn-sm-sq btn-secondary add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ><span class="sr-only">' + gettext('Add Token') + '</span></button>',
+          '     <button class="btn btn-sm-sq btn-primary-icon add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ><span class="sr-only">' + gettext('Add Token') + '</span></button>',
           '   </div>',
           '  </div>',
           ' </div>',
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
index ba1566a..57d65d3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
@@ -450,7 +450,7 @@ define('pgadmin.node.exclusion_constraint', [
           titleTmpl = _.template([
             '<div class="subnode-header">',
             '  <label class="control-label pg-el-sm-10"><%-label%></label>',
-            '  <button class="btn btn-sm-sq btn-secondary add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + gettext('Add new row') + '"></button>',
+            '  <button class="btn btn-sm-sq btn-primary-icon add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + gettext('Add new row') + '"></button>',
             '</div>'].join('\n')),
           $gridBody =
           $('<div class=\'pgadmin-control-group backgrid form-group col-12 object subnode\'></div>').append(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index 0af5ca0..49b533c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -385,7 +385,7 @@ define('pgadmin.node.foreign_key', [
           titleTmpl = _.template([
             '<div class="subnode-header">',
             '  <label class="control-label pg-el-sm-10"><%-label%></label>',
-            '  <button class="btn btn-sm-sq btn-secondary add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + gettext('Add new row') + '"></button>',
+            '  <button class="btn btn-sm-sq btn-primary-icon add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + gettext('Add new row') + '"></button>',
             '</div>'].join('\n')),
           $gridBody =
           $('<div class=\'pgadmin-control-group backgrid form-group col-12 object subnode\'></div>').append(
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index a289779..6d03a17 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -338,7 +338,7 @@ function(gettext, _, $, Backbone, Backform, Backgrid, Alertify, pgAdmin, pgNode)
             titleTmpl = _.template([
               '<div class=\'subnode-header\'>',
               '<span class=\'control-label\'><%-label%></span>',
-              '<button class=\'btn btn-sm-sq btn-secondary add fa fa-plus\' title=\'' + gettext('Add new row') + '\' <%=canAdd ? \'\' : \'disabled="disabled"\'%>><span class="sr-only">' + gettext('Add new row') + '</span></button>',
+              '<button class=\'btn btn-sm-sq btn-primary-icon add fa fa-plus\' title=\'' + gettext('Add new row') + '\' <%=canAdd ? \'\' : \'disabled="disabled"\'%>><span class="sr-only">' + gettext('Add new row') + '</span></button>',
               '</div>'].join('\n')),
             $gridBody =
             $('<div class=\'pgadmin-control-group backgrid form-group col-12 object subnode\'></div>').append(
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index 9b4fe75..8e4db7e 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -190,7 +190,7 @@ define('pgadmin.node.tablespace', [
                   return {
                     buttons: [{
                       text: '', key: 112,
-                      className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                      className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
                       attrs:{name:'dialog_help', type:'button', label: gettext('Users'),
                         url: url_for('help.static', {'filename': 'move_objects.html'})},
                     },{
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index dcf3cc0..c7f1b72 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -603,7 +603,7 @@ define('pgadmin.browser', [
               return {
                 buttons:[{
                   text: '',
-                  className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                  className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 3207f78..124817a 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -246,7 +246,7 @@ define([
           label: '',
           type: 'delete',
           tooltip: gettext('Delete/Drop'),
-          extraClasses: ['btn-secondary m-1', 'delete_multiple'],
+          extraClasses: ['btn-primary-icon m-1', 'delete_multiple'],
           icon: 'fa fa-lg fa-trash-o',
           disabled:  (_.isFunction(that.canDrop)) ? !(that.canDrop.apply(self, [data, item])) : (!that.canDrop),
           register: function(btn) {
@@ -260,7 +260,7 @@ define([
           label: '',
           type: 'delete',
           tooltip: gettext('Drop Cascade'),
-          extraClasses: ['btn-secondary m-1', 'delete_multiple_cascade'],
+          extraClasses: ['btn-primary-icon m-1', 'delete_multiple_cascade'],
           icon: 'pg-font-icon icon-drop-cascade',
           disabled: (_.isFunction(that.canDropCascade)) ? !(that.canDropCascade.apply(self, [data, item])) : (!that.canDropCascade),
           register: function(btn) {
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index fec65eb..93285fb 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1245,7 +1245,7 @@ define('pgadmin.browser.node', [
               label: '',
               type: 'help',
               tooltip: gettext('SQL help for this object type.'),
-              extraClasses: ['btn-secondary', 'btn-secondary', 'm-1'],
+              extraClasses: ['btn-primary-icon', 'btn-primary-icon', 'm-1'],
               icon: 'fa fa-lg fa-info',
               disabled: (that.sqlAlterHelp == '' && that.sqlCreateHelp == '') ? true : false,
               register: function(btn) {
@@ -1498,7 +1498,7 @@ define('pgadmin.browser.node', [
               label: '',
               type: 'help',
               tooltip: gettext('SQL help for this object type.'),
-              extraClasses: ['btn-secondary', 'pull-left', 'mx-1'],
+              extraClasses: ['btn-primary-icon', 'pull-left', 'mx-1'],
               icon: 'fa fa-lg fa-info',
               disabled: (that.sqlAlterHelp == '' && that.sqlCreateHelp == '') ? true : false,
               register: function(btn) {
@@ -1510,7 +1510,7 @@ define('pgadmin.browser.node', [
               label: '',
               type: 'help',
               tooltip: gettext('Help for this dialog.'),
-              extraClasses: ['btn-secondary', 'pull-left', 'mx-1'],
+              extraClasses: ['btn-primary-icon', 'pull-left', 'mx-1'],
               icon: 'fa fa-lg fa-question',
               disabled: (that.dialogHelp == '') ? true : false,
               register: function(btn) {
diff --git a/web/pgadmin/browser/static/js/toolbar.js b/web/pgadmin/browser/static/js/toolbar.js
index 355354f..d0f6668 100644
--- a/web/pgadmin/browser/static/js/toolbar.js
+++ b/web/pgadmin/browser/static/js/toolbar.js
@@ -24,7 +24,7 @@ let _defaultToolBarButtons = [
     text: '',
     toggled: false,
     toggleClass: '',
-    parentClass: 'pg-toolbar-btn btn-secondary',
+    parentClass: 'pg-toolbar-btn btn-primary-icon',
     enabled: false,
   },
   {
@@ -34,7 +34,7 @@ let _defaultToolBarButtons = [
     text: '',
     toggled: false,
     toggleClass: '',
-    parentClass: 'pg-toolbar-btn btn-secondary',
+    parentClass: 'pg-toolbar-btn btn-primary-icon',
     enabled: false,
   },
   {
@@ -44,7 +44,7 @@ let _defaultToolBarButtons = [
     text: '',
     toggled: false,
     toggleClass: '',
-    parentClass: 'pg-toolbar-btn btn-secondary',
+    parentClass: 'pg-toolbar-btn btn-primary-icon',
     enabled: false,
   },
   {
@@ -54,7 +54,7 @@ let _defaultToolBarButtons = [
     text: '',
     toggled: false,
     toggleClass: '',
-    parentClass: 'pg-toolbar-btn btn-secondary',
+    parentClass: 'pg-toolbar-btn btn-primary-icon',
     enabled: false,
   },
 ];
diff --git a/web/pgadmin/browser/static/js/wizard.js b/web/pgadmin/browser/static/js/wizard.js
index 408b4ff..af4cd16 100644
--- a/web/pgadmin/browser/static/js/wizard.js
+++ b/web/pgadmin/browser/static/js/wizard.js
@@ -129,7 +129,7 @@ define([
       '        <div class="wizard-buttons d-flex">' +
       '          <div>' +
       '            <button tabindex="0" aria-label="' + gettext('Help') + '" title = "' + gettext('Help for this dialog.') + '"' +
-      '              class="btn btn-secondary pull-left wizard-help" <%=this.options.wizard_help ? "" : "disabled" %>>' +
+      '              class="btn btn-primary-icon pull-left wizard-help" <%=this.options.wizard_help ? "" : "disabled" %>>' +
       '              <span class="fa fa-lg fa-question" role="img"></span></button>' +
       '          </div>' +
       '          <div class="ml-auto">' +
diff --git a/web/pgadmin/browser/static/scss/_wizard.scss b/web/pgadmin/browser/static/scss/_wizard.scss
index 8a9c31d..67e2b8c 100644
--- a/web/pgadmin/browser/static/scss/_wizard.scss
+++ b/web/pgadmin/browser/static/scss/_wizard.scss
@@ -2,10 +2,10 @@
   padding: 6px!important;
   min-height: $title-height;
   max-height: $title-height;
-  background-color: $color-primary;
+  background-color: $alert-header-bg;
   font-size: $font-size-base;
   font-weight: bold;
-  color: $color-primary-fg;
+  color: $alert-header-fg;
   overflow: hidden;
   white-space: nowrap;
   border-radius: 0rem;
diff --git a/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html b/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
index 5b19a64..0f9e7d8 100644
--- a/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
+++ b/web/pgadmin/dashboard/templates/dashboard/database_dashboard.html
@@ -85,7 +85,7 @@
                             </div>
                             <input type="search" class="form-control" id="txtGridSearch" placeholder="{{ _('Search') }}" aria-describedby="labelSearch" aria-labelledby="labelSearch">
                         </div>
-                        <button id="btn_refresh" type="button" class="btn btn-secondary btn-navtab-inline" title="{{ _('Refresh') }}" aria-label="{{ _('Refresh') }}">
+                        <button id="btn_refresh" type="button" class="btn btn-primary-icon btn-navtab-inline" title="{{ _('Refresh') }}" aria-label="{{ _('Refresh') }}">
                             <span class="fa fa-refresh" aria-hidden="true"></span>
                         </button>
                     </div>
diff --git a/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html b/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
index 709bcce..08addc1 100644
--- a/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
+++ b/web/pgadmin/dashboard/templates/dashboard/server_dashboard.html
@@ -89,7 +89,7 @@
                             </div>
                             <input type="search" class="form-control" id="txtGridSearch" placeholder="{{ _('Search') }}" aria-label="{{ _('Search') }}" aria-describedby="labelSearch">
                         </div>
-                        <button id="btn_refresh" type="button" class="btn btn-secondary btn-navtab-inline" title="{{ _('Refresh') }}" aria-label="{{ _('Refresh') }}">
+                        <button id="btn_refresh" type="button" class="btn btn-primary-icon btn-navtab-inline" title="{{ _('Refresh') }}" aria-label="{{ _('Refresh') }}">
                             <span class="fa fa-refresh" aria-hidden="true"></span>
                         </button>
                     </div>
diff --git a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
index daa51ef..c2b81e7 100644
--- a/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
+++ b/web/pgadmin/misc/bgprocess/static/js/bgprocess.js
@@ -38,21 +38,21 @@ define('misc.bgprocess', [
         <div class="pr-2">
           <i class="fa fa-check fa-lg text-success pg-bg-status-icon" aria-hidden="true" role="img"></i>
         </div>
-        <div class="text-body mx-auto pg-bg-status-text"><%-status_text%></div>
+        <div class="mx-auto pg-bg-status-text alert-text-body"><%-status_text%></div>
       </div>`),
       failed_status_tpl: _.template(`
       <div class="d-flex px-2 py-1 bg-danger-lighter border border-danger rounded">
         <div class="pr-2">
           <i class="fa fa-close fa-lg text-danger pg-bg-status-icon" aria-hidden="true" role="img"></i>
         </div>
-        <div class="text-body mx-auto pg-bg-status-text"><%-status_text%></div>
+        <div class="mx-auto pg-bg-status-text alert-text-body"><%-status_text%></div>
       </div>`),
       other_status_tpl: _.template(`
       <div class="d-flex px-2 py-1 bg-primary-light border border-primary rounded">
         <div class="pr-2">
           <i class="fa fa-info fa-lg text-primary pg-bg-status-icon" aria-hidden="true" role="img"></i>
         </div>
-        <div class="text-body mx-auto pg-bg-status-text"><%-status_text%></div>
+        <div class="mx-auto pg-bg-status-text alert-text-body"><%-status_text%></div>
       </div>`),
       initialize: function(info, notify) {
         _.extend(this, {
diff --git a/web/pgadmin/misc/file_manager/static/js/utility.js b/web/pgadmin/misc/file_manager/static/js/utility.js
index c15a9d9..26fa239 100644
--- a/web/pgadmin/misc/file_manager/static/js/utility.js
+++ b/web/pgadmin/misc/file_manager/static/js/utility.js
@@ -1542,7 +1542,7 @@ define([
         // we remove simple file upload element
         $('.file-input-container').remove();
         $('.upload').remove();
-        $('.create').before('<button value="Upload" type="button" title="Upload File" name="upload" id="upload" class="btn btn-sm btn-secondary upload" tabindex="0"><span class="fa fa-upload sql-icon-lg"></span></button> ');
+        $('.create').before('<button value="Upload" type="button" title="Upload File" name="upload" id="upload" class="btn btn-sm btn-primary-icon upload" tabindex="0"><span class="fa fa-upload sql-icon-lg"></span></button> ');
 
         $('#uploader .upload').off().on('click', function() {
           // we create prompt
diff --git a/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss b/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
index b259df9..d2682f6 100644
--- a/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
+++ b/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
@@ -53,7 +53,8 @@
 .file_listing #contents.grid li.selected {
   cursor: pointer;
   border: $table-hover-border;
-  background: $table-hover-bg-color;
+  background: $grid-hover-bg-color;
+  color: $grid-hover-fg-color;
 }
 
 .fileinfo #contents li span.less_text {
@@ -317,6 +318,16 @@
   cursor: pointer;
 }
 
+.cap_select_file:hover {
+  color: $grid-hover-fg-color !important;
+  .fm_folder_list,
+  .fm_folder_grid,
+  .fm_file_grid,
+  .fm_file_list {
+    color: $grid-hover-fg-color !important;
+  }
+}
+
 .add-folder-icon {
   position: relative;
   top: -8px;
diff --git a/web/pgadmin/misc/file_manager/templates/file_manager/index.html b/web/pgadmin/misc/file_manager/templates/file_manager/index.html
index 99ef0ac..b3766b2 100644
--- a/web/pgadmin/misc/file_manager/templates/file_manager/index.html
+++ b/web/pgadmin/misc/file_manager/templates/file_manager/index.html
@@ -8,11 +8,11 @@
             <div class="flex-grow-1 mr-1">
                 <div class="input-group" role="group">
                     <div class="input-group-prepend">
-                        <button name="home" type="button" value="Home" title="{{ _('Home') }}" class="btn btn-secondary home"
+                        <button name="home" type="button" value="Home" title="{{ _('Home') }}" class="btn btn-primary-icon home"
                                 tabindex="0">
                             <span class="fa fa-home sql-icon-lg"></span>
                         </button>
-                        <button name="level-up" type="button" title="{{ _('Back') }}" value="LevelUp" class="btn btn-secondary level-up"
+                        <button name="level-up" type="button" title="{{ _('Back') }}" value="LevelUp" class="btn btn-primary-icon level-up"
                                 disabled tabindex="0">
                             <span class="fa fa-level-up sql-icon-lg"></span>
                         </button>
@@ -24,32 +24,32 @@
             <div>
                 <input class="mode" name="mode" type="hidden" value="add"/>
                 <input class="currentpath" name="currentpath" type="hidden"/>
-                <button type="button" title="{{ _('Refresh') }}" class="btn btn-sm btn-secondary refresh"
+                <button type="button" title="{{ _('Refresh') }}" class="btn btn-sm btn-primary-icon refresh"
                         tabindex="0">
                     <span class="fa fa-refresh sql-icon-lg"></span>
                 </button>
-                <button type="button" title="{{ _('Download File') }}" class="btn btn-sm btn-secondary download"
+                <button type="button" title="{{ _('Download File') }}" class="btn btn-sm btn-primary-icon download"
                         disabled>
                     <span class="fa fa-download sql-icon-lg"></span>
                 </button>
-                <button name="delete" type="button" title="{{ _('Delete File/Folder') }}" class="btn btn-sm btn-secondary delete"
+                <button name="delete" type="button" title="{{ _('Delete File/Folder') }}" class="btn btn-sm btn-primary-icon delete"
                         disabled>
                     <span class="fa fa-trash sql-icon-lg"></span>
                 </button>
-                <button name="rename" type="button" title="{{ _('Rename File/Folder') }}" class="btn btn-sm btn-secondary rename"
+                <button name="rename" type="button" title="{{ _('Rename File/Folder') }}" class="btn btn-sm btn-primary-icon rename"
                         tabindex="0">
                     <span class="fa fa-pencil-square-o sql-icon-lg"></span>
                 </button>
                 <button name="newfolder" type="button" title="{{ _('Create new folder') }}" value="New Folder"
-                        class="btn btn-sm btn-secondary create" tabindex="0">
+                        class="btn btn-sm btn-primary-icon create" tabindex="0">
                     <span class="fa fa-folder-open sql-icon-lg"></span>
                     <span class="fa fa-plus add-folder-icon"></span>
                 </button>
                 <div class="btn-group" role="group">
-                    <button class="ON btn btn-secondary btn-sm grid" type="button" title="{{ _('View as grid') }}" tabindex="0">
+                    <button class="ON btn btn-primary-icon btn-sm grid" type="button" title="{{ _('View as grid') }}" tabindex="0">
                         <span class="fa fa-th sql-icon-lg"></span>
                     </button>
-                    <button type="button" class="btn btn-secondary btn-sm list" title="{{ _('View as table') }}" tabindex="0">
+                    <button type="button" class="btn btn-primary-icon btn-sm list" title="{{ _('View as table') }}" tabindex="0">
                         <span class="fa fa-list sql-icon-lg"></span>
                     </button>
                 </div>
@@ -67,14 +67,14 @@
         <div class='delete_item'>
             <span>{{ _('Are you sure you want to delete this item?') }}</span>
             <span class="pull-right">
-                <button type='button' class='btn btn-secondary btn_no' tabindex="0">{{ _('No') }}</button>
+                <button type='button' class='btn btn-primary-icon btn_no' tabindex="0">{{ _('No') }}</button>
                 <button type='button' class='btn btn-primary btn_yes' tabindex="0">{{ _('Yes') }}</button>
             </span>
         </div>
         <div class='replace_file'>
             <span>{{ _('Are you sure you want to replace this file?') }}</span>
             <span class="pull-right">
-                <button type='button' class='btn btn-secondary btn_no' tabindex="0">{{ _('No') }}</button>
+                <button type='button' class='btn btn-primary-icon btn_no' tabindex="0">{{ _('No') }}</button>
                 <button type='button' class='btn btn-primary btn_yes' tabindex="0">{{ _('Yes') }}</button>
             </span>
         </div>
diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index 935f281..83b6b90 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -1285,7 +1285,7 @@ define('pgadmin.misc.explain', [
           role: 'group',
         }).appendTo(graphicalContainer),
         zoomInBtn = $('<button></button>', {
-          class: 'btn btn-secondary pg-explain-zoom-btn',
+          class: 'btn btn-primary-icon pg-explain-zoom-btn',
           title: gettext('Zoom in'),
           'aria-label': gettext('Zoom in'),
           tabindex: 0,
@@ -1294,7 +1294,7 @@ define('pgadmin.misc.explain', [
             class: 'fa fa-search-plus',
           })),
         zoomToNormal = $('<button></button>', {
-          class: 'btn btn-secondary pg-explain-zoom-btn',
+          class: 'btn btn-primary-icon pg-explain-zoom-btn',
           title: gettext('Zoom to original'),
           'aria-label': gettext('Zoom to original'),
           tabindex: 0,
@@ -1303,7 +1303,7 @@ define('pgadmin.misc.explain', [
             class: 'fa fa-arrows-alt',
           })),
         zoomOutBtn = $('<button></button>', {
-          class: 'btn btn-secondary pg-explain-zoom-btn',
+          class: 'btn btn-primary-icon pg-explain-zoom-btn',
           title: gettext('Zoom out'),
           'aria-label': gettext('Zoom out'),
           tabindex: 0,
@@ -1318,7 +1318,7 @@ define('pgadmin.misc.explain', [
         }).appendTo(graphicalContainer),
         downloadBtn = $('<button></button>', {
           id: 'btn-explain-download',
-          class: 'btn btn-secondary pg-explain-download-btn',
+          class: 'btn btn-primary-icon pg-explain-download-btn',
           title: gettext('Download'),
           'aria-label': gettext('Download'),
           tabindex: 0,
@@ -1347,7 +1347,7 @@ define('pgadmin.misc.explain', [
 
       $('<button></button>', {
         id: 'btn-explain-stats',
-        class: 'btn btn-secondary pg-explain-stats-btn',
+        class: 'btn btn-primary-icon pg-explain-stats-btn',
         title: gettext('Statistics'),
         'aria-label': gettext('Statistics'),
         tabindex: 0,
diff --git a/web/pgadmin/misc/static/explain/scss/_explain.scss b/web/pgadmin/misc/static/explain/scss/_explain.scss
index ff32fb2..56518d0 100644
--- a/web/pgadmin/misc/static/explain/scss/_explain.scss
+++ b/web/pgadmin/misc/static/explain/scss/_explain.scss
@@ -49,6 +49,7 @@ div.tab-pane[data-explain-tabpanel=table] {
   td.pga-ex-inclusive-2,
   td.pga-ex-rowsx-2 {
     background-color: $explain-sev-2-bg;
+    color: $explain-sev-2-color;
   }
 
   td.pga-ex-exclusive-3,
diff --git a/web/pgadmin/preferences/static/js/preferences.js b/web/pgadmin/preferences/static/js/preferences.js
index dd96717..2afa9fe 100644
--- a/web/pgadmin/preferences/static/js/preferences.js
+++ b/web/pgadmin/preferences/static/js/preferences.js
@@ -420,7 +420,7 @@ define('pgadmin.preferences', [
               buttons: [{
                 text: '',
                 key: 112,
-                className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
                 attrs: {
                   name: 'dialog_help',
                   type: 'button',
diff --git a/web/pgadmin/static/js/alertify.pgadmin.defaults.js b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
index 8b0f8ac..1ed7712 100644
--- a/web/pgadmin/static/js/alertify.pgadmin.defaults.js
+++ b/web/pgadmin/static/js/alertify.pgadmin.defaults.js
@@ -442,7 +442,7 @@ define([
         <div class="pr-2">
           <i class="fa fa-check" aria-hidden="true"></i>
         </div>
-        <div class="text-body" role="status">${message}</div>
+        <div class="alert-text-body" role="status">${message}</div>
       </div>`;
       return alertify.orig_success(alertMessage, timeout, callback);
     },
@@ -452,7 +452,7 @@ define([
         <div class="pr-2">
           <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
         </div>
-        <div class="text-body" role="status">${message}</div>
+        <div class="alert-text-body" role="status">${message}</div>
       </div>`;
       return alertify.orig_error(alertMessage, timeout, callback);
     },
@@ -462,7 +462,7 @@ define([
         <div class="mr-3">
           <i class="fa fa-info-circle" aria-hidden="true"></i>
         </div>
-        <div class="text-body" role="status">${message}</div>
+        <div class="alert-text-body" role="status">${message}</div>
       </div>`;
       var alert = alertify.notify(alertMessage, timeout);
       return alert;
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 9a259c6..6be16b7 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -1298,7 +1298,7 @@ define([
         gridHeader = _.template([
           '<div class="subnode-header">',
           '  <span  class="control-label pg-el-sm-10" id="<%=cId%>"><%-label%></span>',
-          '  <button aria-label="' + gettext('Add new row') + '" class="btn btn-sm-sq btn-secondary add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + gettext('Add new row') + '"><%-add_label%></button>',
+          '  <button aria-label="' + gettext('Add new row') + '" class="btn btn-sm-sq btn-primary-icon add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> title="' + gettext('Add new row') + '"><%-add_label%></button>',
           '</div>',
         ].join('\n')),
         gridBody = $('<div class="pgadmin-control-group backgrid form-group pg-el-12 object subnode "></div>').append(
@@ -1585,7 +1585,7 @@ define([
       var self = this,
         gridHeader = ['<div class=\'subnode-header\'>',
           '  <span class=\'control-label pg-el-sm-10\'>' + data.label + '</span>',
-          '  <button aria-label="' + gettext('Add') + '" class=\'btn btn-sm-sq btn-secondary add fa fa-plus\' title=\'' + gettext('Add new row') + '\'></button>',
+          '  <button aria-label="' + gettext('Add') + '" class=\'btn btn-sm-sq btn-primary-icon add fa fa-plus\' title=\'' + gettext('Add new row') + '\'></button>',
           '</div>',
         ].join('\n'),
         gridBody = $('<div class=\'pgadmin-control-group backgrid form-group pg-el-12 object subnode\'></div>').append(gridHeader);
@@ -2728,7 +2728,7 @@ define([
       '<div class="input-group">',
       '<input type="<%=type%>" id="<%=cId%>" class="form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=readonly ? "readonly aria-readonly=true" : ""%> <%=required ? "required" : ""%> />',
       '<div class="input-group-append">',
-      '<button class="btn btn-secondary fa fa-ellipsis-h select_item" <%=disabled ? "disabled" : ""%> <%=readonly ? "disabled" : ""%> aria-hidden="true" aria-label="' + gettext('Select file') + '" title="' + gettext('Select file') + '"></button>',
+      '<button class="btn btn-primary-icon fa fa-ellipsis-h select_item" <%=disabled ? "disabled" : ""%> <%=readonly ? "disabled" : ""%> aria-hidden="true" aria-label="' + gettext('Select file') + '" title="' + gettext('Select file') + '"></button>',
       '</div>',
       '</div>',
       '<% if (helpMessage && helpMessage.length) { %>',
diff --git a/web/pgadmin/static/js/sqleditor/filter_dialog.js b/web/pgadmin/static/js/sqleditor/filter_dialog.js
index 4263d42..b275b86 100644
--- a/web/pgadmin/static/js/sqleditor/filter_dialog.js
+++ b/web/pgadmin/static/js/sqleditor/filter_dialog.js
@@ -65,7 +65,7 @@ let FilterDialog = {
                 buttons: [{
                   text: '',
                   key: 112,
-                  className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                  className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
diff --git a/web/pgadmin/static/scss/_aci_tree.overrides.scss b/web/pgadmin/static/scss/_aci_tree.overrides.scss
index 88e0d92..44ee7c6 100644
--- a/web/pgadmin/static/scss/_aci_tree.overrides.scss
+++ b/web/pgadmin/static/scss/_aci_tree.overrides.scss
@@ -10,7 +10,7 @@
 
 .aciTree, .aciTree.aciTreeFullRow {
     & .aciTreeButton, & .aciTreePush, & .aciTreeItem, & .aciTreeIcon, & .aciTreeText, & .aciTreeColumn {
-        color: $color-fg;
+        color: $tree-text-fg;
     }
 
     .aciTreeLi {
@@ -53,6 +53,15 @@
             border-radius: none !important;
             color: $tree-fg-selected;
         }
+
+        & .aciTreeText {
+          color: $tree-text-hover-fg;
+        }
+
+        & .aciTreePush {
+          color: $tree-text-hover-fg;
+        }
+
     }
 
     .aciTreeItem {
@@ -77,6 +86,15 @@
             border-radius: none !important;
             color: $tree-fg-hover;
         }
+
+        & .aciTreeText {
+          color: $tree-text-hover-fg;
+        }
+
+        & .aciTreePush {
+          color: $tree-text-hover-fg;
+        }
+
     }
 
     &.aciTreeFocus {
diff --git a/web/pgadmin/static/scss/_alert.scss b/web/pgadmin/static/scss/_alert.scss
index 1df0812..dac552b 100644
--- a/web/pgadmin/static/scss/_alert.scss
+++ b/web/pgadmin/static/scss/_alert.scss
@@ -44,7 +44,7 @@
   align-self: center;
   // To make sure IE picks up the correct font
   font-family: $font-family-primary;
-  color: $color-fg;
+  color: $alert-color-fg;
 }
 
 .alert-info {
diff --git a/web/pgadmin/static/scss/_alertify.overrides.scss b/web/pgadmin/static/scss/_alertify.overrides.scss
index 43747df..498965f 100644
--- a/web/pgadmin/static/scss/_alertify.overrides.scss
+++ b/web/pgadmin/static/scss/_alertify.overrides.scss
@@ -5,10 +5,10 @@
     //margin is calculated with -$alertify-borderremove-margin, adjust the header
     min-height: $title-height + $alertify-borderremove-margin !important;
     max-height: $title-height + $alertify-borderremove-margin !important;
-    background-color: $color-primary;
+    background-color: $alert-header-bg;
     font-size: $font-size-base;
     font-weight: bold;
-    color: $color-primary-fg;
+    color: $alert-header-fg;
     overflow: hidden;
     white-space: nowrap;
     text-overflow: ellipsis;
@@ -19,12 +19,12 @@
     margin: -24px - $alertify-borderremove-margin; //-24px is default by alertify
     margin-bottom: 0px;
     &:hover {
-      background-color: $color-primary;
+      background-color: $alert-header-bg;
     }
   }
 
   .ajs-body {
-    background-color: $color-bg !important;
+    background-color: $alert-dialog-body-bg !important;
     color: $color-fg !important;
   }
 
@@ -123,7 +123,7 @@
     border: $panel-border;
     border-radius: $panel-border-radius;
     box-shadow: $dialog-box-shadow;
-    background-color: $color-bg !important;
+    background-color: $alert-dialog-body-bg !important;
     color: $color-fg !important;
   }
   .ajs-content {
@@ -146,7 +146,7 @@
   width: 20px;
   height: 20px;
   border: $input-btn-border-width solid $btn-secondary-border !important;
-  background-color: $color-secondary !important;
+  background-color: $alert-action-bg !important;
   font-size: 12px;
   border-radius: $btn-border-radius;
   position: relative;
@@ -157,7 +157,7 @@
 }
 
 .ajs-pin:hover, .ajs-maximize:hover, .ajs-close:hover {
-  background-color: $btn-secondary-hover-bg !important;
+  background-color: $alert-action-hover-bg !important;
 }
 
 .alertify.ajs-modeless.ajs-pinnable .ajs-commands button.ajs-pin {
@@ -280,6 +280,9 @@
   }
 }
 
+.alert-text-body {
+  color: $alert-color-fg;
+}
 
 .ajs-commands, .ajs-close {
   button {
diff --git a/web/pgadmin/static/scss/_backgrid.overrides.scss b/web/pgadmin/static/scss/_backgrid.overrides.scss
index 9bb383d..4fc1f5f 100644
--- a/web/pgadmin/static/scss/_backgrid.overrides.scss
+++ b/web/pgadmin/static/scss/_backgrid.overrides.scss
@@ -169,6 +169,12 @@ table.backgrid {
   font-weight: normal;
 }
 
+.backgrid tr:hover {
+  .label {
+    color: $grid-hover-fg-color;
+  }
+}
+
 .subnode {
   border: $panel-border;
   background: $color-bg;
diff --git a/web/pgadmin/static/scss/_bootstrap.overrides.scss b/web/pgadmin/static/scss/_bootstrap.overrides.scss
index 00fe2f1..1314eb5 100644
--- a/web/pgadmin/static/scss/_bootstrap.overrides.scss
+++ b/web/pgadmin/static/scss/_bootstrap.overrides.scss
@@ -100,17 +100,84 @@ legend {
  * Refer file : bootstrap/scss/mixins/_buttons.scss
  */
 .btn-secondary {
-	@include button-variant($color-secondary, $btn-secondary-border, $btn-secondary-hover-bg);
+	@include button-variant($btn-secondary-bg, $btn-secondary-border, $btn-secondary-hover-bg, $hover-border: $btn-secondary-border-hover-bg);
+	@include hover() {
+	  color: $btn-secondary-hover-fg !important;
+	} &.disabled, &:disabled {
+	  color: $btn-secondary-disabled-fg !important;
+	  border-color: $btn-secondary-disabled-bg !important;
+	}
+	color: $btn-secondary-fg !important;
+
 }
 
-/** Overriding secondary button of bootstrap **/
+/** Overriding ternary button of bootstrap **/
 /* Used Bootstrap 4 Mixin button-variant
  * Refer file : bootstrap/scss/mixins/_buttons.scss
  */
-.btn-ternary {
-	@include button-variant($color-ternary, $btn-ternary-border, $btn-ternary-hover-bg);
+ .btn-ternary {
+    @include button-variant($color-ternary, $color-fg);
+    border-color: $color-ternary;
+ }
+
+.btn-ternary[disabled] {
+  background-color: $btn-ternary-disabled-bg !important;
+  color: $btn-ternary-disabled-fg !important;
+  border-color: btn-ternary-disabled-border-color !important;
+
+  label {
+    background-color: $btn-ternary-disabled-bg !important;
+    color: $btn-ternary-disabled-fg !important;
+    border-color: btn-ternary-disabled-border-color !important;
+  }
+
+}
+
+.btn-primary {
+  @include button-variant($color-primary, $color-primary, $hover-background: $btn-primary-hover-bg, $hover-border: $btn-primary-border-hover-bg);
+  & .disabled,
+  &:disabled {
+    background-color: $btn-primary-disabled-bg;
+    border-color: $btn-primary-disabled-bg;
+  }
+}
+
+.btn-primary-icon {
+  @include button-variant($btn-primary-icon-bg, $btn-primary-icon-border-color);
+  @include hover() {
+	  background-color: $btn-primary-icon-hover-bg;
+	  color: $btn-primary-icon-hover-fg;
+	} &.disabled, &:disabled {
+	  color: $btn-primary-icon-disable-fg !important;
+	  border-color: $btn-primary-icon-border-disable-bg !important;
+	  background-color: $btn-primary-icon-disable-bg;
+	}
+
+	border-color: $btn-primary-icon-border-color;
+}
+
+.btn-success {
+  @include button-variant($color-success, $color-fg);
+  border-color: $color-success;
+  @include hover() {
+    color: $color-success-hover-fg !important;
+    border-color: $color-success !important;
+  }
 }
 
+.btn-success[disabled] {
+    background-color: $color-success-disabled-bg !important;
+    border-color: $color-success-disabled-bg !important;
+    color: $color-success-disabled-fg !important;
+
+    label {
+      background-color: $color-success-disabled-bg !important;
+      border-color: $color-success-disabled-bg !important;
+      color: $color-success-disabled-fg !important;
+    }
+}
+
+
 .form-group fieldset {
 	background-color: $color-gray-lighter;
 	border-color: $color-gray-lighter;
@@ -167,6 +234,9 @@ legend {
 .card-header {
 	padding: $card-header-padding;
 	font-weight: bold;
+	background-color: $card-header-bg;
+	color: $card-header-fg;
+	border-color: $card-header-border-color;
 }
 
 .table {
@@ -228,6 +298,7 @@ legend {
 	& > tbody {
 		& > tr:not(.nohover):not(.empty):hover, tr.selected {
 			background-color: $table-hover-bg-color;
+			color: $grid-hover-fg-color;
 			& > td {
 				border-top: $table-hover-border;
 				border-bottom: $table-hover-border;
@@ -236,6 +307,7 @@ legend {
 
 		& > tr.nohover {
 			background-color: transparent;
+			color: $input-color;
 		}
 	}
 }
@@ -330,6 +402,10 @@ td.switch-cell > div.toggle {
   &:focus:checked ~ .custom-control-label::before {
     border-color: $custom-control-indicator-focus-border-color;
   }
+
+  &:hover {
+    border-color: $custom-control-indicator-focus-border-color;
+  }
 }
 
 @media (max-width: 992px) {
diff --git a/web/pgadmin/static/scss/_codemirror.overrides.scss b/web/pgadmin/static/scss/_codemirror.overrides.scss
index b2d3900..90a8c4c 100644
--- a/web/pgadmin/static/scss/_codemirror.overrides.scss
+++ b/web/pgadmin/static/scss/_codemirror.overrides.scss
@@ -168,7 +168,7 @@
 }
 
 .CodeMirror .CodeMirror-selected {
-  background: $color-primary-light !important;
+  background: $sql-editor-selection-bg !important;
 }
 
 .CodeMirror-activeline-background {
@@ -200,3 +200,7 @@
         }
     }
 }
+
+.bg-gray-lighter {
+  background-color: $sql-editor-disable-bg !important;
+}
diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index 53e0916..0a2b1b6 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -368,7 +368,7 @@
   display: block;
   text-align: left;
   cursor: pointer;
-  background-color: $header-bg;
+  background-color: $badge-header-bg;
   padding: 7px;
   font-size: inherit;
   border-bottom: $panel-border;
@@ -866,7 +866,7 @@ body {
 }
 
 .editor-toolbar {
-  background: $sql-gutters-bg;
+  background: $editor-toolbar-bg;
   padding: 0.05rem 0.25rem;
 }
 
diff --git a/web/pgadmin/static/scss/_select2.overrides.scss b/web/pgadmin/static/scss/_select2.overrides.scss
index 31cf90c..c17225b 100644
--- a/web/pgadmin/static/scss/_select2.overrides.scss
+++ b/web/pgadmin/static/scss/_select2.overrides.scss
@@ -4,13 +4,13 @@
 }
 
 .select2-container--default .select2-results__option[aria-selected=true] {
-  background-color: $tree-bg-selected;
-  color: $tree-fg-selected;
+  background-color: $select2-container-bg-selected;
+  color: $select2-container-fg-selected;
 }
 
 .select2-container--default .select2-results__option--highlighted {
-  background-color: $tree-bg-hover !important;
-  color: $tree-fg-hover !important;
+  background-color: $select2-container-hover-bg !important;
+  color: $select2-container-hover-fg !important;
 }
 
 .select2-container--default .select2-selection--multiple {
@@ -27,7 +27,7 @@
   line-height: 2;
 
   & .select2-selection__choice__remove {
-    color: $dropdown-link-hover-bg;
+    color: $dropdown-link-remove-color;
     margin-right: 0.25rem;
   }
 }
diff --git a/web/pgadmin/static/scss/_webcabin.pgadmin.scss b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
index 5cf5c05..291135e 100644
--- a/web/pgadmin/static/scss/_webcabin.pgadmin.scss
+++ b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
@@ -38,7 +38,7 @@
 
 /* darken % taken from bootstrap - button_variant */
 .wcFrameButton:hover, .wcFrameButtonHover,  .wcFrameButton:focus {
-  background-color: $btn-secondary-hover-bg;
+  background-color: $btn-frame-close-bg;
 }
 
 .wcFrameButton.disabled {
@@ -74,7 +74,7 @@
 }
 
 .wcPanelTab, .wcFrameTitle{
-  color: $color-fg;
+  color: $panel-color-fg;
   padding: $tabs-padding;
   margin: 0px;
 }
diff --git a/web/pgadmin/static/scss/resources/_default.style.scss b/web/pgadmin/static/scss/resources/_default.style.scss
index 4603071..186f200 100644
--- a/web/pgadmin/static/scss/resources/_default.style.scss
+++ b/web/pgadmin/static/scss/resources/_default.style.scss
@@ -113,15 +113,15 @@
 }
 
 .text-danger {
-  color: $color-danger;
+  color: $color-danger-fg;
 }
 
 .text-primary {
-  color: $color-primary;
+  color: $color-primary-fg;
 }
 
 .text-success {
-  color: $color-success;
+  color: $color-success-fg;
 }
 
 .text-bold {
diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 670e6ec..a854cc3 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -18,6 +18,7 @@ $color-ternary: #5b6d7c !default;
 $color-ternary-fg: $white !default;
 
 $color-danger: #e53935 !default;
+$color-danger-icon-fg: $color-danger !default;
 $color-danger-fg: $white !default;
 $color-danger-light: #F39999 !default;
 $color-danger-lighter: #FAECEC !default;
@@ -26,6 +27,10 @@ $color-success: #26852B !default;
 $color-success-fg: $black !default;
 $color-success-light: #D9ECDA !default;
 
+$color-success-disabled-fg: $color-bg !default;
+$color-success-disabled-bg: $color-success !default;
+$color-success-hover-fg: $white !default;
+
 $color-warning: #eea236 !default;
 $color-warning-fg: $black !default;
 $color-warning-light: #fce5c5 !default;
@@ -61,6 +66,7 @@ $border-radius: 0.25rem;
 
 $text-muted: #667185 !default;
 $header-bg: $color-bg !default;
+$badge-header-bg: $header-bg !default;
 
 $tree-font-size: 0.815rem;
 
@@ -71,14 +77,14 @@ $alert-danger-color: $color-danger !default;
 $alert-success-bg: $color-success-light !default;
 $alert-success-color: $color-success !default;
 
-$navbar-bg: $color-primary;
+$navbar-bg: $color-primary !default;
 $navbar-font-size: 0.925rem;
 $navbar-height: 32px;
 $navbar-dropdown-top: 100%;
-$navbar-dark-color: $color-primary-fg;
+$navbar-dark-color: $color-primary-fg !default;
 $navbar-dark-hover-color: $color-primary-fg;
-$navbar-dark-active-color: $color-primary-fg;
-$navbar-dark-disabled-color: $color-gray;
+$navbar-dark-active-color: $color-primary-fg !default;
+$navbar-dark-disabled-color: $color-gray !default;
 
 $navbar-toggler-padding-y: 0.25rem; //no-change
 
@@ -92,6 +98,7 @@ $dropdown-color: $color-fg;
 $dropdown-link-color: $color-fg;
 $dropdown-link-hover-color: $color-primary-fg;
 $dropdown-link-hover-bg: $color-primary;
+$dropdown-link-remove-color: $color-primary !default;
 $dropdown-border-color: $border-color;
 $dropdown-box-shadow: 0 0.125rem 0.5rem rgba($shadow-base-color, .275);
 $dropdown-divider-bg: $dropdown-border-color;
@@ -113,9 +120,9 @@ $btn-transition: color .05s ease-in-out, background-color .05s ease-in-out, bord
 $card-spacer-y: 0rem;
 $card-spacer-x: 0rem;
 $card-border-radius: $border-radius;
-$card-border-color: $border-color;
-$card-cap-bg: $header-bg;
-$card-bg: $color-bg;
+$card-border-color: $border-color !default;
+$card-cap-bg: $header-bg !default;
+$card-bg: $color-bg !default;
 
 $navbar-padding-y: 0rem;
 $navbar-padding-x: 0rem;
@@ -135,9 +142,9 @@ $nav-tabs-link-active-border-color: none;
 
 $table-cell-padding: 0.25rem;
 $table-header-cell-padding: 0.75rem;
-$table-hover-bg: none; //we will use our own classes
+$table-hover-bg: none !default; //we will use our own classes
 $table-hover-color: #000 !default;
-$table-active-bg: $color-primary-light;
+$table-active-bg: $color-primary-light !default;
 $table-border-width: $border-width;
 $table-border-color: $border-color;
 $table-head-bg: $color-primary;
@@ -162,9 +169,10 @@ $btn-danger-color: $color-danger-fg;
 $component-active-bg: $color-primary;
 $input-btn-focus-width: .2rem;
 $input-btn-focus-color: rgba($component-active-bg, .25);
-$input-btn-focus-box-shadow: 0 0 0 $input-btn-focus-width $input-btn-focus-color;
+$input-btn-focus-shadow-color: $input-btn-focus-color !default;
+$input-btn-focus-box-shadow: 0 0 0 $input-btn-focus-width $input-btn-focus-shadow-color;
 $input-focus-bg: $input-bg;
-$input-focus-border-color: lighten($component-active-bg, 25%);
+$input-focus-border-color: lighten($component-active-bg, 25%) !default;
 $input-focus-color: $input-color;
 $input-focus-width: $input-btn-focus-width;
 $input-focus-box-shadow: $input-btn-focus-box-shadow;
@@ -186,12 +194,13 @@ $color-editor-foldmarker: #0000FF !default;
 $color-editor-activeline: #50B0F0 !default;
 
 $active-color: $color-primary !default;
-$active-border: 3px solid $active-color;
+$active-border: 3px solid $active-color !default;
 $panel-border-width: $border-width;
-$panel-border-color: $border-color;
+$panel-border-color: $border-color !default;
 $panel-border-radius: $border-radius;
 $panel-border: $panel-border-width solid $panel-border-color !important;
 $panel-border-dark: $panel-border-width solid $border-color-dark !important;
+$panel-color-fg: $color-fg !default;
 $tabs-padding: 5px 10px 2px;
 $title-height: ($line-height-base*16px) + 5px + 2px + $border-width;
 $footer-padding: 0.5rem;
@@ -207,13 +216,16 @@ $table-bg: $color-bg !default;
 $table-bg-selected: $color-primary-light;
 $table-hover-border-color: $color-primary;
 $table-hover-border: $panel-border-width solid $color-primary !important;
-$table-hover-bg-color: $color-primary-light;
-$datagrid-bg: $color-gray-light;
+$table-hover-bg-color: $color-primary-light !default;
+$datagrid-bg: $color-gray-light !default;
+$datagrid-selected-color : $color-primary-fg !default;
 
-$tree-fg-hover: $color-fg;
-$tree-bg-hover: $color-gray-light;
-$tree-fg-selected: $color-fg;
-$tree-bg-selected: $color-primary-light;
+$tree-text-fg: $color-fg !default;
+$tree-text-hover-fg: $color-fg !default;
+$tree-fg-hover: $color-fg !default;
+$tree-bg-hover: $color-gray-light !default;
+$tree-fg-selected: $color-fg !default;
+$tree-bg-selected: $color-primary-light !default;
 
 $sql-grid-data-cell-fg: $input-color;
 $sql-grid-data-cell-bg: $input-bg;
@@ -221,19 +233,21 @@ $sql-grid-title-cell-fg: $input-color;
 $sql-grid-title-cell-bg: $input-bg;
 
 $sql-title-padding: 3px;
-$sql-title-bg: $color-ternary;
-$sql-title-fg: $color-ternary-fg;
+$sql-title-bg: $color-ternary !default;
+$sql-title-fg: $color-ternary-fg !default;
 // Toolbar + editor title heights + title bottom border
 $sql-editor-panel-top: $title-height + $text-height-calc*16px + $sql-title-padding*2 + $panel-border-width - 0.5px;
-$sql-gutters-bg: $datagrid-bg;
-$sql-history-detail-bg: $color-gray-lighter;
+$sql-editor-disable-bg: $color-gray-lighter !default;
+$sql-editor-selection-bg: $color-primary-light !default;
+$sql-gutters-bg: $datagrid-bg !default;
+$sql-history-detail-bg: $color-gray-lighter !default;
 $sql-history-success-bg: $color-primary-light;
-$sql-history-success-fg: $active-color;
+$sql-history-success-fg: $active-color !default;
 $sql-history-error-bg: $color-danger-lighter;
 $sql-history-error-fg: $color-danger;
 $sql-hint-bg: $color-bg;
 $sql-hint-active-bg: $color-primary;
-$sql-hint-active-fg: $white;
+$sql-hint-active-fg: $white !default;
 $sql-bracket-match-fg: #5b6d7c;
 $sql-bracket-match-bg: #f5d2af;
 
@@ -243,19 +257,45 @@ $explain-sev-3-bg: #EE8800 !default;
 $explain-sev-4-bg: #880000 !default;
 $explain-sev-3-color: #FFFFFF !default;
 $explain-sev-4-color: #FFFFFF !default;
+$explain-sev-2-color: $black !default;
 
 $dialog-box-shadow: 0 0.5rem 3rem $shadow-base-color;
 
 $alert-icon-color: $white;
+$alert-header-bg: $color-primary !default;
+$alert-header-fg: $white !default;
+$alert-action-bg: $color-secondary !default;
+$alert-action-hover-bg: $color-gray-light !default;
 $alertify-borderremove-margin: $panel-border-width;
+$alert-color-fg: $color-fg !default;
+$alert-dialog-body-bg: $color-bg !default;
+
+$btn-primary-hover-bg: darken($color-primary, 7.5%) !default;
+$btn-primary-border-hover-bg: darken($color-primary, 7.5%) !default;
+$btn-primary-disabled-bg: $color-primary !default;
+
+$btn-secondary-bg: $color-secondary !default;
+$btn-secondary-border-hover-bg: $color-gray !default;
+$btn-secondary-fg: $color-fg !default;
+$btn-secondary-hover-fg: $color-fg !default;
+$btn-secondary-border: $color-gray !default;
+$btn-secondary-hover-bg: $color-gray-light !default;
+$btn-secondary-disabled-bg: $color-gray !default;
+$btn-secondary-disabled-fg: $color-fg !default;
 
-$btn-secondary-border: $color-gray;
-$btn-secondary-hover-bg: $color-gray-light;
+$btn-frame-close-bg:$btn-secondary-hover-bg !default;
 
 $btn-ternary-border: $color-ternary !default;
 $btn-ternary-hover-bg: darken($color-ternary, 7.5%) !default;
 
+$btn-ternary-disabled-bg: $color-ternary !default;
+$btn-ternary-disabled-fg: $color-bg !default;
+$btn-ternary-disabled-border-color: $btn-ternary-disabled-bg !default;
+
 $card-header-padding : 0.25rem 0.5rem;
+$card-header-bg: $color-bg !default;
+$card-header-fg: $color-fg !default;
+$card-header-border-color: $border-color !default;
 $no-border-radius: 0px !important;
 
 $btn-checkbox-padding: $input-btn-padding-y $input-btn-padding-x;
@@ -278,8 +318,30 @@ $loader-icon-small: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='ut
 $schemadiff-diff-row-color: #fff9c4 !default;
 $schemadiff-source-row-color: #ffebee !default;
 $schemadiff-target-row-color: #fbe3bf !default;
+$schema-diff-color-fg: $input-color !default;
 
 /* Custom controls bootstrap changes */
-$custom-forms-transition: none;
-$custom-control-indicator-focus-border-color: $input-focus-border-color;
-$custom-control-indicator-border-color: $input-border-color;
+$custom-forms-transition: none !default;
+$custom-control-indicator-focus-border-color: $input-focus-border-color !default;
+$custom-control-indicator-border-color: $input-border-color !default;
+
+$select2-container-hover-bg: $tree-bg-hover !default;
+$select2-container-hover-fg: $tree-fg-hover !default;
+$select2-container-bg-selected: $tree-bg-selected !default;
+$select2-container-fg-selected: $tree-fg-selected !default;
+
+$btn-primary-icon-bg: $color-bg !default;
+$btn-primary-icon-fg: $color-fg !default;
+$btn-primary-icon-hover-fg: $color-fg !default;
+$btn-primary-icon-hover-bg: $color-gray-light !default;
+$btn-primary-icon-border-color: $color-gray !default;
+$btn-primary-icon-border-disable-bg: $color-gray !default;
+$btn-primary-icon-disable-fg: $color-fg !default;
+$btn-primary-icon-disable-bg: $color-bg !default;
+
+$editor-toolbar-bg: $sql-gutters-bg !default;
+$grid-hover-bg-color: $table-hover-bg-color !default;
+$grid-hover-fg-color: $color-fg !default;
+
+$btn-copied-color-fg: $active-color !default;
+
diff --git a/web/pgadmin/static/scss/resources/dark/_theme.variables.scss b/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
index 8a9fb7a..ad85c84 100644
--- a/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
+++ b/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
@@ -20,6 +20,9 @@ $color-success: #26852B;
 $color-success-fg: $black;
 $color-success-light: #2B472C;
 
+$color-success-disabled-fg: $color-fg;
+$color-success-disabled-bg: $color-success;
+
 $color-warning: #eea236;
 $color-warning-fg: $black;
 $color-warning-light: #b18d5a;
@@ -56,6 +59,7 @@ $alert-danger-bg: $color-bg;
 $alert-danger-color: $color-danger;
 $alert-success-bg: $color-bg;
 $alert-success-color: $color-success;
+$alert-header-fg: $color-fg;
 
 $table-bg: $color-gray-lighter;
 
@@ -77,6 +81,7 @@ $explain-sev-3-bg: #c2812b;
 $explain-sev-4-bg: #880000;
 $explain-sev-3-color: $color-fg;
 $explain-sev-4-color: $color-fg;
+$explain-sev-2-color: $black;
 
 $negative-bg: $color-bg;
 
@@ -88,3 +93,24 @@ $loader-icon-small: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='ut
 $schemadiff-diff-row-color: #807a48 !default;
 $schemadiff-source-row-color: #402025 !default;
 $schemadiff-target-row-color: #6b5438 !default;
+
+$btn-secondary-fg: $white;
+$btn-secondary-border-hover-bg: $color-gray-light;
+$btn-secondary-hover-fg: $white;
+
+$card-header-bg: $color-gray-lighter;
+$card-header-fg: $color-fg;
+$card-header-border-color: $border-color;
+
+
+$btn-primary-icon-bg: $color-secondary;
+$btn-primary-icon-fg: $white;
+$btn-primary-icon-hover-fg: $white;
+$btn-primary-icon-hover-bg: $color-gray-light;
+$btn-primary-icon-border-color: $color-gray;
+$btn-primary-icon-border-disable-bg: $color-gray;
+$btn-primary-icon-disable-fg: $white;
+$btn-primary-icon-disable-bg: $color-secondary;
+
+$btn-ternary-disabled-fg: $color-fg;
+$color-success-hover-fg: $color-fg;
diff --git a/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss b/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
new file mode 100644
index 0000000..18edcc9
--- /dev/null
+++ b/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
@@ -0,0 +1,201 @@
+$white: #FFFFFF;
+$color-bg: #010B15;
+$color-fg: $white;
+
+$color-primary: #84D6FF;
+$color-primary-fg: $color-bg;
+$color-primary-light: #84D6FF;
+$color-primary-light-fg: $color-bg;
+$color-secondary: #6B6B6B;
+
+$color-ternary: #c9d0d7;
+$color-ternary-fg: $color-bg;
+
+$color-danger: #EE7A55;
+$color-danger-icon-fg: $color-bg;
+$color-danger-fg: $color-bg;
+$color-danger-light: #EE7A55;
+$color-danger-lighter: #EE7A55;
+
+$color-success: #45D48A;
+$color-success-fg: $color-bg;
+$color-success-light: #45D48A;
+
+$color-success-disabled-fg: $color-fg;
+$color-success-disabled-bg: $color-bg;
+$color-success-hover-fg: #010B15;
+
+$color-warning: #F4D35E;
+$color-warning-fg: $color-bg;
+$color-warning-light: #F4D35E;
+
+
+$color-gray-dark: #010B15;
+$color-gray: #1F2932;
+$color-gray-light: #2D3A48;
+$color-gray-lighter: #8B9CAD;
+
+$sql-gutters-bg: $color-gray-light;
+$sql-title-bg: #1F2932;
+$sql-title-fg: $color-fg;
+$sql-editor-disable-bg: $color-gray;
+$sql-editor-selection-bg: $color-gray;
+$sql-history-detail-bg: $color-gray;
+$sql-history-success-fg: #010B15;
+
+$color-brand: $color-primary;
+
+$border-color: #A6B7C8;
+
+// $shadow-base-color: #C9D0D7;
+$shadow-base-color: transparent;
+
+$text-muted: #8b9cad;
+
+$header-bg: $color-bg;
+$card-cap-bg: $color-bg;
+$badge-header-bg: $color-bg;
+
+$alert-primary-bg: $color-primary;
+$alert-primary-color: $color-bg;
+$alert-danger-bg: $color-danger;
+$alert-danger-color: $color-bg !important;
+$alert-success-bg̰: $color-success;
+$alert-success-color: $color-bg;
+
+$alert-color-fg: $color-bg;
+
+$negative-bg: $color-bg;
+
+$popover-bg: $color-gray-dark;
+$popover-body-color: $color-fg;
+
+$table-hover-color: $color-bg;
+$table-hover-bg: $color-fg !important;
+$table-hover-bg-color: $color-primary-light;
+
+$input-bg: $color-bg;
+$input-color: $color-fg;
+$input-border-color: $border-color;
+$input-disabled-bg: $color-gray;
+$input-focus-border-color: $color-primary;
+$input-btn-focus-shadow-color: none;
+
+$color-editor-fg: $white;
+$color-editor-keyword: #F8845F;
+$color-editor-number: #45D48A;
+$color-editor-string: #EAEA43;
+$color-editor-variable: #7DC9F1;
+$color-editor-variable-2: #7DC9F1;
+$color-editor-builtin: #B394FC;
+$color-editor-comment: #FFAD65;
+$color-editor-bracket: #D6AAAA;
+$color-editor-operator: $color-fg;
+$color-editor-foldmarker: #FFFFFF;
+$color-editor-activeline: #50B0F0;
+
+$active-color: $color-fg;
+$active-border: 3px solid $color-primary;
+
+$table-bg: $color-bg;
+
+$explain-sev-2-bg: #EAEA43;
+$explain-sev-3-bg: #FFAD65;
+$explain-sev-4-bg: #EE7A55;
+$explain-sev-3-color: #010B15;
+$explain-sev-4-color: #010B15;
+$explain-sev-2-color: #010B15;
+
+$btn-ternary-border: $color-ternary;
+$btn-ternary-hover-bg: #a6b7c8;
+$btn-ternary-disabled-bg: $color-bg;
+$btn-ternary-disabled-fg: $color-fg;
+$btn-ternary-disabled-border-color: $btn-ternary-disabled-fg;
+
+$scrollbar-base-color: #C9D0D7;
+
+$loader-icon : url("data:image/svg+xml;charset=UTF-8,%3c?xml version='1.0' encoding='utf-8'?%3e%3csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 38 38' style='enable-background:new 0 0 38 38;' xml:space='preserve'%3e%3cstyle type='text/css'%3e .st0%7bfill:none;stroke:%23ebeef3;stroke-width:2;%7d .st1%7bfill:none;stroke:%23326690;stroke-width:2;%7d %3c/style%3e%3cg%3e%3cg transform='translate(1 1)'%3e%3ccircle class='st0' cx='18' cy='18' r='18'/%3e%3cpath class='st1' d='M36,18c0-9.9-8.1-18-18-18 '%3e%3canimateTransform accumulate='none' additive='replace' attributeName='transform' calcMode='linear' dur='0.7s' fill='remove' from='0 18 18' repeatCount='indefinite' restart='always' to='360 18 18' type='rotate'%3e%3c/animateTransform%3e%3c/path%3e%3c/g%3e%3c/g%3e%3c/svg%3e ");
+$loader-icon-small: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='utf-8'%3F%3E%3C!-- Generator: Adobe Illustrator 23.1.1, SVG Export Plug-In . SVG Version: 6.00 Build 0) --%3E%3Csvg version='1.1' id='Layer_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 38 38' style='enable-background:new 0 0 38 38;' xml:space='preserve'%3E%3Cstyle type='text/css'%3E .st0%7Bfill:none;stroke:%23EBEEF3;stroke-width:5;%7D .st1%7Bfill:none;stroke:%23326690;stroke-width:5;%7D%0A%3C/style%3E%3Cg%3E%3Cg transform='translate(1 1)'%3E%3Ccircle class='st0' cx='18' cy='18' r='16'/%3E%3Cpath class='st1' d='M34,18c0-8.8-7.2-16-16-16 '%3E%3CanimateTransform accumulate='none' additive='replace' attributeName='transform' calcMode='linear' dur='0.7s' fill='remove' from='0 18 18' repeatCount='indefinite' restart='always' to='360 18 18' type='rotate'%3E%3C/animateTransform%3E%3C/path%3E%3C/g%3E%3C/g%3E%3C/svg%3E%0A");
+
+$schemadiff-diff-row-color: #CFC56E;
+$schemadiff-source-row-color: #EE97A5;
+$schemadiff-target-row-color: #FFAD65;
+$schema-diff-color-fg: #010B15;
+
+$tree-text-fg: $color-fg;
+$tree-text-hover-fg: $color-bg;
+$tree-fg-hover: $color-bg;
+$tree-bg-hover: $color-fg;
+$tree-fg-selected: $color-fg;
+$tree-bg-selected: $color-primary-light;
+
+$select2-container-hover-bg: $color-primary;
+$select2-container-hover-fg: $color-bg;
+$select2-container-bg-selected: $color-fg;
+$select2-container-fg-selected: $color-bg;
+
+$sql-hint-active-fg: $color-bg;
+
+$btn-primary-hover-bg: $color-fg;
+$btn-primary-border-hover-bg: $color-fg;
+$btn-primary-disabled-bg: $color-gray-lighter;
+
+$btn-secondary-hover-bg: transparent;
+$btn-secondary-border-hover-bg: $color-fg;
+$btn-secondary-bg: transparent;
+$btn-secondary-fg: $color-primary;
+$btn-secondary-hover-fg: $color-fg;
+$btn-secondary-border: $color-primary;
+$btn-secondary-disabled-bg: $color-gray-lighter;
+$btn-secondary-disabled-fg: $color-gray-lighter;
+
+$btn-frame-close-bg: $color-gray-light;
+// $dialog-box-shadow: 0rem 0rem transparent !important;
+
+$navbar-bg: #062F57;
+$navbar-dark-color: $color-fg;
+$navbar-dark-active-color: $color-fg;
+// $navbar-dark-disabled-color: $color-gray !important;
+
+$alert-header-bg: #062F57 !important;
+$alert-header-fg: $color-fg;
+$alert-action-bg: $alert-header-fg;
+$alert-action-hover-bg: $color-fg;
+$alert-dialog-body-bg: $color-gray;
+
+$datagrid-bg: $color-bg;
+$datagrid-selected-color : $color-primary-fg;
+
+$card-header-bg: #062F57 !important;
+$card-header-fg: $color-fg !important;
+$card-header-border-color: $card-header-bg;
+$card-border-color: transparent;
+$card-bg: $color-gray;
+
+
+$custom-forms-transition: none;
+$custom-control-indicator-focus-border-color: #FFFFFF !important;
+$custom-control-indicator-border-color: $color-gray-lighter;
+
+$panel-color-fg: $color-ternary;
+$panel-border-color: $color-gray;
+
+$btn-primary-icon-bg: $color-bg;
+$btn-primary-icon-border-color: $color-fg;
+$btn-primary-icon-border-disable-bg: $color-gray-lighter;
+$btn-primary-icon-fg: $color-fg;
+$btn-primary-icon-hover-bg: $color-fg;
+$btn-primary-icon-hover-fg: $color-bg;
+$btn-primary-icon-disable-fg: $color-gray-lighter;
+$btn-primary-icon-disable-bg: $color-gray;
+
+$dropdown-link-remove-color: $color-bg;
+
+$editor-toolbar-bg: $color-bg;
+
+$grid-hover-bg-color: $white;
+$grid-hover-fg-color: #010B15;
+
+$btn-copied-color-fg: #010B15;
+
+
diff --git a/web/pgadmin/static/scss/resources/high_contrast/high_contrast_preview.png b/web/pgadmin/static/scss/resources/high_contrast/high_contrast_preview.png
new file mode 100644
index 0000000000000000000000000000000000000000..76347b40d694ea44459500738f0e5d44863b4ab9
GIT binary patch
literal 57572
zcmZ^~19&A*^FMlG+t!JlY;4=vjcsdV+qSKZZQIty&c-(Ge&6@~;r{Rc&OCj(rm8+w
z)zkf)?wRTdSCp4PfW?Ic000P5lA_8007(5`dJP)#@2?m~6Egq+Z)71Nq9`RILagX$
zXKG<>0su&cC#ylJtBhghXempX`$J2@bcK_$`6VH1f`gO?lm!9f6b)seX<UA4K&&tn
zsLy>z5mQqWTn-4c(n0s!R##M79{O%w)(Hc1(q7|r<+Z)>;&e3WD{Xq24I-#8lsa~+
z<PCr=3cd{*Ra|au{E7Jog&35E3DDjf!>BmQd2_=I7#I9<b$3D_KK-oE%s9*4|N0Ie
zOd1RT0KxX?@`V)v4y*vTa6t-2a6fFwhh`Nx6HB^~RY^p!Ah#0SWAkekw(0pDn-6v=
z80|1T5aNYrFLy*hdzIo04eEg);id#~hfFXkHNZn084705i)2s=8HtuEt#a6j#3kU7
zCCpWLa{4ub_1NxRBk<kJXPS8VV2Sa7DO@;ZCil}f<;Yh?sN1nO6wLZt9WRYgwm{`>
zbm!QdrEFlUOa=yCX*Jv66;N1i6GX7w&_uO<n2-&Ns<qa~52mgojtCQ>j%yHQ{(Tj@
zil0^swJ#968uMpHQCw<Kc86jSw8Eleb*h4V7+&w1BZCA_OAO=HQ$@4g_akzr#&?cE
z(k;N(nW2L+&7dlP$ub^Dj%lb97LD#6K8K4pS)x7}O;8(8i?(>PE;NZLMJB@bt}fop
zODbf=NUI2c5Sbi7-l<MsO@~e?W^o#LfqMP6&*9&y3p@lOU5BCX8$vpwMD+KwwHeuv
zTGX@ao##|CeG}qo(MlnzX&M<Tc$aM2f;40mQz~#_;QxipAdetGNJbl_Fh3Y>c62K-
zVzt*7DG0w4z|;#Wy;|RE90v!q(LvC;PBjIBUi;%808s1~EFn#c9%ChUSy9jf1&C2W
zhITq<Kb26Z0$vpYHK!I3jGtmLA7)0uVo4YPbHqfSKOSci5Itl-V)Mjrk*+|ot@y1^
z>wHf+710WpsG!_5Jit;0?G3S+Bd~>j4o_VZ^8#Z1XOLHU?b$CmkT0-2`;CNoc0qP&
zgv468q?Ad&C{maOAzsKDam>84nJ)ocT{nun$n_$oS>c%=92;=2yE}ce4IGP(O%4@K
zW*?cnP^{0tjx>29cp!@5^Me$#y0gpA3eNaO3#w069_9u!*wnvY?u@p4w&^WtK);>X
z(bom9f}Eqf;PV6$4C4aectY3=kL$=Rd0RsWA8PVJ>|j1_4ulBD1m16&_?MDZTUXj$
z+kF>f{DtQlg&!dI<x}KRWgG{C=@8#x!_;}p^`DtiLOViv0H<~lM{ExfYhP7@X=Xhq
zM+05>R2OGwJnv#yA0U3YRlDqJ-g8{K0X1OH{QO<oc}Z9nKU-gg{OrK^S_@_U$!j6x
znaGfKz(56|p`i+e@FhVl^hqllu&d3u(qK&k-1E?r0!{SU)S=k@tMn;X!5#x4?XmHp
zdIFqwNLyiT2Obtcasq9yA@50{g@sR`!I;G=kv#`7ZUk2)kx^p?iD4vh6T%OOl|{oR
zMUTi1M`4W#>LJR7e1s86M&el|c^uK&Vt<nQk`O7v7w3zYL7e)<2(D2<MT;lS!k8m+
zL(q$3<;l!SH{xzaFBgu?Ih}l04d$2dWb*r?FFT3rG_Z<|6*(|pXDu5uH9TGmTZvmS
zkg+4+jiX|qv+9`@#%hmw3AtjAo)ZOkP5o@`#oUd!9lo+(^=$IazZLCEF$;49t`;ER
zFM%yFN+L_1gh~Uw4g&>4xodk$+)08OE?Yo0hjlsp&5*$X(t+6l%z?2keO2B|@|+}I
zvIMB6OiUd!NQsdkEoCLuAvGeIDoIe}`nQD`Yk~Me@{}@T<Oi^~47W<R<hN*!jAFTl
z3OA*LN<m3~l8TdTk|@R@q@jvaEd`y6Ae9r#+7{gxr7Z~_fDecd$uTi8(J{Hx>IC7_
z+S$_C-rS|mmuH=&IP==(+M1AZQd+|6LRKZ4MO_68e-Q7HJ-EB#x`T8@1cZ7dd`l;0
z392U+FixlEs^+U!x{BU}V++h`M&>fh)GF2TT?MZKbW{1owuN#lW>#{m^oo5YzuJ9b
zK?d}TgtCPE`wRnhAkE-&a1-DO;0F+bL*U?BaC4ZvMtiZF;Tc4F(`HtOImb?zNO8Gv
zZ=xKd$D<#yn{b@*@NhkGO0gAKt6BIBD-8{0p(tY0XSByRW;%!8nFbA^&BDw_3rL(r
z7!cg8SQdeUqQ=Um^(zOz#-LPEELtsc{x~i`E_9f-rbn)+H<X*=P043CBe3D(GO02(
zTAzI8w@fNIVcmh>;T&mA&162Qt80pCj?yh_X4Rh58*7HBA8A(C^IEQ14AsKcC#YA|
zbDKUynN050-fARQ{`k?-)aIPjH184VoatN>T_{&C7e1w%+0m@3)ojyzL9>pzZp%a4
z!R*3%VR>P@rgFaaX!yqVSbDzA&B<NF?R7P~bG<k>7=NsOu72h=5`Kw({%xrI_n!#X
zx%7*y<IcX90=Uz?3sRSI$F`k__SaTvZI0GvBr^CrJPLvzeCO?WQ_=fB4t|`u_;NbA
zO<pJLA`Iw7)#AnT8@`08knwkTb{u!uIrZ?(+aH|7lapnNe;)4ckzAMEw(dziMO|m@
zubsTiPb|qCG|ioba13}xJw0vFZ{>P<c^~jQ^JjOvbf<TpdDk>Vuil&woiF%+_bB#o
z`GkIKy}dnSy<R<ivG&pvGwQ4LE-1wmiWW9UdtjTRjUsKJmcbfAm_XVfDnn>N-33+z
z5(TY>K#Meo^6qjvIdXMyF$!;r9OgrbY&(9mHMC9{sH+>RYp83r8n`(=w_kgru%mFH
zG@)$9Z^g5cW)?y#%_&V3R^QRNf$AdEcs5?0XcTG{TFiydofQxbwhoROWen#TiN|Vi
z9m!XESAJ_IK^(l<`!T#3?HZMf`Zb}xxB6W7-H3=XN;WOso+dt?liERTFSBU2s935c
zF*_l7jGo$q8i$&V+D>IaS*_^Ta5OfD)kfR5hHp}uM%>hV<ldehGtbvI6(g?3Ze~fQ
z+L=3?2ET(?(WWSl6nI&r>`;B@{bhwsEsv@vW8XP_*m@`<Q=9lJw0bcrQFyUJpw(b_
z#QX~|3Mkk7*J$f=kHC*AC;y;BMbZxHpjI1aADGyxUY2aMxI4J>+`itb+&y8&!Lh(0
zN+A@x&o7UqB$mqArnZesoBX2wRQaLsCq-hSg%)`TT+ApRg|{<TjhnhhWs4D(<`<0z
z2b;;MzXjw%(ZaNXYkIf&YvNwm9+BA&D>$pBspd=;$K5C0bR~U5{F+9C*3s&;22-h#
z?ZHO&UD@63(Z`QH-TH!qhxf%7IXF7ZNuBHKj?pVi8E2Wp;*}nxXP*UOuY6;Jb<!Cz
zD=cpYw3KXmSH>EuuU7Ti=W`@7-?I07JE_Nn=3;&s4hAxYM23!LUbmNN3`p7tHC}Bl
zQ<D#x<zMyRYt$4py-WHl3>R=uaSw67o5-5%Yj!kEEc<9v>bf@3G+JJH+&x4t_iPex
z*jpHl4!6r;W{z`suhOk~8Oa=^yjq5yMpO+}iD?np$*j4YN<7B0txq+l+I=;Ow2L&c
z8kku{+sREa-08?z&1st09A8FlVm$?2SX4Sytk<WuwRjP&mTo+qmrmwZU&L;0JNkL&
zU7Ee+t`HgH(^W{Emae#RgyE@1TSQ-kiW6B{z?ySEPh9J{;5YMYI}bjO&KE8g!o@ri
z(DE-Y&{<t_=QzC^OcbT8Qx0dh&T}_6T^QewE%b=Ld+ebfFV-#imm=lf2soY4y;%=%
z<vKkacg+yJPrbDS+VI;vV0kfq)4lIlUF84uaZ<b^Gr}0E^Z5XKHQrWHr?y^0uGitf
zx8Hsmay`6|`NE;MMbp0I>3K=epIzVa>PmZ=zFqOT`SR37L$nnCX7Ds4An9fQmcO%m
zClMh*#DmFOB2evS_)v6IKC&>7jgpO(8|}M%qy5;~QgM$ID6rgP?{RaNOX8bzMYytg
zqx@NaRWnp0t9Rjc@z7pO*?qi~8NktHH?fu8z5bH(@wphfh@{|A>I3wyd_Q<E|KoIj
z%;OE=?ak7iwe5@Et1r^f0P<`F1-SnPz{c8rG3Y#+USSM7%K07J>)W5<Y0&cwP=w-n
zaL8VV@8w^`KN7ZGU6gnzLiY3UKxD6?s^{bTrv1%rpQQ8b%+mw}P!8j#aNFIzh2ZU-
zyF-A{0V8;aKBc2VFY3mzTG@RTkV!j&^h|_4#dlwU-*e&54a#_J^Tqfk5pKn;4zu$2
zsUyWiUCLBW4nXslh6X@@paQ`DQXqd%00=Gs;$JiXAPs`|-?TCa)qiwA0f0~o0Qi4&
zH2>EB9C3fkU-W-!u!Il*)ZZ)Aza=OS^uM%0>hr+<iw3Oyl>vlQM5Ltt)+$DhCMLE{
z=5{~Nrw9oDGGOc_HJktdO!9vUh?Fw$8UO%wwoq07sV*nWZDeP|U|?)#Xu{xTWB-pG
z0IwVOU(&|prvb5>jkT>4w;Lbnzcjf2(*Lj-Ns0fZ^3#fsR9#MySj5iJgqV%t8v_$5
zKP)jZF|VVsDYvqy_<!JkulPvKfBv-RW@L1Ab!Bj6Ww3KJV`S#y;$mcCVPs*U|Eodo
z<Zk=Zz>VJ4iR|A-{>zT2iIb6|h5b(pJ6qy^>>3!_IsfD%CH=?Ie;@yj^QVRB|9G->
z`cJd|Hjwcj2_rKD6XX94X5wb?{{#C+@^9F`+VyXDy#E;ER&ca1`5W**VevEb{>#Dt
zi}yd_{aatz#L3Ru`5*P~wiZA6S^fk0KiK~Z^^b4v?@lI;B6c=5e_iqaPrvdq{(pr3
zCs5JC&BR(=)Z#DF>7Ni;nK=GN`7hZ2Df+)cHU0<6%*M+0zoGw2^dBfM<3AnqzdGvQ
zqu^iMzr%nZmY4CrhZH|-bnfc~03ZmE5*1Q)13CAG@Y7ye`qIc<(#U<teuy^PCk&t<
z5wy3;cbjci?9(#u5w@sP&g)e(r=H(S&=*1t>##|XTi)D!_<GCcuwz}b20#9CwykHi
z+v<3n?t04dyl;=r^?np|a;iA6tHFq$dgjp{PneWq-rK#TAlU4h-xkQjdBMToA-l-t
zo8MfZw6(Pj#JEoHi7mbE=xV^4iIR9f>H_16etXC71!LXz?-<ZacZT=5>yMA};oM{*
z;_QxHj&aH!`JGE52miUK%jtZ0wrKWfReNjHY0q%%WrIm{ne#IF@@D@MvPJZ|UK#i_
zWgPRhdz<m{>`mvMb;qNZX)@K^Bik`;llj28!gv2F>7JF#rH53tFWJ*$$#u-#V@;sP
zF0gKh!<v50?n`v}R?%p*{NOyE;f#Or)?vPH?)}`IixljCXLoGXkUOx+nw!2YatHrm
zbHsDMF6Z&~3Z&{)<Mr$e5E|4xRCCp#8kzA?e7*J)&Fd&tn?L~Ud%C-iA6qq#gY~>&
zKfMn6TGzS}E5x;gf<L>BK7MZ_9aBm`At3%3-CkN}<j)~AFVb_VsS(0)mC8lQpOO5s
z<n{<5H>AT0<Mw=oEW%pJF)u{gmZdY(Mu=T}<{e$vxw{>x3|yf*j=_xPc8K=q;@c={
z>mXVgSQ&Bj!u0!Wj2GM|dJ8D{?Yhj-o3SSGZJPa=<LBIM4yCOo?`ARB_4R{&s!MOE
zGg^oyrF5O0?7&h!k~R?obSv>rfFB%aATlw-Ws1*^Y^0keuX~SjindP<aBV;NIW8{#
z&QU)74>hsz)hNLeT?$r86;$6@>b#9}9`@SpeFM@sRBm-5hpu`A>E|=th#uKzgvp<`
zuauk|Law{}muEf*UqVy?YF*8ax1_wC5DHXg0pgd40*afM#;~Oc5lc;v!IeD_(jZMC
z=+_$paKu<0tBcb_+k1a+6AgaG8L`YwVu)_4-7At5LAwoCGzIjsKj(?h06S{SOO`T2
zgHX{JSk%Z=p0JD#RJ{fTpbStI$XUF8O70f*9anJDx;tkctYB$=fsxOA80x|0=}Cs^
zRk|Nr@DlAwtKEYDe4ID~!EFVyQ>JrDL7GMrNZOC(O%w-dU+%LC{d12S6|B$y25J{*
zU@c4l%+X^=H=ccWVX)cS=UA9+pE@3181N;e->%~&`u#aKj^E8O@;KP`IiN!%BR6e=
zl=}7WVMtV6y?g1q<T&l@y~f>b?bAHOVv5VXGWjOb6Wf%X{}S>^sCmWl@YZ2@tp55Y
z@@K+zE_QdF$@F`VTL6ojD23d!&3B)s_dP7EiNA}dgi>8S>P(mO)LLQz_q)P}dPAe;
z`^QI`gyvF+34)$>d9NZFU7uI}wwvSBaRd%sn&TYjUyV)QCRSm{4sK~NrMw*Tw0%F)
z=NHe&$QIBPyY;MZ$PO~BFvspSaBhzx*U5PyN3*QaQF|%{4@@%84!1fKQk~?}s4!bV
zxSW@%q++1s9x|ni5x_&URF_g5%NeVZfA|W(DEE`@>?yK$Ncp&YXt(){2}?!Yq_QeZ
zCLpn&CyFJi6gAh$adj0$H?f!m$gvm-A0#D8jE`>~&Nnu|JS0myWrqfdy#<ur(_;P5
zSf=2}641G9{qTahyNmn%%Y)kXB1Ip$qGSuC?QqfpmFSex<h$HSM{1J4Ap1F0d`P|N
zA0#AXB4i2FwcpLU>FKBp$2lyz><38`2**=#hgV0Ec~hh<dL9YrSZdNg^Tci~e-}4Z
zNt`xB7S&bCfEIxDz4@#elfvJvw{^P5ZXZ3^&tzXAxbkUh9D9x2dYR|s_hg^FQB-H2
z32Z#nHSTLa+P}mmjl87aJ?x(1UVf_4A8W6qR_#w5nQ74(eR8#U7o8c|n3;Fy_rxv^
zued+zG&#|Ezvtf{cAShD{O+}}eWl;h-DCe8q=jtu?i3pz-%9lLt^K?3kxeWMQ*65n
zZ#mp>HyXk-9Lj#1I9N<ir?I`izD8zLP|$cz>@Z&NRFIUiXd4_E9?d||GTF+qP}bX~
z>gyAlpZ`rECpY!HNt|btkdsgb&iw70=w;Vc&F#oGePU6$(mZ%|kYSUgfZdpm8r7HA
zA2nsI6`(r=c>)`|$XR&3n52P0`McQ~?#s(}v$AKWl}ldt=g(Mj2kF*D=lckZtVtr<
zHpQIxk&fGjiWy8h<d*qc%R@*mdcy)6<sZ7#mzUySg@t4XS*({SrMYih?6Eubzqt=m
z@N!d&sFjep3KUM90Aa^Ow%vk1s<%iNN~4lrLnv-QW=FZ*TLaGqT-D8Mc|XrH6Vma?
z8cL!UaGoEbDh{eJ+EB4BD2owvSnP`AY`Y)5%F8NK`~bcdwiakaL_`;vJf}B+xwrK@
znZuxTBj6fg=;0NGug5DrwdH9XAk19u=Cn@MPK^)?TpQV5Xr~7RRIq0rOq2kWU@cF%
zoQSkuu_E{V;^BM!{lb*vSb&tWvIe6k9F6|!9Hkr+^w^{%h5~XOI&!hV$Lk2Ox$f<g
zZ&$f+kRb8NuV1(?6Wh9R)6)#@JMm^1V^CTo-FG*TAP%WKzE5eW&CFyfAjd3+nzDX)
zo#{}&12~buM{rLVF(YFKMa87U*pO}DM;|eGoMW+w@aU0xnuPj?gC(H`y%u?r{k2Zd
zE)vrdSp<vUl276S8^nU7JbvlC=D$UX>j0}EhD_#HSA$AAfIWGt!_hb-XY7}#;RsBF
z$!?%h`MRzy&QgY6NsUcSGTKpc!XlOPo164XN+|PlbLCg;&R!YsA2+cNgxe2QSgz8b
zt-=vVW40b5_p1@N9Zwh$xw$pKK`|Mu(<Z+(rJ(iAO|k{W5uzMD>hwQje$J8SIyxlr
z-MS2<rt-)uEpVX!OeFT$&~CV<u#jrAtMepS*}O_eaztc@OAiTZ+Vn4M2-039(P1ew
zKPpoo%)T`EH9UAY2^n9`@0uLfr_`jJouiXdzLzmr>gVZ2M95$WVPPgyg)Yx66?)JU
zIZBx%E9**u#o1#UE1ro}rDrz!!zC0cYTOK&z8v4`us~_ck|BE-NJSe*OQjHWz}@ib
zGITvNQq57<(#^4(FYdxkOJ#T-Y$B=k>6-++?;k!H4<E$OLj+jXxlQ~+YLT*!>+$Mj
z*P2cjkaN71ZW16fjY)XB`T+QTVTOk#r9A_%T?DsIcZ|zBes?;@c6K_pZ1{|Y-+qo*
zC5ez5yp70A07>a2+kWxA$%qz+nDj}t<l9}M@-CNf3;x)LB+zpf$?SaV!>a#j)U7Hk
zii2VcL2?FSw#;yx>s){SyGtSG4S-ol?9ou77pV+_nv8+Shw~8j{73q~C+JYYUVT45
zGs+yVq28ld_VLe+mZ2PDwLz(awclIhJdXzhtNmK_;>DxK6)O`P8k9ofZk?n2_N;=h
z%EEz&MDGt_K*(^_n{_o{iw+QC8-kb<gqUTktQIneW)ta=h=5dy->|`hc0~9wF5H8K
zNHOl$JbQQqT-<oGEef`=B>X9(b>MenKT$~cKy!Dhz9MGu!$P{5`fjGjvNG{cW#lpA
zOv&!K7AxBf5```ZQl%(<le}0id)6>`^zuuTuQ?%9&`o@L*meE5IS}@xbo*K>X9ycZ
zx%*ItD%eJ>Lvz{rsP^+8@f4kQVAW_<s05~S{K&QEnH2B#62Z}B9WC85!ZzK?dcpiZ
zcH1!Q>paH1u)DpkU*%zN(Wre+LIt7(BzH1<Kv4?w$Lz;~Zsu|t&gX9NFJ9~~IxgG(
zy~f%823{7B-=}BpC$=G;Yk$~VO^@NY7K~>6**P}9wp7*5B%nuh6KEc5$URQ7B7Fat
zy22spSR?>F;umpm?y((hmP0Ively1%hp_+~XUL{`i*gfxR#@(yx{pKuH7b=3z3e5_
z#1Ec-YMfmbd6>Qu`=sd0BN~d1g_x?IGB`=3tw#$T&RF#|D?S$^9uCq+3IePv_)dIw
zE4<mL%nN@>WF0UV3?4H~^^;crOxLYP{yzBXAn>>{^om`3`}uRU+EDc<9|d|l`XWI;
znZrd&Iw<!PRw@qZ&Li*x=Q4l+wR^VsCVMr<B>{)v!NI!BY`+63^#pAdwnDalEz;YF
zKt9~tQi6b+ztTt&&pI|U!ey~<xM!S)lkK?ur%*2h2o`t@EXdxTkZ=m8&nMtPFZ$)7
zwd)N!IB_TirG{ePGCnj*)Ozs-`6j(}s#9W6T=Xgm?Imh7Cn#Fdv(<Qc!0d?a4wb8Z
zUqX6vraMnYQ($6NJNM|ia^QuZ_V})le0j{;lqhZ6I&fyvYD++w<&1fPiSbPYR8)XX
z*Ebnlll~LAYWac^N;5<N?o+ass+rsX<OwUD?h{0J{zqKscHXa7e7#rGoeXlx0#>79
zL&oeq+G~ki_{XGh=lq;9<C~-5Vk)8@jh0s%?3u=FMHq!hWtl}?YoBNCS7`vti1*3a
zTtOoE>bv;k07XOP8rgBwZ^ToU_nWL-c;6{*X#c-+d3Del`$(=+_LXCi@$w9BP=dx5
z-N3dff~oFZOZu_>wl<H1)plFu+T-r2>t&=<+ivyRV_kpRVZ6>th?CBF=o;nm+w_W;
zt?j)B%za^zQTZL!_Y*h#Dm_yI>)0RjC7!4px7t0cB8V}xcNs=Q9#dRCMJ)#WDF%k!
z`TJgUSMGG~js9d__%Z~OM%5&`Ja2E@YEx#i!&*2i)45*N-$1R#Cnt`Bz<iNHIi5FU
zgRD5PBWeW&93rJ^k&>{mBIw5{{QZ%!NaIb;LaQTF++h_Le{cLIU21Bww2>HqaVlwN
zMnX>AV%2&E@y;B*g<32QY`=AWm1u?13M@uR$v@8V%#qFJ77GW9b~4xAKZ5+?#4hQ)
z8OE!3U!Z7v<LHS8`1&^eO<AV4w6q)?V~wII@G@ZOc-6^fF$smHGzfCwW1lf#7k0ki
zP9$h461RNbrlO)_mpNaHMY(Jk+sVhgU$M@F(X-3{8qW^|_kRpxMt(D|Q}6xbiYRa1
zJoR>2>vs`o6<V5_dY_l8djjW;XrVZGJUKFWrMp3t;g;)stsy8#9A)?W;R!I#GAI1~
zEbx&2nDT9Z-zfg*NL)RlUto^em5+CaXcbJUS!J*Fx*O|td1;f}A4EuVdRqXnL8(7K
zhS1v=?rr)Jv<`@~7X<vQwyEN#(A8yf6V9xfx=sY=P4lAfW;(Y}Eu_|wI3Zg<7xz5s
zV9i~_D&S<aBl5<oR%n(8q<zeGzUz9Ko}3YIwf_pLf!Y}pgqmEB?({0v1?S!2-F;r@
z3aR~b7T8Mo64GpQbo1~KNTL>6TXO>YyT3K<0W7~(_c7S{;Zc}zn!k=HE%g2I?rs1(
zpEo3VpG6xMw!WXZ0>o)pVWbShmQR-{!jPac)BDd6K1kNH&z7H+r)TE=NBCzeSHI`J
zPL%r+SeiSv_22trpW`r%ylm?RMPvteYW|(mfsl|v$#ECVsJi+waAXT9!~!3VqF-b;
zG!@v%<vRIt0`=^yzjY77jxsyeV$_X$w<&Xc2?#6TDI)zKj`|b=u|yV6yN$hCk9fKV
zmu+L`l7NmRY?K(BVF#;&%m86Lx)^%9^M*l^UJ9Gwf|SjAlbyDTR!~<UKC-sb%3L04
z>t*YAoIZ>H*nMu0TNZmqL$_XX;Vhl>;Oenp?Q=cKBC(d`?z4+wI~FxD369BifhDr0
zrJ%uON0r0Is<fEq82QNSCHCfc%x`M?{;IEqf@^`+vU-35W@0k?Wp9N95aB5auD$AY
zh5G~@+9Y~q0Cvv`^0;2OiM!*hg%O_A)bc#lY0d$-{08RqcpZ!F&_Q*Ptz6ib$HV3d
zjmMVM#@DYp3o&EkcX#J!7mFgD=Zj!aO&X+RWFi^Ds@9ujtYxF*X%vt%JKu#hTJ^in
z*BT_mV+rZ)I$u&MHJWfgex_cZn5QSPi7TrlkOP6L@z_{jv^8BMg%UBdQ}QArh0m{=
z#(nQEOpux+GTZJl?;=L3*1tDJ3kj#8PT`qDJFiQj;XT9-@BO~<1~5P2l2eiDW>`rN
z@<40rIFZ*6ly?WF6d$~EGeMDIIB+kMVxq)D#z{z2JognBc6H;w<bfrdzV}gY6GT?^
zD1i>_7Zo=v^MVQ&*EHeI<kdG7AcO@LgFzz)mG@L>@`Bl<ZNI7u@YW7p+J^8u0T{4;
zsHe00t2o~$<M4u#-ni>mJK4;pl^6Pd2;RaALE+g874<zBRnpRKHI#>F*W^nyflJ7k
zp)Jn>UN6ufMSgSNfWl8A+Ye%k3U5{k=6swW(b+^lfwLSJ*p@rqBUvqBUHr87-oqQ!
zXg?c*dT?c1&hP1a{rt?YoByE~!t0NUPDnT97p<n4c8`42dTjFmg~H?})t!iiY^6q)
z>%Na<<D|{aY%8efMTyp}>t6=ueFGOB@6zvAODX}8mIr!3jxPz!yK`9_csYi55~C~|
zz;*)T7yoc>g;GnZ<+P}x#n5Y<o9nInc1y*ttZiaF=)S#<OS*~Ank^9o^R|6)Vn>}L
zvCnnpjLg7s(#gD><tzF=Z4^nAVeY*#r$`n#!%HB^sR$!xpcG&EZVi!x_LP5|CegJR
z@9K0el*VNDcC#)py5iU2SsNs#SzKK&d6#(&-Ou{~%6m!^NzTsveLUhZl5x1YFy3iM
zww4*WnjnoZXb2P&Ut-#Q&t@8dVwz1i(;dW@@!-#HJ8|daTTC}%Kc1C%>sFd1Cp1_C
zLqFo3)OP&y=MFkbB9QG6B9OydWcCX3*oTKuqrXlgZyd^l{+W73EqM<_6&HI(9`}vp
z&k?jG{GUn`*B<DbyCHFiU8J^eAG<XZu8)1M7nc25gHCklFmQ0oCsJu@2&h&Hi872Y
z%r0>@^@c-c^U$mhR9e6?lVo%ZfPP*lzYjl)<?YY%ikg*d03IT2Bd!0$*jA(zauE;r
zmTR#c5$Laq0boq*K>x696~2$<#Fo2A|3Lpw+0WN!G{<9tmI)#vH$hiN+8;g)sd_%?
zQKOTph~XXi#WJZ<LPFg@%C+L^YRFF)rF!eNb;0}1_Qdv+ez>8WEQS?rXD&`?BKM1E
zj>A^2hJ$vi)DyVw>%GX^(E+5fjkShGovp_Hn!-*_1%{qik8lOaxF)M*NnKsS--8UO
zJmvc5TSt?8@>?Lg*}mh{%F4>5GTR>Ck8<oID&LLUWYbu{e1e7&;?n7O8lEPiSGL1$
z+inTB=!xMI2|culE??`QeLW_s#`|twGMdhIe>44XExxdi4vU>iXsX~(bU-T|f4uNC
zxx6Wr)b`?~lb{u9eTwMOYfS13aJg^gsy7&L32M9f(RxErn-6j6l&a<9Q`*=^Szl73
zDISYM>)!T;;qU!C=U8sX(n^0siAsus$7~vqRp(Zxs`mYltrrpJQbq>1l&oyrNt!t|
z9aR#ARx3CtN=a#{jJtbqx38#Z>%kF5?~+lGwRVqOXI?J_vkEEX+2%=*dD~vZL>-(>
zd})rmd;+SW$y2qr<3{+M$<PRqr1Y?Pc`%aMUKlmEi>Is2_f_lFTHSG4n%!1C%7&vH
zs)`>zbPJ}0rP|W8-h2k`TI$N>Ovfcf`o48;5U;1)&5+MhBF^F3USk*uF<cGq3*zp_
z(XO*UeqAPrhzJ{hWF)iLg6?#fq)zf*0$&V=95vitH4@_Ds1!ava#7K6BIFe7FXt)!
z*0;MnITXV?V(gr(I&>4$AVhdYfuE!M3KOk28tt@SGZTzs3ktk6g(C_-z9yV2esCU*
zhO$st)dz)yNCRE=&sJ(iT)~eRm&j~Sn;XoIZPVG$I5k>M;kZ63?`q?%zOUM7zXeYR
zCg=JDc~A<&Vo<qs=<t6TCIbf*dbKy{{7K?C^;Nbm1gr7&;GiAxhF$xMEF34M1X2N#
zHKPO<Q)^JdkKuH@4?oNO2WdR@K#oiZmN#;Z?^5W;lPUG5`R>l|9OpM03{+Do*LYgS
za*4d4KemXqTCNgAqsR@Ij9$NujpHK0jAz!f0wrB87!%SPj-`3W7rq*ciqKaalvUM%
z69TV-^86<L2S<1ed?bB+EY9P`FFON=h6+)s-fws0yu6~DA(m&jgP7?hPCP&$_8o)V
z<JC;E0>1`r!!cn^ruOTHxL8c8#X`yWuO%zMIx;mC-4869cCfkPh?LW$;cL$=hY@O@
zvR{=+e@<NKw>~yqQ>BnMs#1KPyB|Fd!ccZDHH(oy4&N?T6D#JkiG7KXnFHhO*4n>+
zKDLw|{wd8#O1h6vXt8T~KWcf>cj^)(m(?Le`SnIwDK$9F^Cj$lD8M+ecAQlT8OE0E
zycZ&eF_^jW9T5N%Y-ry)VV@`#DZdb2+AY6&sKmRAl#-YoGi=+9y3KxmJ4Q2K=lZAP
zDlbN!$y}e2>$LhlTd;RyDnX8tCx^`zKCYpsT|}`H0|SF?6{-HM&R+XC4KvW5NkGh}
z8(Z(SK}p-lpGtq|*Td}z84`6uUhDO;mR%wNk1Ms|el-=4Q#6IHO_R{$0Ob#)P}@bb
z9xaIqGv@1VRv3^SG~QHhG(l<S@twd>F5<9K-3?3I-akSDv<_r^u*fWTeu35RS@_`R
z0XcIvM-7DG6%{r8;UxkOdv;A$gE(w#nBQoP28BX8%^w{5-x4_dO*>sw6d92a$D!@h
z+<5X=qa!YXvs;xK4NagC#dQ4L^=5iGjee}R!-#P_;t`P42?dgoAEYRrmutrd5(1y`
zpVbVsfPPA~kflI>CQng@K<}axyT!7(*Y`!SKke1fp3MYkXmCYZrB+nf*IAqv38>xa
ztY+n_R{KZUzo8;j!|ug?1IKcRr*`UL{%!?xikNO!B0{-D@8mI9g=tk@9H_h0ZWR>c
zpv?A)K=t4+9Ci79|A!muIkT3y60er|@Zs@dU2xPTvL+V8kgn1!RFV=MuP_>qeaBmT
ztmv)eM4LEkZCYwIOmVQuevb6;xl}&0#E^8lVtdOu^N1Xo6LXLR$gi|>ujl#jeXZL)
z+bz_OCxmKhC!kl$f5O_@dQrf(F%6SWyX<;DO=*M8Wy9^+Da5d06WW-dnls!fa*x7x
zaA0;jBLnw?!i#!XMoMnMXL<-S!X_Gr19OI?t+zu0G&ML_!dz$L)#+~F03+<VHc8dM
zUQXS9Kq<OisuB8(B5G`MZN$JQyBrnywLB#y*`PDwXLp0b`CX0g4eLkA6*UZw!Po<j
z$v8T>a_8s4f&w$)&g$&f_U91;H7&hLfRqvut4dTxRu(XkLO!Wsnp@@A18Z3yxC}^-
zq$&$70MY9I6h=mW9oM{(L&3j__pGe`wJf*PTDO0Y)i8rQc!!TAZL`WAPX1;ylx4V%
zPOSo*aNmMdB06RmIzpfOT_?29X5g@9l3Gy3&h^nKCXLl<%gNEoPc2?qU7e!ki?Af>
zMgs%^Ey$s5BQ66PJ|@9a(}`@?T67<`^u$BNp~jEOjgBV-0V|1W&un&Xr+J;~-VYgL
z&D&P=GN}!k-J+0G;em#-KxuGHfB7zTXXj*>Bo8Q5PI($su5MBEgVdxKG{I;DgnFL`
zX_%O(0byL-%PNFc{%&Vz`#t-2$uexEU>-^e_)-ROAGCA_$9UE~r{ru_BuawIr61_y
zHFh03%~z}8FslV&p5H`MBY^&^ocZqAY_|9=cC%wjUO@*Sn^9b;QBx=xqCTYA@^reS
zgz|3FIH<Wa_H+lDoUviZ;XC1JFLcm`mY+*2OQ)>Ua^qXsD!CEOy<EHA9F=;MJTBHN
zZKJ8h&jDf4*TexOx*^^a1xN4X!iQc*{f7)&L>-%r#yqt)WG-va!69M`NZ=?a5!jh&
z+svz-C=R(!mt5^>Fr|@<UBV*!iYrA|kxd3bjw%l3IR-ZMR(5-MFAh{YQjJroRjkJv
zOz3#<uuP%;Vi>rbK>=1Wsn>N9L{UB2Vgas*Fv(|bOTG5mwr@XC&MO$Vg2Rdk9##UJ
z4l>Avh~tkum1hK3F)=VDnV_*Al7q@Im?#`c=dZ-P=hRnZLkPuh0zWD6N1};p?2A4l
zM>Cy5O*Ek1rrnj)74!B>T7w>l8FQCbR;Udu2bxap0X;$B#Kb^x7{dbHoN%W^Z*pPs
zr^!JCtdZpX;qJIHMTN1p4R}7--I*!ux85mOUo;EHNea1~N<6!iW5|KBf!S2YEr)>t
z<|Cd4sBjk^&Ng?J<L5*Yn&RnXJQ#MnNv9Z+cwT3z5;+hK-lQM)3<<1R;M0jV4e$@f
z=QS8%S+#kW&re@>P}KC)5WDbTyW#V7d1doZSJP97R}Iyu)|#uB$Jn~Ccq{^kUT(2>
zp$|@%vp)XdwFL#jBf+mysMX$YkJRTU$1+}V@hR1KFt#Ds)&ch9mFiF{!c5Ds>FE7U
zP#z9@ANba$Fk01UpJGNTV^fs^uZCi|W929m9NQi(kJ;R!(z>fYv`2I!30M8^szOZh
zRLn}!Xn|AC_Qsv){Vg2uh8G3z-tEl9Ej@PIK2sx88A_n%sLL@3XT2NhOaO@8o$`9O
z8RD_6crrZY721b`7}B0rZOj~A1zIa8(rb|sDqDP34<NE^7b!JpVM)mky1v=IMgtD$
z>}XnVSL9y&#ldh1L_g@rFu#sPrC9^#otAi}*-@2PoxiI#e}><LvMzA&Xf7s3P%$ti
ziCA!%;X$F$JrHoQ+vr?M2cuF7gRcv@U&4ew*C1jgIZQ>*bFqxyje8;b2E`^D5lM%@
z!!Y&SU)<As%<JUcE;Ap`r^O{39c6oc!Z;tP=RKbNQx7Ze7!sV3E26;6r1n%)RV(4x
zSy@H+^_n2n5k+CZL(o#W8D{*T-5-+GfSzv@WBA#{1xwUu4UOBZW>c#1e?*YpW3wDj
zam;JrCG&K#@K9i}M1h##SY{Z=y(t8qg98Hi1xO-4u0(Fkm2%LHu(Y(bfka(Th@!<S
zID6;^l&R*9C|)as#CR#&>0JuvkD_eVyKX_k^YMudSk6g)tk6&r!J8haL#@t%gGrFM
zN%q#iTZN=&m$x?CUTuL4vR*UUTCUQXmJ#3lv|g-V-dH@hq-Y%XN^ZM7ua>uic(_1O
zQAtG{4`ymSg@&UEs%j55p6?fCjNhLfet&9R(Ivy|qr3z5<ZNkZ@_s^Hk=S7S#yCd~
zlo>pnerEy2znl2-(5<IXnDdzdJf$_b#`3y-iTGWG&o&(m=!~fGf1I-(Vnef%YU2_v
z8jAG4j(#}gEcs`ywLA0ZPQrdbMUgQ5&047{D;MFJ;L@UFV4m{Xg5KUb9zJ|^QkmuY
z)_L9Ez^1cW;lAo11|5+cfb!LmXukfoO2|&6q$K1(+mNVR3`mPd?)tiXOK`kXV1|-D
zd@;*i=I-wG%7`=R^$%mGwF+=_2_}97Rvct0Vy}qz@O}jPnTr@3*_NM%Nx6+y9UmO^
z(VGc6^M3gtyc&pKf=H;qru`PGRIAotWQML&i*DoaW`V}PwcTn~+46dD8N(O&?&GlF
zTyL_DxE6K;5r!;RF5bPGLzbH55^z2}mdst*MWDDYi!bnF*=~!*$y64i+9ox3(~a+F
zzlr7(E+8$jwz|A3QPtkMlwOlcPf+#sgiJvS=C!X(7%0w;ymrx%2S=3d@4i94Lf;04
zSHJLcT9FhD(t)&)hWTJ;%`AsRYpy1g$U_{Ho?+f0?`AY)O6%I^CLt$<20|?O_Rn!e
zQ+3L37LCW<kuV>0`U;e4`^U!cdRILL_S!zj<-LVs!i`-b!q*D$U@;jCVPwt9_+LNV
zUJiXHaNraYd_VU!tRW4XvMp3fM=irR7(31>p_Sw54%v1(QJf>f4Ipa<Jxfb~Qle2h
z<I=yb38-yh%E_R{X@4;RFsbs(c|~ubQ3a^>f8*sTIt8L43xZl;Ae~>n)~XyBb0qmc
zJHjFRjwUhVIoQn0Z3qBy&;k-g(e7C5CiOK+d5`!$mZLH@)6_-Q4Y=-dR0v{F^)4nV
zoy@(Dyc_<$qHy<Z^)&s=-wvJdY<+_o_cSbB34&npIEQXK9iKQTJe)XucE77Ng8hNg
zo5{41$D6eWS^ot5Mw?H$UmY)*(D6(YhC9t|Rd>ojb-ClTMfrELOa(%R$K@q8E2RSo
z=_~rU4e3->Cdc@UUALI4-T`pAT8r_j^8qqxv6fWWJzL<UddM<R2rT(|Ivmz`nv578
zc$FuKt){w<d88~59hFw*SF(pYt|voPLIT6CNa%7{nX3|*70E`5>C^)09@mrTfeO^a
zmjCHj0pjq-s<562MglYbj0H7*5riRju%8R1jb++A6qh@%eW$F?iZ!=`C}~A7Y0`?~
zv7!{>s_%f%50N{nl=oWK+p8vUeaTCNpBJpZ&mFrOrZP7C;wP6rHZ~y~SPDz07Wfvz
zRaJx=Sd1UgX@4gFeMB>bpXPNe8!RScCBJs$cQVL5BX$;2G%PU<0!+#Gk{f;?gKiq!
z1H$Nna)|YxTEzjL9c&5(aHx|ihPd8URbCpwu7k>U{D%g{^A;Ga#=<cWIPDGtFKlZe
zj`>k(<axL9rs|FOm1o#UdGKA4FHhXOgBEId=qDdGZq{o>VMmHMqe5H&{4|-jo{^Dw
z08ZGZ58Nr@u(kzwPJ@28vtu_`6cMTlOEC^~4~PdhYaPR5>^=`?=w#^ENKZD?d#xQe
zwX`wX=s+ECQjo3Ba7$3DpwX{vE`gn$MKl8L(F&tIgn6bP`5~-bx#XZxc8u{?zbS+a
zOhVKaB$W4j>GO4fKjJb}G~Y%*VIm|hEhkDHpwka}boiGuTsNN}#9M2}QP4NNXtc$~
zxV~a}?5+K6kilNcP=(6a$msCM3GI!_z?rm3D}E!wJO13Z1Q3wkA-q5sxN_DRezn#_
z3;!4TA$g!Ukl_IR^W*fa-s;V??QXh*<VaZ6`&^I<B#duV>0)Lowe;&TD9e{*@~UAN
z$q{!kIw6?S>T3o|H>ESntL^Mkue?81GG<Q{m7|2z9)E`SgCks8GCAXw;?F?L3>d5<
zq=s#%@-`G6IU2Ph{xVn>^hgpn`C}7WhcDdiPnVzJNXYnT18ykstdr_c0o;Y4vLb2P
zBHV%p{bnDlZBGU8wZu7KH?P>Fj9YghP4wFW&?S@a6i{N`1qR8X8c=(J0hfU+*(YR!
z@V^<T$h!%y{r%B~YVM=p`fW3Vl8y$^Rc^WvGg8jcUYTdb`un&M<$$*bX|lp5s6xT4
zm#n7LBJDSui=u=DI0Uq+hgc_2-l$txwFsj6m-5<gd3>mZ8Ho*cmRnK9!Z$Pq>o9O4
z-MJR6y^jI<4ApzMVO{NKDC!-t;3sF~dME9QO%bqK#KQs9Cu$Y5Xq;uK3E<VfsM`Zi
z(cE;tl4!UUb?$xG?go_}&)v^Q8@rxp)A(1Ph$E24VO;^`o`A|4f~;%6xB+uG<?u%d
zrCzGv4ij&n7RYbItF%_c*`QDMt3PfI4E8>^T6YfEZ7+M?Iv$!iL`QZ$R&w$t2;LP+
zSRj+Htv=Vqhmgm)g(#1qcm8<DPSLf?43qR#>vMY2PmpK5XsTxSXjteq4csCZfIp#N
zgss8GonV1nv#HaeXQ^jk$u}QSw%6J53Qmbd_rgJEl<rz9<2{$H+LaC#^N=4Dtb-E4
zef_wkW|H^3b@3#+&;zD4fY!XS0{N?#`Kml#g=)8FfdpRDdi2Xx;+YLE|K$a6hHn8u
z*0=XuVDxdUiNYC?5!qavyNI7?Aj+7N;!!#sy~@9EIvx>q^g#siOQwSlsb@?byGN$)
zg2UmTZx=ac`=cHliN{DA@J(tCh}Ag`^Gam5&NE?vcbONQdVdpYSyzAe?#+by5K+&>
z=cGTtPYrC#ioDrw@V%Bgc~7s<jg3hLeOFeB-ZVzR{5IKbaXTrtDsqW4*RMY(j%|9i
zTF`^^;wN?eTnRr$Pm{R(dtQX_PTcYc`!MYBe1rSk$@+}k+d6|LjoPmC5cm<+7&wr`
z<V*lXh{6p;ET%+#mDbIafrJ)xcuK&HfC@f7&xJMBX0<%RH9W}sfIJhIx&LnR8F<R8
zD9FY4iT|3_RX`Z*T+i>=nN>O+7O*0{;U}25PiDY}16L5hJiAh`HLcRNjnLsZ1i87s
zV;X?qh#ar(%c?K2iEviPxs5c;gWktY`55cLM6<>9D7uKgj$>EJwmT41>?Bo)fGZW2
z8Tw7_AkuqJ8;AMB%|=0{AfYee@Aq#++9Ue>_j3rD>9(!Rm7Zr}7cwF?g;Bw+39pK_
z_=xvoWh<4_%)C%)*6inQ=DliKctI$>%y{8aAcN`7$i=Tlg(91U9M=#NoRs}Zg928n
zxUb+{<y;h|6vnPky(Qpy<u<i(&PTNxDYaF0WvMS}TXg)N$dm>6S40VJNHz@*204UD
zA9=hnj+262xoh6dLY?lC+#xPeK6uTD;@)5h*f=3RNaYuKF|}_Y$<_$aGGx~b<ouI{
zvG4?Rqcm=@;U5(i0XaDBqHxPtH!t?#CcJ;&I66L!md<==^zSVct>pVKjZEN_h+NfK
zds|db>N%E*_P2M_2uSdIy&`EUP`=`z!jp+n*@oH?L}y~Kfbk5B4P?`2TXXe#O>Ytm
z$%#^E`%&BoyAasB%)Ss_v6d&S+(aFQ6Q{NIYJ`LZJWbl&b(=bR!^43%v7C7I`#DUe
zO*$;5M}?a5@0Z_XnQ+d9@;glrSn(gbDW}UQ?KwCdkDjApo-lKYYA;%?S}QTpK!0a2
zsOA50X`X2~79`q%>l9b0B0M-wFjIaV6CJH`_uz4oAY0J)w4<G$cymc#k#Cd+S<Q-l
zH@HgP0DC;>Gf&-&5@!B2jlkkDZ*A|29BY(1)pnk>N~u{>*YkZA!+qc;?cyf(qj271
zWH>p2#jzl$zdsru`Hbn9eImY0F~@g?u?9kj<KDrP2R+oo<4xGNR_^iO9O`(;2OIov
zj_w5c&ThRK<BUd7d7cH*!2F2$ZSaYPW;FFQ!JEbO7T@}n?r&bzJuTO_(?z~hA}F!T
zm9e!>x$QU*KU_*qf(OVwX@@HJzSq3Tl^)jnC$lWG{buItuCmkq7{hTRpus>s2U-}8
zh!2_T+wlq1Ho`-omVVb!2alTX`O5HHTZiX(BqMLl>yW5t!X6RYR%N7Ud1bqhd={6G
zJhu<~{lH5ca&H^%lhmy2>UFmFJE(*9g80%|9PLr-Ef)td0h8(IR=sqG8C0TVCcBEf
zDD+LNBH33O?-}P>gJm$RW_JFF)i{IoO&uz3BGvjzjS^BV*zEBAh?7b!Zlu-m;H}s6
z`)Y}FL?J=**r1v0`w@`|uGq6t`<<GAnhxtRlfg_h@(RlKOmBy{MT|hW1t9B7&+XcF
zw{6UI+anS;cs4HNP_=S~I}NLq8z4@{$mfx2%_YuUh~x#*kzeStPw|9}#${xO9r?5T
zt59ha>NAe7m*68$A|EAxPb%^kW8x#`ilnYsp=gK(c~6lhMTxtVY+2oUQO#r>1uimj
z*gbUtC@-Y6FlY)77X{5g+eFbW%#_U3+lXcl?RE<ih^8%bdL~{XYk_<fe#8SVwzA@k
zs1j82m``oO-W7M2pP*6r>8Ug|9m4`dp9d8poF8^+c|E*Qk08w7r{GNTZ_6cN!Oq}<
z3Nn#`6u#$iYw|WmV3nXGprz13;INXT2-?(bZg}u|{X%YOUfv%|=6(f;G`&#zoB@bZ
z*fB@tB77>x(<;UtPW#-A>3Nc=?%~L+^Q?_Af^^!rC`kjqQc260CiS{q#Vp7%Rhhgd
zxQVxH0&3=_GPYm#pI;)GQwPY+)-A)EV-@4!P$=TL<E=!DSmBX}jY2J!UgXI_2|DUg
zqKA-Bgy26=hawLMPvQvS#ke;*lQ@r$E<!n@EdlS4X7e!FE}m9UmFx(qxLcGg2W_4j
zOpn)>7fCz!baf#E=D`l%ZgLLt_z3F0Q8SzcAL35Hr?&o>G6&}9^3SUL{-*WQI_rFF
ziv;h7H?MY`-Tl^(+6H*;=r?OOWD3|(hnde0%hAOtvJAhUU?L6-q+YSSrZI`$TyF<k
zo>yGfZ*W+80K@^g5en4yUc#uVX^k+33*rP+{Y2_ozoH&hq~HB{XPv|?BQJf-_r2P;
z!H8uX7U+}>i)2J?KPem;H$>frhr*HQG_*)*^tAv@08|61?a`=3RUE%MxMLOBpOxnm
zGYgJgWgU3?Xkp!P2XP_>Jl;};#YjsWfwVV)gTX1OTgX@~ekuwL>qDR)E;4A7w-<jL
z2b@<dwMK3oR_uIeSs7o`tv%0`>d1@69#-hNtn1b<TV;;4@8Q;NXLHF(!1%M!@9=)!
z<gs`?*-joKmho@Q`F7q5&BWdZ?s=eA`IQ075b0J`3kcPx9TWQy!uyj2@iW|FdGKDH
zX4_@3=qhW>HP`(8od$YQTJPC*3uuB+GnN^?t8aW`J+$qD*^?$L>=!@bT?Ns1s#C7%
z_e2onhv!iCBj6>d`4g9xkX7k}dT{Py2oj6OBTj#EV#fsOBdL8)cP72f2+oP9ZB0XH
zq{ajc+z<HsUmL>+AI8qi4D;gg-F4(;u<a0!@Yjn)hAeGOxk@Q5idC?Xw1oxp5u)qe
zw?HTs<#=c@4{y#w2E}!g57`Z=g?ldKL7U~twKUfQNBt>ips-=R$pppWQP$lX2+lXK
zK3M=u3y8*|U)s^}VFWo{{~X1^XMTJfw%|QvZkoRJ{pxWa_p`0K`l3)#X;DCA<S?#z
zFtaSSY!4pFd%6SbCb`oAHgP}ySg0OmA`z(-xbVF^Xx}$>s{%(Q?Wi`cj-`=M@MO3R
z>sY4ZK{9ZP%f?@YT%J-&Aapy(4*<#34kL<we^QUv57FIhk2+6Ng8RGtA)tY<4vK-z
z(Ca=cA}&1`7rQLbP)E=!*dA!wfvNsyErDe=L?riD+jU>Po4k&3tVrsJ#A4|w$7us#
zSiF8boN`7HP8t^@8b7}LjE|gLjL`F5$(Z@|YSe2sm6FsNyuWk?T`eALhpn(DEu3k`
zG);$PaFsNXQa%A%68yQFk5A|J^K9n-0mDE%zbjt#f$D;3#;mz=!}Zt7Umt%G5o}gU
zQrZak&h5cC2dcFzBV}-Iw*X)99_OIKxwQ)Vw+<NqY=My}&zIEHQIIOs=-BxJ!D85f
zSRob$qV<M({7LY8<2qoXAKjWYt7HJu1O9oUZ|?Z6h9z+rMAaTB*NbxP5c^UB(H9mj
z-H<#a#>Goybd18iumHY}n7c%Q1Auck=3O-2b?nGdT7Pk2J~n8G;DdS5hmA}Z%C|Mt
z>U^+<$H00rTsIkXg1-LRYjj@R_rRZ_KQ~nl<dPr}13<gG$Ul-}L-;elFc8KV-DrLE
z{yXxof4v|N{`pUQEsZfr!ot*vHAi1e9T2@^eh_CH^M;$BL!X=Z4)cxvuv`bk?j67p
z1OR^<^VlfkaEKnh0{SX2WKkH1*y*R8t^f?gj%{OkjabusB_h~g5^Nz5C)G<*l3gol
z!fuEr!u02$j|?XPmDXi2l_l3j?u&$uekAmJAcEk)@m1*s&WXw2ByOBg^gBsTO47Qy
z!1(7%-!B9P$KWtS!6D)}Qg6Z7ew?_`G4U`zw@D!uTNffwFmde3H4#~OfcVhADGUp^
zaBr?Yrx?l?T-=zk<M7)J+!su$!Kn|nk9*n<2pJI_<Ij14JLtqB<lLcOj_%mBHshlc
z2!;B)2oRvn;Jn6XO#-*mEPG%Q&DSAP<nDUpsIiJ1>p(Peb92!q79bNc>6`^o2?6n{
zuZQDpI0zrize!N~)XK^oCiFYyjyvy?nKK>)p=+0O&N*A_HFxNY?-v{r2Js+tW*|P)
z!7;3uE;4P#nCs0joJoV|kNssL;mOV3BW`v(ezC_a!gt4ef%9yruT{5;EJUCvD=Ads
zW<yyndd4s;Dk(is4&@D4Qe2F<i!h%r-Mv*_yyrT(=l#8kEO_5&g|NW}7jVtrx<=YT
zv_qp4BsOD=!ps~Kj)Uo2$dE_mE~ibMiuZ%lH3;&!abtCZyx`PRRV+<0GRKOJxBeJM
z`Yt9WCdx;MobvWtufus3PW*6*=z@jexCxWxra#`RToGs(&KKMXV-L6mf%9Y^`&%1S
z)D;>=Yr}qQq=}4;WcI0`s1)Yur^;DytbO~PcjYHbeySNL7RS&d4akU5V{}f|U}IiV
zTB2~^6ShH7D*dElW8;)~`@;}n#E6m5*X3!Oe1Dx|kOWYaN3pk;r$LapiDEk(;~s>T
zON3)H+v)_jv3}zQ9SakVY>&j4|LSY2B|b43(yI{F4-a5Xu&?AAxpsQc4t=?zV_^0V
zj;?{o9!cv$Tm09BO%*w1d+G@J_scJU<BNs}d%F^`#~%AD>=ZiGviX00|2wVI><7zI
zijsr*yy*1B@NvwPv17+-{rupZF!S=a!iWgqkTl%ALoyxx#;|o`U%>$%n%FU2tRN^1
zTSZ{8JUg8j6)Go=v&;UfW(k3qgR!uZl9JTvlVu83M`F{3sg8_zwe350sPD;Wn0M0$
zfrCH-M?^!9@?F{4*xjV)B5A~8CZb{V1Ilw55{3O?+veZU{vPqSLe?qA(BDpvT$e|H
zfD_y}4ov2^4(O1g95XIrMog%zD3fw<THGnqlCr<R*j2MUISB@$Z2{8Y2FIw`5Rs9C
zuP!c?=0v+H@{56li5SuHkk&{zA-ePlP~t)^OZ5Sqv_ldJ3H4j(yz263AV9+sE<x6+
z&w=o{(+&;^haXv?ax%_svfuQfqyw@KqJq?e*wIH%9b{1n*8w9H5GlO!%Bu)fv{idS
zPL7C)i91T_kalP96uUhMoE@T<;BeYQdW^Q%zqZyE)Juy?T6=2u^?UFG@5O$RpvI)d
zqi?Oy3FT>PsnE4?0T*CLPop2_chT}_RJl4F-86dMA~_fOtvLAZb>h@@_R~!48xdP{
z$|xz?wNW`XBPg+{sWEdpzP&?b)0S--wS{6k;t_5<xM|_IbCbdvDe0ll8=au@^77QO
zmTn_Vz8D{#jTjY|gfLhem0&Zj=dHKiDuH3~QU-V&1T(<EfHC20z*;MEd?+E&Hhpw1
zIvZ4Q&N9Ai101-65RAKsV~@@J;5>KKLBh-Dbs#YN^9#V;kH;MG*NvFj7U9G(AXhA4
z2D!;HpocH?QG9|BxuXOTM;NAzj?V_?W|rqS3EzH%Ejw=RT(n0YJTGJO&+>RTT5Og>
zpIZYzJ#tyT(Es`XrYo@ta7#9zqMvv#y1$H{I7NPT(+#o(zF@o1uTxGrS({^-sn~4X
zj*S<S^ZRnlSoVr5uadj&yaOC{fy|gOU7mdMZ*uLmOH{n4g}&zx7^WPUsLp*c1{JI$
z2F*;oM}Q|M!W$c6BTi0@62ZYjVqM7)4>EBAm}$;zgx<l#W#VKVnkai7nrJ4@6queq
z_{i+j;EiLwIB2G$(9qw<TF-xbz9Dd<L4>9u_lZ9^Z)nKT2&BN!I#jYV>O>tDoyBVC
z)^w3zH_5r7f5_9>Nz-d%*UAM&G35UJ`*fEZ1SLF^u4BEzP%84_+%qEScY&*;3A#D2
z9giKk4XfBj>{yG7@>MKI-3mFy9NFfm3kD@X8jOChdv6ZJdO^lU%B%tJX7-!n%LwQ@
zI@<f7^Mi;HVjWOIc1raX^m{t*ymQTx27(|CLaHn;fljMa>`BQ=Soy9r;4qUTn|Q-0
zgvJIWP;8elbi+L(8M#=No5CiDrJ}*z(HMsMHEtv+re~NiB6sS}Ot`STA}mKk<T!ib
zWbO;&nUqO$AZCOLVJL3Ed(qv&7wUu2b5GX%rf8C5u65$VEEf`rO$+YR37cb<mYR%s
zlKId#rh(g94(_@h8(d#-lHsxu&c2CoB(8(${@5|2q!97>pqSF5V>s>|;L3t+33Ba{
zYmA2Q`Qxj8s)lDqyZE#Og8QXjs8Kf)JxV-`?B+aSjLH=&SI9s9@w~kL+A9*1kfPz7
zl~dMt@KXYly~hwY8l{a-K4v|f?$uQlz=5GM4k{1cp)`r`W*&|O#~=tILvCugsUn=n
z^@O_{_|FpoaLJ9X_<W`6SuH4|<6$&qd;(}zxQ@_Og4`wN3&p9%oHiC6+v3R&Y=c}U
z$J=dCv<nU%_l%r~S^_B;-E$bN<IT61Y8wpyboEtNI$AYwJ>S9Xi?Jzy9uAx`$Ar=a
zG8h$z0AeKM;NX7G$@8hFpV6J3F+666`0Bhic6o$^@!WVp%Bua;*N0~Gh8~RI>P1{K
zie>27=<enKDqcFkAA^CNn6aBAD@q+377G3m;c>9JzzmaX?A)*uS5W}kJ+K2se;nQ8
zbLt@oWV2rf!_nybfqO%LA9!;3E9Wx9U7PpJZ|9nv?>S#P=Q-N-;mVo!&2Q&=%zNgy
z`Ha7ZCUbh5_lK6@{o(I%{7Ibh3JS$9akLtHP~pw_thHjLk?U#2q~E%IyIQES43Pkh
zIXYpoOOYSPmU^gl>(=P*oO6WvXmds50}`YT<n@Pa-_OIMbB(<+krJ<22MJR^MXBnX
z%F9Z0=Sqau2$?#Ow`1iqJBX_hLomOv5SEXdvE>gyGy-^c!WN9kM&~9>y4|3gA_Ap_
zE|UQ*%r?Fo`o{bDSlA4;#V}Mv5UpqrCzI;C=OXy&&_rX7D4U@_+P!-h^c@`<p@4Il
zI%Og(V=a(-F|5M4p1AAIM}!f!O)(GG3g3HB+=+(RAL<dSYPM@W=CMF*tDGOkhC|7I
zw?g;BYrc;XPFzqrLXM1a1u0&%!&iq#jT|lw@cn7!$Tdjum%-3#c5+(`V9i8#kOq7g
z<?YqqYgVn$@6}%%{H-_fk-K-7UT)jG-n=EX<%W^V;0>n>!isv<-hTMjp-*1m?6zP`
z+uBwsvJDPo^mgO@sOx81zjhTwi;MJ{9}I5I#CfQIL3DW{>OdISP=x4=qzQkDaLLt`
zAz}vWWOSSsaLbH_Lhg=SGYvObZp+qf2A~0Nt`8c9aNOAMUd-!W*bam^{5lz}gNbdB
zsIolo(JhI(FS<xk0>I$D)OAvK*^c&ou=$~TKw*9^=08J8)j|iyHVn?4<qe60$lGte
zu7BE)<D<A>pVLpH3@sE*28MlQdi9lm>z`9*z2tg25Yh~j34J%<I5g)s{hMp?K%JgT
zuDSZaudjJ^N){J~$g&MaMOl-k%8r~O1T-+I_g8O#-uuP*<zi2ZlR}3A{j1mJD)~)8
zV9ey%vID0hSRrDL3JbwP1%U!m35BkUK2WqoByBRLw?WK!pE2$jPcaeCh)`9bj!ZNL
z;<-w`$itbMn4D;c9Dy*oAjt)qi<IBgsZp%M-7O7@h=hn-x!FmGjnzJwh6qFs6k&0p
zs%bdP#JT8rKRzu*^Ab77r{N${NEE1}VCRi@z%}wRw3ijS3M%nwRKh+Hi83(+Rgb$5
zcIqK=&5~=CBPBv0a-#S&!JaCGux|8<Oab?SqjW$xxr3(3GxbLlyOQ&wUnRvz;SsQy
zONi5J6FG3>#y-%nrLEP_h3I=hG)Y2CqR7PFvhVzMTJI8$J0x;F$k&pSt?%yb3vRXt
z{Up89f*1$%V=$SOnBRjBC`JYC25mMG9y!KL=ojPS6AiJGqYV2%IIyq$CT#i5#4mHB
z!{_WD=Y!sJ>iuBz$ZzCB^!a_c8U&Ytq3OFv!e&&8eqru4RMQ~HqT#&GJnL*#WpIuW
z<|Ha?i`))5lbl?{ij2)bs3yibWc%iPGmtsqONkOi;3U}m%`uq!@oxYCKmbWZK~&^?
zC09h3A_m@$ML0J;hnnB$y}l;&RN$y+(M#vx19J=;0{jaLGxU!fdu~=}1Z0OAhVz*H
zWZY5CC5DRQJNlrV7|dnfBP`Uf5L_T7WU1hMDe`WHL0xqPbbR=C)z#PNT%+WJ>x1LP
z_v14YUW5fB05Qn2!4Y$8+*Pc|{3MiYi;3eye@?Eatt8k;v|i@s)5xK>zSWNbP8_z!
zIfWw<;1JD&1`n0d9@GnDCeW%83g)zhI1Xa<I+;ClnymbMHD-*jJb3FY3G$^_2dwmf
zpZxvxVmbBHGnLgZC@9eS)6#Ix4$SGvrqbAhB83-Td`YGwRvHaIXueN<0<9Hk=E?x6
zciw$Jj?!3yfesbB-LA$WjForqJ-?BWqsI+$ga`H2_2WB$0H&*lw*-ep$Z4l8&?w?>
zE&BjbC)yPeCjgNt;v(Y2gj3{%IYi{dML}f1-7T*N7ZZDpxygIn>GE4eB`9xl-~6tq
zC`a5+MD_;akBN=bcC-$ZMfJKg6@}xPi?y`0M2!i;Kw#AH!D*?P<=7U9B&q;+1B)^&
zV1o>BF*68ll^UARxF9Y*VGx0s<yj?n-L-HgJ$u1ii3rE}Tom)5EE9L@j5qh;XKOW|
zE<UzqJl4fX7;)!af;GbS6A`D91j`xWuusfKv279J8L~KuAbs~tB%=-DL;Hqrmf^Ko
zmO7yNmR4zjL-ZN9{82Kd%ux;)oi&Rd^Ecm*+}md_JtbS;e;JCMNSQKWEQ0ewtO#OZ
z_JI`wMEHH++q}nb=a$WUygytr-UCJ_;6jR^Zw-K`Iu6!-dZ?)ra^~yMax@e!2q({*
zG1&IdIypZ(VS)M43K+3~kQmYh!p!JvCFUCqap-Omi}_~G4RdVyVhUr_!#?QYqbSXL
zW>WYQhl03rlfpb^J<P*v`W}`$M0T;TRAj(wT_32|96y~mL)y_c&{?w$_KOk;ia#6S
zpK;2<MZncFv@Wwh!+o=E65~?DL4D%!Cy=FI7A!hVW=@}`1j>1Sn0d>9w;zA(FEIQ`
z#JVvybi>vCZQSE~(mjUOrEW1v83W~ojN3+b)!2Cq*C-K0bc7YGc)r|s{~u)$td7>M
zTc`3>OK7~Tc;i;}uqNA01a;rTAK>_o831Uj*zI;a!{LXBMo<J1NqTw)cC+s4BSz#w
zUos9@8(3*tv2kG*7Z)qFfBcCj)w+qqYch0cJ774%#eK)^x5Eb}TAG|9R1ep0*S&8Z
z0-Qj``AqflqbshE`B1(yn#bRteGW%lVCM)#OXW6q-M$d_&<CazUj1T?LGVvTSLjuF
zeHvn^z4GRpk{DxzZDLP}q={H4hM|M8v2(`*%s<X8BgzX;38okjL`Qw6s3YR(#1N@)
zq9U^{ePrP7mZXxp-ER0rksH$`kFuH-zcdf$E$U<<B2ygX$isHXfl(j9T_-IuO@zX4
z*2mqyaSc)0zMWdna39H;<FslsuOUJNSBDKC@39^3stH3z?qEmQ1pB~mBRW3~MfgsJ
zUWMhzk<yBd`6#~SsooqX{?Q-GgrnAhHn=Hu$L6&JMjM9kbhzFg`@QIB5ZzD&Zv`P~
z!dz&D%7O2ooj&$zjx8tNiE|+WdU|iX3&)(B1_S9IsDkfGI5Ff`9URAxmTdM+6_XL3
zgd-E{;COIevVLR!7|(`&GB3F&&fB30k91CQQ^K*JI8KS5BO}Wymyh>hqVW<%#e@C8
zJx7<cPs6oiv|;p_bC?8^?G)8CNOzSXLe<KT`r$1pu%=|&1#l?utIj_{33o{ym8Iix
zgiPPsBaRihOiwO&U=IG5eiLfLG|NZj)i`k%2OHjY>#q_0ph_OWxm9i!#C)qS(ceJ<
zTv!NORZ}PHaA@3|IVY(<4-c5*VUGLYut;AQMxo|W5IkZc2abvv8R>esAlY;J8qx18
zJ9{^LgJ$aS1GR{!MT@ZAyZ7j1qGFZ11#dXL653p>uJqkOz(9~}&)^PJJjMl#MZ-nv
zg^)kq5a;;%z{(2d<Gg>#PcE0r>KeFaG|9fAGKd2aY#O>#Og`v1aJ&Y@gIwf{xmFE7
zvZTlmscdYOxbPrpf-Z@ETfx|Q@7Y(5LvkA>V{9hsh8P6*h`{sr<iUzAL3Ou8BqU0$
z9o<p_aZy5sT?&e;B?`s|bjs!&?Z9R$2%EQdIB*v1trTl~hy+0IOT@@s9#2LlV&Lya
z#8mW#+euDgl|-RG)Ju>sHsO9K+Ha#TWl=q15?dq^mb@8bCo3@~@-r41qLENsh<Dh#
zw+xn05ZhtFktp?|kAcwT_ybl}=;WBM5Xhsqx=E5oBxtmM3!ahCF$_=@VA5I%k)jpy
zJaAS(fB3_3Jdub5Vhcsw#6HQ{xmi4IsnS~yLI|Q8n-+t$2E8K?v4IXr9Kjg_StgF3
zj-y2&jw4XMYQp;K1&6`<DDL4J54K`Wew{jx))%zH_c1mu2C;EM^(d{FO^F4$`<RK-
z58oX}S54j4(0ZspG>DtQaUFQ>+)2WZxQMT9TsuECu1O#bTy=0BGrut|%&SBQX8T-Y
z!?kz#cFg=nU7X8_5g}rUJHq?3K}TY}oNFd5k};<&@duxtK3rb&-uLqjxW*=B4wMy_
zA>gJF)b(f`A)*R{|5$BBu|_o~0c>yNo(_R)PaUtU=|>-IlEyA5*^dzL^JwijKOZ@I
zyhdza@#%7PXrx$W>*ftgRNH_E9CO3Di0k@Wga8+#1&F;BCg+!2d8HhG!U-B#;rSO{
z)MFOBK}d+`b3k;)j82r_-+epIV!|oM@Ljp&>Yrj)+a)Q<$&#FsE^9vjM7gt#*}2kM
zUN1NO>{1X7FWInZt1O&<lDzxgN5=R9Ijq9z!#DlxW_9)W{k^}HlNOw=PMR~PPm<{{
zALd5s$>&~zAwsXjgoj8ZEFMRW$dJ|RHp;ANlV#J^?QkYGVkSmKgv#n&d6Jb9iz6~{
zlnFLww4!Tj!9jvhkW<l4!c&6X?4%JXQdCwYr!P2OHgDYl!;BUwuWgcXnMv~5%I%28
zks@PoGzKLKc{o*<MjPZRNt8(RvWqHZ4q{mrqmFaVSfC=R&FIVA*)x@EdGEvJYJ~E|
zmK@2-On`1LTIc&mD^@GFT2YNN)UZA&)*m|}Rn9!)G(F*(n>&i*x4^`myZOKT{Z)yz
zS>=~ET?6=S*61J9yFK=|XO$pwTuj9OElv+t)jvQ8nB>j5YhUG_a~bDr=X$@(Yi<aL
zYmTBAJG4t=)$8HCO}~yh=mWZXp#%)VE>@!C&1J<X0LtcT6JP59WYaiM5If%vIKZ}r
z22*AuHc)#%m=DuQn(VK#*}8)^tfVL_rox^<gXw2d2TQNrIP!b<uH6XhKLXzPo3H_e
zvJ>aowBSgIFdI&|#SY%w=^WZ)*PU+<0-VZ+CM9A;)pF*d+475<f2xG%`G38L@rLV0
ze3Y!-zE{%0tx)83^G(;O68S8M#&+(^mdTSQ>J&;zNruSJTh2UfA-D-&jR-+PHhIz{
z6^q?|=Wq0UE{fDPL)lzYTce8VhyU;!J-wGmp1N2YH0~5jQvp6^%xD$CaVO6OaN+q7
zu|e_gi~1=JrznSFB*V~vdOU=NLRpH)KKX2=B-!nH&Kpk`pm>o6Ba3nN6AcYWxG1hO
zPSo|~D$urgSRt*-e4(7r0ilg$C^l>cXV09j*AyRKe8G9D^ILp+FLZ0+Dy^X5NG2o|
zVeqqLy^QF<YaV>ay5nMFA-V9EW$%3`S6p_9Y}kl((NZjBZ7={pe^Zj|x(T@ACl}*@
z&|q+ru<G=J*}ifMhmM)+&i`!)aLx=(U*(>28RzSvb${2tA;kXjiA1BOfexA!Ex{TG
z{wKi}%7yFkS0|x?u;>|Zld>X2XaJ#$!%_E_K}YtJ(gLZ1n1~@^N(%SmRL~rpN3#!M
zeD+9bVXpr1cM<Mal@;RoUL{u2MI&CAJ0l;Dedn1{T}>Sl2Ip*^T|-v@_QjQc7!aVo
zN}7t)2xJpD0~+`&x#miBlK=eE4-ri}L<J@kz4?LDpamJvNSiiwvRVsL>`Vf{6d#Y^
zpb(ERZsU^cZd5`;V~nh<ajKW&fs_pL$|KfUCJ>5WT3&HJFpels#~lIZ-hzT65JoR`
zu&3yY#DPSN`dG&O<Zm8C8V;i(Mh~GSnwqO?y;hkqog5!boI&Vls1hCq`#%r`I#dUM
zkdc5<G)ltC==ePCSslEQhXj@VN`w^}iMjc1jFR#0viGGDCj2D+tcRO8hTY;Jw&b$d
zFW#g74i7+OB!5Q8PqZf}d}hy@0m9d;N6w#f{zZ_uSL(6%G={n0oW<A>cFO9NTO~Be
z|9jJ8Xh&TiE(m;!5ctv@+0edlcN>Mn&?-Ts{`kP3G{V6j@4rv8owRT<!pcmS3J|*K
zwFnf8eE;}jmHhb9pFpQpjgTtv=7*^(IkO!*c4@Q(E_fml?mUU;7?HdYW}e(J(^--y
zj&hM+c)|I)BmVsJ&xNOp282edQg>+oT))422pHN4GT<H{P?4&LU-sSya?=ghss4zf
zIdTRh6l4&1n(sgV^>0Kdp98KXPkpOC`E;e0r?_wYSj5?cxQ^V*V^2OUt3LZko_^-<
z%F#Xg*C&;rSmC%#^XZb3Qnk9`DZNDav^1k(KqX@Rkx>5cvxt@sq8S1%WpB=Y89REU
z`oodiId#E&%)2Ui?uGv#fNPT2z!g!imyW12JSx5b{hR}F;OlR^t?$HBYS(StBGac#
z)HB^^v~<eJC#ql3zg~I;b2|hl_S!WpR7FLl61hneC%_=423EgoankXpvi$vbVWn6h
zr<`z{d<F~PX_F^vI5%>8QzlJ7@Z@0m$MY}BK16t!J9DaJ@7afVg5zOmwE@JlUCv&7
zn#L(*FyiPa8wNWZV#O^g=48kxa%U5!j*v=-RB0$<=w`nAIpJ#21%Yo30>B|(T1Pgt
zGh7(aP$rW5y8n+4$Vn%jC=;<*nHU-Qf(tKFBoGcnvvK`89F@IEPCMfaslj5V<qf^z
zsq^B_m{w)9exungEwZ=+rNb$Auq2q=VG~KJs0O=Y?y$M@UAlCcEPeNF)tPl53c8Co
z8#+qg?C%3QvO4I<t~y9Z#?!`Wsn~=l>nF^dtVD?%!=n%XSw@VXs)iYK>P$;Xk@U=w
z^5F;XN?Bfogd-?vZQ*VhF(fKC=MG;ha#i8}7O5?Q#hHaj8XQ_exa!PkCY+aD3cT$v
z(N;fcg03_o$WMx3Oc59tDlMfo2nz#ak`{&r>XPwO#z<LBz0{O7;y#q<byX4q^Y#W<
z;Yv76s=@UvoH0Q*@7ycR5Nms3bJbYfC_Yhv(p8B(9+5H{q1jqs*ip2%MEqkzrLAnA
zL?Y68b-`}&ib}yD#vO9%{OOXDS17rah&qn`ROVOW6lDYyE<+tb(X#lY>FUV((ejNF
z9uq9K5E`?zOX>a{VoM&SXDxX}*`)^r_4rffsC&s;=;7=m;6J%1A8?9QIC%g*>|<xe
zehEt)A$3KRR#+u-T!vJ_2!;o4R^=NG#t9kJT_3QjBphAI1%dzHAwWDtoiB00*XGDb
z$V`V&TCY9v<dcK&;h~t+b8)B0cwX(GF!|WkmX?;n2c$rKDU>6_B5Oz9>S`Pg3GR!r
zyy#c9e?LyIMV%C@FeW338vV=Yn8zbtT7l^3kZ1%#rM1m>=ZrV_lCFz`AVB|^F2w31
zH}=xMo*R6Yk~tPp2OxTeV4WuObeyF=s;sz5k}~4eTs(EeIOVcDqQ<DciiOEd*<q&7
zv1Qp_L>}j6hM}e6Q$mr05oLNL#0QS8*bpVAMQYj5v}h%SZngmEuiT}uqzo2_9`Ii@
zHbowxIKK+IE^9i@;=(u6(zo8mu@!I?@iCCTH5DfUqkXUR5n5L{xH{?u64T%=fc`|J
zkJimsQu-)8Mb`sXyUX5QCSkEL5)Z4wKJ-iTqW&<roY2Ykt=Hd%#Uh+{lWqFD3hoLt
zDoH}{U0RCS(=!dL$@D~oc0yzUi>JO5qh;9B4LBvGkAZa}xLM49zmelX7-2jE`0{-y
zg7pIt8|d$mB=nDqy$x<J9ayLAyDPaM@P7sZn9y8Pj7j;m2^qzIRdvl0YKzyPk_1v%
zR070+&GN)^F9SjK!dfi~j-IXZ@y8z{@aH;Nxpp&jT(!t)AP@tvhLvM##wcBUe|?O{
zJQ&F@Bud&FjOZXdD!!u;yZ+!Pd{^TfB>0lmz?>U-%p>B>a<1?176L??wD#)+SB<R_
z41(<10p*_ZiV!Wr@UNlnXD^I*_TtELj$1)NF}QCZDQ||k_&|?X5X+BxF>+))_PnyG
z4f-MvB{)0|y}J{~V8HdF4*FM>O@i21z`1o}uF)lf$J_&NE9b`fN#hJ3#I|cgeLcwI
z>F5Xhs}UTq80e@P!Fh^MQ{?JRq;KTGJk|PO(1G^rs^M>jvV)D7jo~{GBFiSYkkp}_
zL-GI`e9m2DaS_b$S%;Ze2e?AQP4DBK`~u+HInW2EUvQpqX&8KFw#Tx_2X@lv3xBf?
zRH2Fac+GpR<buHeF$hq1%rgc15yI|k6EebvNTweCEs-%e><vhPM2v^bdG>Y4Q;$D#
z5cons@F+qY2nv$`ATRDBY4OEQ(XXbUv`R?CNEpfO@vjYtB_uLV5kON*hnoG<Psn18
zK#a6b@dHt72Xdo$$d$fd2v8^E2K`Qu)falx!okjX286>>6%L+w&LcVCbOj_#+)Ts`
zLyM+r6%B_$)K-{l#O6bET&b-rK^?Fv#QD0O0TI&OQlsO~dBbS(EKh&6w)zTf3k)H+
z7;tKs3Vhzv(g0_FE846P?;tqrg8S)hqwx^@u-F0A>=lS894)m{(@wuEBMq>BJs`-a
z$U7)hx*@vsL_3_1o)DcLE-|<*Uh=ScI-oCRI#L~G-Q6VA%&T!t&AYB|7X(}oAOyI{
z>;d{9&iO_N8Ml2TMBM$-2d5Q;2m4?kCoF19icB06EHzDCQoIjGazN4F*I_tT*H-~a
zc>`f|Hx3yYZ_#JEFXk@3Pa0Z)u)vLxSP_XaDG|hP`VF~=n1bYc{~!Ypis&767~9J(
zhmYCu^JMep&GN{@4<T-12E@QsG669-ODn2n?5Jt-@kh&1qED{AW{FInJ{{)d?@MNS
zDvTyhlJy%l>bXfvVJMOS>qX{0?)Z~r#iw70H)7UN?8uXGTkFeZ&b*Ul9{kx#5E16t
zryrMCdzzFX*y@Ne<0L1)Sf<XHE9=+5L>*SI^G{ujvPP^u9v8H6<3?=2qGZ&lQ5r#>
zr;}G!*WzH%B!%bRUD;xbi-Typevp{y1J{QO0xk%AzYxI2k~rrZA!NPSIR*t-)N=8_
zTZPD+8L@KK3BKav!NU-JWlvG6Jo;>@EI#urdF#zL<dg-c%BuBSBpnDYEhSkadTiac
z1J+eOYT?Dm%G?1{>|=#B<C;}pU^fmcI0qp+(3b1!2L%BKV@zG={eS$k{Q6h7$UVRN
zJ)*<6sxO!Bq@ercVSqf~aLt;vdMG5hd0H8gh|vg$F*qrf=7FqCKmPHLBri7)glsv8
zWweU4Y3k27FVjE--&?j+=FK}^e)h}TaTG_XWL|bTjE20_=ZjXavvICdF+!v<c<baT
zQz04X*1w2|2*Xq!^{{UgFVfhEfrDv$wCJ?cWYrg+OI2w;P6~-p=VJE9m0S>TLEwi0
zfv-)-sI%xpSfQ{uoBZX$`_+<g$Icyc|9$t##K{Zgv<ntVQ$w9b47X+HOKoq7oQMFP
zCt&wXLyq~UoU9R{X(T|)#Ze<i!jK~r`Vb>l9E}EOOws~QZq2IC)n}{`@fC@1T<M1i
z0kZl`G|ahf$yLxx^}yskQj+X;B@X2<<e|mstFOH-ciwTk{O%8blFKf+NG<CaOq$lL
z3_eXxp9VewAZ{cm^x@jLX`|Ln0}XQF^xa~j6)cGu2^YneBf(wKkBi1boI}e${6O74
zHlsX4p_P`DXzb7A<P=B=5P%qdj*W0!CIRK#A`z=c2&i)Sz|ERHN7k)c0daQ%j)rkL
z-z&gfA1(;|fFSU-2^j;m+G4|{Aa{>0`f=mN$<u#-PG6Bb-k^{O{6(sdn0ro%I;8SM
zSo#D}6iEkCn%grk5g!o|eZ?4`k<stz=t>7zo*K=hmWkjcU35&r@x%H6_iXXQiMr5r
z2F7Q|Z4W*r_uO<PTqKJ1Kt)D`-?AfHMrEeSj%-BtK(vir*?Xj-1Y8zQQ{W+hdvf+k
zX?dkacG(N=D<0e!2@8F+p8wAqsz>#RN)<OaQsXcUX@*ZBbzjdt^Mw59Cs!&bwSC(*
zI1Jl0-lus;Bjb9OfOvhj{1Zt|Pt#M&xj~Ay?NVYGgJ|RBh;q&tcXZC?T->^2kDPb*
z8M1Awal*3-F(}7y?V)~H^Ul?q|9S{~Z9g(XkRqYrKtE}$DRlr87Kj$BBt?114OcJJ
zcyRO;d+oJ1Bsh95!s|roG4Q9Kaki}8xD~pRH0->q)#B~O>zAnW>#u(K3rR^IsgV{`
z!46BeHLF$*D*FHHNA7zB011l`Yw>^|8ACa}`0{^b?WgY@bI%Mr)nm>+Y)0RR1nGn?
zp#>(m9gT)%>tIG0i^za+Fk_rOT{*L&ygX=!Vd&Av_@LCk8izm*mKky}a_mIeoxLAL
zjDXm#4b%_-xqiAJ@I66*c&HcBo-o8!{YD5G7dQ1}wlEwT2V;-2>UtP^48X#SVjqUB
zIy8kxdm-?!(<!vD67z<MbT^KVrzM$Mp228DR0Cp^r^&r}JjJ0ky6${e5Ezb-(P!|<
z2kw<ASKlk~necOh9*T$ZQTzu+4as0-$kmt(jUK~}A7&&FBkuv0=RjVggrU}@#W_ws
zz`=q0x2%?z?z&2>ap}^6g9ojMJ;*$C`QXtkotWfipxicC)nbQ)jZmN(iO{!<d1)z2
z%ST4JrzI@=K+z~8fOB5AHz0gepb?JBc#rQ2%C2@?5O6`@NDy!)WM5mf$cDJU8D^@c
zp%vFHiVS*j(=QmY?fjyo5~8A!qee=3Rh@J|FBTn^j-$EzB`g9VbUb>cx^k7qPXyl4
z#DK&^Dn0NGYN<1J)HKI$fS-{E{ApYW#emZf>Jx+F9f+W|`8a9^(d~N?RF{OzBtC{b
zPAS@8w+#Yj9JXm*4?Z0B!a>lW7xRQMMh)V1GWo*b!wWGI&7`Ma;D<Mk?_gr9{{G<3
zK$%Dc50`NA%wQt7$ix$U)kT1B;^;mJoOx~JI`DZ+&rqIka=1Fo+KyD0naB0*g1~<(
z1W3rJPiN5YZ-kJUfaJns<xC`O?Ko;XJ|<HZE<8=1{oiL`emz1Of#`0y^S3f{)+8LK
z)GY07{qpY87jgW>yK?5@i{-P=K9glj-!ZF%rP(|np8;9@#R`q5$YWc$Yj&j{7z99E
zyaPkzy~pqQPCFKX!w@?WNrbTpnJ9*KPQCbvL-z!ZAmW9&$qg2Li_IC-=ak(8&q;V$
z1*b8e@hmF(DASqRkK7vWcftFEb(;D4+)SMR>;v_`W?$GAv(SKr-}Ia0H}7*UbAFrL
zC^<zYx)zvq=?&M13j!_(90UQb4@TbM`uRo)nR6>d2GMb`lCyh<Joe~Ak_97>8*jWp
zvxFmfa4^m^YeOV_MnAXN;$&Rbxj0O7uO9FH*T<jG_>4S?gO+DB2)XFO^JN44iWnd`
z2+q+wfYFtHKo9^{9_a6t*o=vY-hLoBEs-@5eFxZWKR6T*O?|!H(gF)ae^3ZBuLa1x
z6;y;og9zUn-`u-2f+|^YllORl;{c3+T46LqQ6M=jPH1kRm^2SQf<STFP!|bL4V;lf
zz1*b<_0SWMbCmV59r9_lFkJFMLq4dx2XzJDK|S&Y;XBz6qVTR>X~1tA>gYk?8ssN2
zGy6p1(~Wl_huDmmj6RGYf;PHvkJpTU=m~<$Lp|ANE<_&wNw_q(cj<RMbd5|_MD@@}
zC2&1)ZQK+jt`8Rk4u$|1u%>U3kYSBtkuqSbXiUZOawGBre|L2BN?`#k6ur6sg@`fS
z0!LIHylB&%Z~}t4l7KNWybxpbrKP1xa&nU1V-#-}AyZKNa6WWSQTYnrKZq60DMsY(
zj|eVV>2}$*H&+P`5jYcxQ#lCHL>&8*7KT&7t6L>K%nxyXd!-xPOLbefbb-Q5jSZ3_
z1mw*Kz}aCS2yM`T#Rd6FZe5qGYI76XvoZ`8^<u5?J@i1uEO%;xRazNI1MT>u9P6|B
z`$#j&ldyS%=;fo{?JWp6j2n|eEO^!@ogjQo(D{x>Kw{>3udG>4#0kuWjU5u)*(;+W
z{N?T9CdslQG7Sh`2^wp{*?bd6rQ^WRB-sH6>d~;WZGt~qO<jW|B4Bno9IQuYrb{tm
zK2FRUtLO23zG1T@Mn~Yl%mzt~kCw`sI+-zHv|4PEAlnlY5utyd>_T|2FzEjXOILD1
zzy$#Z1RQvTzrIzDtfdaewWnsvy}$c|Y}&9^>?xyg##lCde(FG&(t%%kBqb$M)~^@2
z_nzO&t+(9?v-{0J3Qc-`lr1V!&y&*NvgKuZL<c+FjL7P)^aF+fCzxZm#DKVs2rI@@
zpGjyK;FesBkr4g~*IghSy&wod2-a%>!6|C$ln8J@B!=GLhA3{MNHEaHQ(oU+FR}if
zVufMQ)&}ImN!2x#4RYLZQxTjxN?u#`kpzKodb&Xrh`5UttsqkVaBjwR9Ed|+eLDjB
z`brq?nS>0~ND_m6B{{@T+w1`mZ3Mvz^#uos{+$pNAPp30qdz|Aj}PjZ9%_-8AdBSI
zcfdiP92U4MICz(qm8&aBETj?sjsAL2rXLRIq<<Ry;pjfn0>|*ywpN)nX*_~qhy6eH
zt^+`>vg)4Qo$bB%mfm{^2??QB0TBzLBHjAi^;hf_8-gfe0sRF5Q3RDxLr+2oq>-L%
zHrd{L@B5!~XJ@lnk_eb3lkk1X%)EK;du7gh`|i8<JNI0p{j1zfP+$R5PpGO-f#AaZ
zMJA3d5=|Jf^N!OE!R9_30uF(L5Ew&4MtOZw^7j{(GskQ<bItNlQpwU9Z2x!9O_T*X
ziGy^!H4Fw}^Onsv|Hn7|z&=+#`M7-^>P>aW+&I~xknz8HGFJ-uMUuL%+E`*0s$_|0
zNL^k>tP8N8MoM-sAv}a+Ach%f%xKr>rA3+-CGSk*N-{7P<;P)XeTP*hSIAM!$4G{$
zD_QnL20~#v8AXK%o2kFKgC5sH8as_wb#U8KrPucM(V&H}5C2=!M+lSq8#~E#q@hZo
zlD&>4jG;Zn;d^OpWw;*R*NB`LD$ftC70}y-DJ*iS(lu*dV!m1LZp>aV%kt3lqhg|?
zY3TY;*PvwUP)h{wVMtUJ(&b@E2tYO0qS;URYo+C7NTxSeUfaaKmpVj8hFhr8H{Rww
zTKDb{a0rY<V9X5J@J{sft-BQ40RQM?60@;y?>c)8_tAtWi6ioLoCw2&$>SN8X`}K-
zKda`3^9i*RjWuP+&Y#Glg{%xsMRaXecav_iAlo>;;0sr2Q?B_30^YOEW8t~l!o=qe
zhMMJ-`EJVkl)-6WIB!>78w%UWXr+;p$D?`4oNnr&2sMq14BKvcYUwO%QpaVlRC~vg
zY#a1gN~>zo(Otpn<Wh|1rNp<FDqHyptY^ql;-VURi{to~w%N%I>Jkd4hXu}4II*Fl
z2Tzu_A}xfKtEF;JR!4fc2jvWfYyTPa(o$G1W^-*js_4Z{=5k6Gqlq=xWc=ciyp^Xb
zYihBzpvaU;mdu-FWrnKio9y@Z(j#kR-kXkbcX1gRym9o-So(%4-Yrc2mvK``qXa$#
zO0`7&e0cfCS#?L@5b!?)f@0#6zSGL_sUW+-9K8cHMhTz3^T%gn5^FK-*|`-NnK@K5
z-;WE=xB>6K=#wlA7=w?#|I1W;sH7-sAg;dZS_{)`+p-ZI%qL4sPO*ZWA>q-czxV3P
zYtYp}rej;PE!SsvM=MKs#0=&A=+@-gSR<fwtNg1TCb`d^Hy`=q#!-f<hiVyHS-qR-
z7emZD9f$hrM%+g71Mku1S&clt0oK)0&Q=M>nc_H3RYL>Oz!xKfD5IfJIIo<BM`Kn&
zG(DOZNrS{L_Ao>HV+Kk2Vo~(`<lX5i&`U;473w_vrtjPg8nq%@FlWdclY#Q^7+bmh
ztxeq|op3#Nsb@d2997+1;ZJtsad@Y-&v34+V`=7>L3&*6B(n$;Sswi!RdxtwSalDL
zRX4GT;CIPtNnCr#oip->3UzYx7A_alQJ!Z#OCIUdHHUyh;P43O-eNhRRD&8bk4%4u
zv1BJoy6U!DR^a8A*Wrgh{JtI4*{5HOX_IF$Y!io5PhE<F-G!KTN)URw2Qg#DbXJ)@
z6Ui*yu0QO(lqt&Mc!Q>A&75Jxk2DtQ6q8YUc>DJ4$6a^+9&yQ8R=xM|Kie%iRtV@~
z<9`dWN#u8=hoSp=3#~~e!+%w@G#T`UT4)?(z>;X#>S>K~>6ytu$uP;QYNnxxrY9wv
z6v599_Lm3NMGq#9-_=hZm|7CITh_%8A=eXwv4h+X5%qhxT&ALf`<4eLmSiHWn<)0$
ze-uAu<n+n^#$Z%^axo`W&{gD+EUxEm?7;usJT7fl<7K_{;sSUqu@u18vfj2{s)I0O
z%HJ5M_1I51h{>o=jf3fvvl$*e!1^58f%|X>I0TM>z?c~_{!Lm*7wL4UqH{`WiXBF3
zb_Ra->+j$bSAGTAxmkGlUk~Em72m<_7u<nWt5%!7;z=hhG(q9wqGBvqxPSxZiAKkl
z`0J#}lTBYwhE2(;VMFXj6;uT4GP>qJ2<VAPiS3DT(HNhfYvWj|H>WW(88?wWYG@ed
z#W9@B@vz#qZp4%1(M1a-kHkYmP|?zj{P=K`w{{u%LhHQ7uwntjkkg_=uplEAbqon=
z{EUmxz%b<cMpD^nt(LMnw8qPdI@)kfUL0z;{nfQ9-U*zZ7D<nZRD6aD$0bB?o2{6_
zV-O>9O?A6@fMPLfyzYgnc3eI&(P;GAp4Mw)zZ5bcYudXJ#cMB|;mOsdj1<U|<12k}
zHd;y=5z2A3P?Ag9Dw`3L6_3`6CN%GDf`^0^Re1Ipb>FAX-pFbHIh*cC90LA}fbWs=
zs2`zjDph6Wm@;h^?tkC`eD*W{gQWBv#%&@|UcH{)Qypte<zi>ydfWFCPpriJ`SZ}k
z>bkpj?ZWdfyuh)A5-Yp0Zrv+*^wG!AKqd3X9(&xV`Jq&8Si5$uE!PHg!*tER5YP=-
zV`6oUEetC%EJv?H21g!>JP&>_GoRjAOsKI5#UzYmAF&O47>BH<ffAcgeH-cFh<T`G
z^1jr<=oJOi*oAUDOV?X!R49!YnT+(T=-hMYi}mri?7S>K@X+{JxNd02>Cs`_Z@AIt
zMe3MDV<sc^<i2JLaVoJ)V|6lGjCGo^tfC=|q=%Q65Q#R16&uK8+)m<2C5>z?sr|*R
zy<E=mw%T6wGld|Szb7n?>NPZmarsH~&^Y#%9L@YUF9!A_+?zwdA@E-#FlHW^l2b!s
z;;?JSUcR=FwV2QPQS{F!;+n{@vfn>^E1q8UG&XE`2#G0qc;w#?+3St`BFU1J(MYac
z^P+W+PE02`q|<I@-Z2^8Bz3d2`yIzj^u@Ke9RVfsHZyU3+PG|^p%<4{kb$RAn%9Wg
z>7gO2CPhA<)OWEA+c^%U+$@nNlIT`d&`6}vK*f>dAx0s)57YO>B<$pXmXeUGxD7ks
zv=Q>!M4BjW?nD~dhnmmX##U6kaB@tD<*I3WqSz}GXbeRfoO8#=;Z+eyXumqR?JRmz
z^Cm<yHNay=td0h&wxgFs4w5^_vdoL_Ll^tWQ&V!<0H;IK$WElUreE1ZB2oyY);emM
z5S1E>u4a}XVn4IaZ~GZ>J9G$~m<WuSAro9yQ;PXB*=d=i%u|VjPvbG9O4pZ{7@8X@
z_8`#{%W(>c14r`J&YDlzq-jT)hL%PQRJTe^tS*J4DoP6R_XqChoM2?-POxzoEmzo4
z<1bwl8V=^bzq|pfT210XD_LL?l63}6NWFbc4>M7uoGTf)p{bc(GdX@VP`=Qa#=SHS
zwt=}=)g67Nydh${$Q7|P6k1+E?`0f~lv)M79}zG#jup#LUJ1Rlwlaq57|PSQSh)-n
zJ)&;zH=gTPGi+GOKD0?lWQekcMlz1$Z4KP!N+vmX(Yj@G+)B*FJsiWz<a8LPHNKX>
z_4jeVN|4s^Zm4RthoctmtCibN;_{M~F59n&B7y81&tu{w0{NS2w^j1`r-BGQvmoxX
zr=bTOG?2aY+Jc6{iuR-2n?t}M@LwY^riQGKH?CwV;+GDIyQbxgM->gx#aDj}Q)bOF
zS)RKeeFB{?J%t%_7a}(+1CKuP3>vCS5A(x<aQ3+u7|G+G5B(iw#p>r(4>`;VL$d=p
zPLa%UH)qU_jMLFyDrZ=1y=Fd0$cT-8n4pa?B1I){_+kRGET%at4ZL>5HB6*YsGvbo
z({gr4Ck+HAtyMF`r+hFuIh@Tk4m24g88NjoZbR#<NnT3EkU}A7qG75bLnE06u!Yu8
zj7i^qv~D@q(^^_p`<8r_B&#HQ)kLc$?@tU!d3?5Y_2aUhW?q+ECc;NwJAZqW$BdZs
z#t4*a4uPYLz?c~_N$f~os<yrr_uh9ug@IS#ulN1U4*yhEhd%e*vu%L<vWw5h*)yl&
z`l~)-A)?TbP*m5{V9Ml4^uPv~L>g{4h#6GR|KU$=#^RF~AuBt}2q1BBaVTd6->j@G
z6ciL->eMM%zhM(5P8iR8vo<E9Mj6rMnP*?X=8fxF!h^<)$K=}Ei-3$5F9%b#@OsM!
z?_W_lpYiZ5kyoZB<0PXaBchkukUg?#u@QaCyldEOdmH)Pw+$`Oe66Ex%Lr*-^5`@z
zk59{dP3w(pTBhTb;S_COP4f=w#V-N$&a82vjF*TV&WL#-aqkX+qm96r88Rt4<YXkF
zWPgE42c37$IW%PV+VOWVOc=>Ahin=eX~<>HUrh1f2$bw8z=8$y%rJ>s-^*lY734H^
z2!1aw-izJ4cbkanteG<r#1P_4Qu14vU^-{cY>u0i;gg^Em`Mc5``S~m2Qz2PFvjEN
zjjte@0>$;z#2f7u9BokD_Phw_=B}}-aE2FWOr3<%vI-Pe)C{v0N8%)7FtUyOE^p^>
zZDha0_0jyp_0xRcGT-OO?Hp>}k+wIy?#LB=)4tE)PHw^>;1D<(2#lE_6Ft6!dU2Dd
z&cy09Yw)daegpC8xoE5`#uLxIh|`xXVXd-o>@TZAITaf!S!O<mo|Zf-i3Eo-mnN9w
zV^x$M^3Y&qWMp8@yoF4-Z8r9zJTZ-nNnm)|v}q_TEJS{OK0o)NojP`Pb@kXy!<dqs
z%+QuMG$n)R+S`YK?%NXcEhf=n%0!M|CB$M&VVNZh8w2C*I~2Dkhk!%i1V&)Y44Kpo
zf}`VTOiIj%g~q0!nN@mKg5{;Z{2o`8l^{Dc8D&9{@We#pTi^N?GIA%PqS#w3@lcpY
z#-}qx_$r=!{L$gXr=NMYi43n}iI*jd7vo1mN!Q*EA?&-tCZiKGsF={s5SMS%WOx&9
zVvG=w=c_8sle1GS#M?;1hdgm_+V2?c)NR%w;1GDnAuwi!%)&|>gz%7}JRxTm1yF0y
z8_<uIhE`-wn1sUTpFrUd-0|`8OajU=BNmgCi3ldlih<Zp`5t*)8Y@#NdW8j(>D6^I
zG^zX~3AH}=%qqTC+LoSw_Gwc7Q@o)oj!9T;D2d2Qahx=8FJtZ<caD$Q4;I@`-gIkw
z2TPmmG8v{AhIhqgbj=~)5O4?_Ed<8Qkm&&B{OD$;JTeW3hr}c!oCO2R_wK<3AGsJQ
zX~}r{xff8jelM4|U=qWSdv+FZ>hMJ~yO@e5@9Oo;MpDou;YwCPV>2rTi(SChNjkp5
zoO+2N=i1wgfOnjX%JVGWGFqPM?L88=H-~^j;6z1W%nX@Wi#;S^<W0!K=Rfmp+<wRJ
zuxEcM=hff?pZx$%JNGoCr)FaL*~@VCXRgBcKlFWs(8GFa<<lf-6ymyTuEaCXK4&4R
zc0SQ(Q*W_=x{G<aIrc=~$?_MWtVCQ*rSY7cEURCZo0E-yJoq=V6H|xTi9w`4yLN05
z&>0A@2MPBiacs|o+q*;H#6)1s3|T+N$a2T!plI(div7;SH^2TheB{F)qLyA3nkiW%
zMq))(8Kz8{hRe^p0!fKU*iBDu(Mbzv#I9zIrg~ic(JK+jVuTV1?&|8I!0<9NY#ppB
zESi2RNgbIafv6Ct_7@%=hDTPufUa&TFHohyg|JS{i`M-rhk!%CAutkwF=IZ+BP-rl
zf%NS0^rZIU_kXz4_8S-zh$rrT93Aws#<RZI&fVLv_O-PP0d`^>g=Iy<uWzVlHRw{#
z>q2#PHNCC<*s)_L8XKF8iZ6*ORpS+Jx}>B8J9q9Po3Y8ZKb|Gy(beMB)f@Rs-Lyl%
zA>a^j2%L}zjHyQ!z#2>~G*~xWf1QCRO~h6jCykdq`S4SSk4?Z!&#yu8bNg{y>2H{8
zGzGi%?8V;Q+c9I-Tx{F23sa^~#ID`N2qtMHnJVh>@v+#xWfKz9a*&mtg4Z^!M<lC8
zC&orwzS8cU+g;-G33;iyALS5m2si`|jlh^0GVM;Hu?q7|oH7Fy)pabcNX<M_vg27W
z^SQr2YcKC%B``Ov2`e7?7r%xhHaU|<Y$r=##9-I<U8M2H8d;;FvK|$sC5R`5zn-~C
z^;HeXpzKu}wG>PCmunz~tj26Kwss8D>?3FZMF3IgQ40A|UzZBHn2a7WBBk`9Fk}xU
zl*EM8d?SZgA64je<2v4R<lY?u4grUNe<CnuhD`T=4~12Gn7dW5YnvILcB-3G#2k&a
z8vf7XD-?@Q3PyZXKOTG5n?Dvr1&`+1azw_bp}mnR<Y7^)KI~0sMj!K#IKQ!`%*2Jo
zT&yVZmb?!LPrzVj8)}(wEdk;Hj+YH~cA$r<_y@OOe)W(+8BHbfYBC_{CDvD3iJ3a4
z2!zE-p}dZL_ydAt5KQ{M#EM;W2si{B0uBNHL}1JenY^H$mPUpKr{bauFTl@!`eP)L
zrC49xh4YrxV&3#j8VIVGM*{`>_Tf{X`4Zw{BJkJ0|AYBq+4RUZkt{Nq<7~xPw0NP(
zPRY1z+OQQ17cIf7>t4cDS6_>HOq~OJT=CZSn>KCGv@s^OZA@%CP11N`G)ZG8jcu#3
zZQHhO+j=KG&pFro31;s-fBe?E@3mI3?(H_R?B>9pc4svQ6NAw$HSlc{)7jYfxGn%m
zc}mTbDQGeHL<y##b5zr1c!-jcx>uZxu7irM&4)xXek*5&4nG-WpA$2k#OTKAolY&-
z1G#GI?2e1cw3qm>_xU(%@Zai#)Zdi_P}5O}p3BQ98R&mE3A9$qUkf%$bDD+5n$vWk
zL6q%#anK6A7CM}DsI_S`x!;cW@S<}&G0HC}U_}yhbxomIc3`+8Cm=|>GNX|?&{e2T
z$?EQge7;J5>+BXsmJVSdAz8o(N}}VSG@;$q-&<caE9*^lctNzbzR+iN9>6E`-`?HL
ztf`raDw$b}Dy7gy?UKuFEvh$S%qfY1wOZ3YWwoqqkiHq!U)4bVu1ih7AfhlDJEs}W
zME-F_CUUpw?KfSJBhBZ}&O`gnh}q80jTpCf$}p?YDy8AzJ!bU*V#S{s1x2`^ivdJq
zno`i{wJ>BJT73L``1nmwRBoVrU8v9{C2&}LkAT~O=eNz}L^nfa$<Nv(h$}ged~Z%w
zR_c}t0ZQ5l8xfHp8Zwr*+x7b7)Z};{L)pbvUt(QcYOKLx2%|Hj(!hXtEw7V;fk95K
z6lVy*Fn4t1V80j}9Tf>l51bNaT^^}Owra#;+wa-w=D=pwgVpzy^nUn^Az)OEXF@tZ
zsqWJ=IRIDRCc<_9wtVMs+LBjL3P@e5!~gTyR@qWQ=_#qv@cClQqa%#wr~<V2Q7V-Y
zP*%KVjHFCPml7OWX3^E@WOMEX-wY2wh5U2O0JBa)M&j?K8<YFp5|`BjDjs8o4uICl
zc2H6A>E^`YueUyeFZxgQC1d8Qa{H5^+@bomd}zc-#DI{1?mXTbagE;x2IRD~8T(dH
z2QL=$f?r4^?J=E%x>4u;`{-}~9^JjL!CjxGw@-AU3q}aX4oy%%ki%Z(^I<<>98&O-
zeGyra;FNbT2yv7YiMyF5ME`56a|=O-oGH0|UG?wCek?-s{h1DQr!eb+ee=TFgGfvH
z?43Fmr9voe^|3pS%J>uoMgS2K!?-+eHCPQT@Ci8C?+k*Xx5?=Fq*_n$ex1$Z(=%4H
zgM&i%BqxUJkZwk)p}}|*!p=WW6W%B>m5zocq0Zt&41a2~<3vJMQ3`GfwRduc?k0aq
zWLAon`9dhiFa&{28L0`Q#dLW&DgO+Nqacr_3o&f``bp~C;;s*pgd*(!9dn0<f?!lr
z0pz!aCUVM3E<C1WAcWY2J}oQB`WjiVpcTYJ@gTo!>0%Vlq{k^-%JJ{8;QhxwAqmxJ
zWYUT4&bo@{WB#~8_F6m=!G+c*P*+w1BzacLRB))MCG}f%bcCEQ+~kyt!8kwb{#rxo
z5aqEnmFRX0$gsk3==CPdWkxtU3JAdhm<1QPg;vgDQ4JJVRmr|()j9FHIJcywLgTc~
zG7Bv^q$R*3-W~iq>7S9k7?|`Q8wQkC=ew{gwO5^)(9)Zs-=1RWY<^Lfw)`eVqe~A6
z8|85}_PXxA&9YxtI$o)Q!D~6hEV`xU?jb*<4q{A?O!FEnlwiaQj!24=fY_jpiT@EX
z9SKTLOazFK2L=ZA+*v*XFxBp;eR6cRXBu|@{WSJRGS-hE(|*^$?#nP&<s?)IbK^sS
zH645bqAnWkqSi2F@2W2A(FJsTI&Iu#W|fdq=8g446zpH-#yalv=0#s{aB+XxI#+y~
zF*=x36x-d$Z^(jQD5mH37=;7AOd~^wj`E4}#tLct-^uKSjOoR|qJN`oM=ERgWO>@2
z6_YM8G@Ru>6Eehm`LXnQ9d~=T2lTpZyX<VkMEf#t);}`ZzS`N6UsB?ge~B8atSTZ{
zqd%ZmtXlEs0VJMZRz~DRyn5L_%KPRz>M@NGq^vxXz+v-cj&2hsn2+sSve|$3FoD%3
zI4R*LMWRIf34C3pi!0?Ag$o+k5mAXiWzh9|uPtXyl%=}%5PD~Hf=4GN3ubDrjR(}w
zm30M=@!E`E76Sue(91cm6}zs$C0&SzjHJ=@QJ%C>9FLD*aF(nvaM(8feNY*xcT$9*
zg}LY@?TN-A|DuB~K(anW4|1`I%>bl|j}<l}qO#!nOnk7bnI+^PLJzdAD5h*lmFmMj
zrYZsVfZ>uVl?WVYQCdZS$Vy`w(eEavBFS19Up7T~*7}ttPwmFafJUNz42`7)TyFXY
zDeQ=d7)*ksTS!=_VY{5#S_$Z_zji$|o2?LK(pYe0o3CMMTlZh?AI{E%JEsQ{n67}p
z^Yg9z67t^49V4BYuVddqTFqlfqke5qq}ieQankS>8;L^&>l+p71~oNy)8J7Dy~BMP
z*Cks#|GE6ZILNOf1qVo_6`FjCLUfrEj{jTO_{F4v!Z_D&qfnV{J?X9mswz)Ln8zSn
zhU<uW`iByJP-hDaobVTyKhgrGm)qj?*DL5-CWp+U$z1WUxHMw2vTT~Ic1K!0A%H2d
z6>y;j%+|$-<umkI<GMyz1_>cGHC)B@e&K+948hkd^tldKdJ_Gn|E*!%k08B%jEAa4
ztv^&T61Z&*FRVqUt`Dd`0Ds!vo&@U;1u)a9ZGo5jp!$Qg@b&2FpCQStsC%gnw5%43
zQVi=5ab6eeAU2ILMp|wuol}0MP&M)zB)a-_Ad`JGX^lcM18jWrlScNWTx;_wDmAYi
zV76GxdqJOr5~is!Z6-6dIcDSZKlep@U_g5U1|!7G`0{r|;OoWu8vdZGni>b@L56f1
zJ8F1K<9Bo#ZHdEYh2^{cEI%_mWe)WMUsbvC_`u1D`R7HntTl90bj1TA?3o#5IDmaZ
zrazF$gyM9m4sVda?AI?52IUi3f+l&+;6XZMlD0zgHsz>NBP}(#h$#smBAw1%^1rkH
zJ$y!;Dc1jN1gL6TzA_Tzq~L~X3eI;Ed+AJnJK!mHGvGdTw?>UpMSQ&TxL@(GW4%R}
z&1Dn|MC3zbl3Eb#%Af5}pr<Xq*XBP`vH!<a?*E81G}=jkJ6~USu)7)?gf&~SX@ju$
zS)SCCcPreNuGN#+lxkKUnSql6nPLKw{5Tt8^U``+uK1UQ=x>dXSe1hesM#^AEL*fK
zCGzOiM2eLvMk6RdWY5#!!(wRjMRY}+Fyjoi*+f|xw}aKct-GF&|GsfW$v|jAW5oqC
zMFz%ch<i6ogKXnUzT$99rxf#nA1KHCzkUB30oPp>J%!kbNf(ZWiXWS%F27Og?P07#
zt$s*JZ$gR6E7q{qHrE6Ub8B)Tl2_93m2-AQ`ffk{<eg!&_Mgx8{_kN{3PO+)ifONX
zFdWkim}8A}V|T$V5{u8O^*~^1=*0183x6=&xE~+L+v-^qaRs+t*Cn)LiB7-6=cS96
z>Xkf)o&m~e)}kD-nd@f^GfnhX)Ihzxe#k^-LJ*77!{g>;iRU$>uYZs8zyKsbbY6?e
z=wxgnUO`Sr+if@Jo?iW^tp^q)>b-`AYMyXC;0WOGZdqA2NB3~MT<BV{ZT7~xI@|Hl
zI*UOAapWNWG>21;fS{1>2YvRS{R-<X(x2KQQSSKKth!hKl4k$nn0e^tk^yB#<{Hu_
z#E@k7$FEF!ZH+H=LaM@yUT;lD;pgM3!g)CxvL5xwx>dROw5({pPq5;9@FE|AEm;}R
zr8x{pa&pLbBxllDRC3WU&TC(>m-1Zxd#r<k+m{X_5ArCF(b1AUVO3_Xo%Q&kL&b#%
z1991S@Bi+E1(teDwcKrPlMI#r-kG{T!Kt$u$tWE0n!wgkT%j)`w}Pe;?X%Hz)SHm;
z%cM&oUlM6D+Ol0N```Hu=JQ%CMgS%Qyf;x-L}Zc|WtjKP@8ROiT7a6A&g+2oo2l5|
zu5|klUCD+SDuBqkSQ_mQZFdAkXW=+vh0+I@%n4W_EI{x#nv;N_KzbFBCs}&{?nbd_
z?sJ8eiuY-rM%-<Y=NA5($s!`Z%<$L6f05^Us(<^^uYSl1xIoj`Smhb4&F8{;eDx;y
zX?QcVDF*8AiqTu=X#-p5U3qf^6mdIhVr!Pg6je7Otq-O=PrEhNgi)CtC!tzidTXw0
zMvfYkGXl*YyIY-3r~UyxSf}BI3=1T{`Zo0e23Oo#KEH^vqps~rvsk+gBE0mTtx0&j
zcv(t=-HmcKHU?y>4y(1&`1NH-rc0F0gBSU4@Wr+wl?C>R1`?mpvtv+3|NJ}#bpkKm
z&)Q#EAKQK`Qj!M{NDcmcpp-3By8#NO6kLC4f$N*-+ivCh$3Fh;7hay)7~ti%p_}2C
z5M=1Sg{6ImS?R+Lsd(&QqxM-(P>{Z#zbqcB=;Gyy*I%>Az9L}PUBhFAg?fvTuVWn&
z?F5bl>(UgnQWdjY3mNb|;{sDZOx@P@_)9hNe|rJIH5S|woQR_CF$?yVgYX1nc`Exa
ztOu9nIsfk=#2}wLBMP=9wcq4U(M2o44R^%P7+4+feT3PoHbIfHf-D@|sM=cf2ut>-
zodv<NtQ$H2YWTjPq~xFG&r}o?FsZ4jxg!{;(t6N>3H-}`7-5(Mk}@*6@>{O8?x%{n
zBLtIKBQ}=*MFCfWb#y<eAUv=$JwQUN&xrSl*H1@AomHYxVq_e0Vv%`*9kr@gb>YML
zhZ?LU@vgNRBRVAG?P>eth4B4;E2&gqN4H-VAz?+DZvW@(bMPcKi=k41Y~pT0Hm)gf
z*VGt6cyUt3%>Uy{@HY;A|Hd6;pxN131H!IN_ZTI%-vQJxcb1D`H9Iq^UC&jkhkCRy
zBBTqU@4@^4K1}=RiF)dd-e$r1MBw0LUh~=mE=r<Lyh@w#+9wKcWi7Qn{o|Hf%`K3g
zEM@UQ(*I>Eu-l;TLkSe!)ug1@zfJI<F$D_}7fCwQ*kzKFV+%Lc0y?+IM)+Jbxd+wK
zdenb>+N9v5?({PatEuudR5H(nap|8jC85zi76KF@%(6!Bg5Y`rQG0E#pSJEY?L^;g
z0ql?>gzM-E7>t|@^17s7o-4vVkRbFiYT1-3o4<0GE-JX*`HgMnj=6pFb*aq=x}tNP
z>$!gzsapqE)v!{!V|`2W@%beF#iX=In8{{J{fMgEaROVV@VlTWh$+c*C;}T#S~<dg
zmT_u6;i_9i3;NgMe-dzI;1?4`8>*zCv1<n-Ld9id+eUHKs1VJ_@oz}o3l~}<M7(+~
z2EY&ZtFH+hW^n^bfxp{a9~cXLuNibX7me>uPEJ&;Y$me<!I3e)ghWszZ?`I3?(hsc
z&l`u2uu-|pf>%n-*3EXq)_*R$?+~zD4_~1rB2*L~Vk<9yCx0&>7hO8o(|H+^CF14A
zilzhNr7zuL_D!nO+YK_`0*F(2LcUOk;LiS44vb4U2hV8?`BUavxtoi2Ye~e-8`(<>
zyWoT@udWn`K;aePeD=TpYz_L}mq0OQjEWT7_X+QwOQr2T1(5?hwaj47?}ycvjhWR}
zU7Js)$4a27!k)I<_F6z_V2_2vvhURx4;YTYO`t~dZ|?30$jFk#C#}KpAS-A_Dsm$v
z#J0PqXEFelfSB`@7n5N@8Ql%oO83j*8oUkKxjsSgGU!9ZC17LY{1TyNVS=}t7RN@Q
z@MeC{Ii!BwZ(0)&Q{Ztv6uO4)gZDUhL*ke`uWMV~<5q+i1eonzf0!-hcpi`(!}ULW
zjO)Ur2u=N5g^`azq{q_uUn+YIeP8w70kjciaKQrZdIUj`gfn5UGKaKZdJ_;ONp4!5
z18U|6D5ttC%4bNY>YGiC8*+s|OxzNRJ<e;Z8x;3vg9(Fm(AbWlk2>TK?`1hWi6`02
zi~}_w`x-^@Wt{bk6SV>kntXOm)=;D{9L?Q-emRW$qq}ZDF(L`e(`lSxireUe>cjL_
z_IjU93e_Kx9Be9;Vox#by64LuN?qEa;B*WYMRsc|L<1a=ii&cFU~ZNe-rd?Adh^>S
zylkK{rn}P-4HQAM)dW%zwcFL0hx52=84Qr#Y;rnL1a6_#V9P6!C|BeAA~gMS_J4T1
z7y3Ss;8Vc`1G!m2M-yEG^bhS9d5w#XA+=Hx#1TmHkedNCYE{qSVJX)eGwnXG<ldda
zVRNyxwib9b%8kX({0FQ^w40S#bZjcdMGiPp*8W-w8*_UN4hRnxl>AABgp3q&o}q4p
z*Yc=-n;zEND`LLOsV4zu>yfA6z(5gGQ_5M(dCxn|+h5VG65`SXCfP8N#8FDh%3HVE
zYlaVIBiS!pm~RZNe^ySxMDOJQ{OBGjYG|ZOULv`g=;J-(s{a+f25Bc!{KNgrS<^6a
zo=~2L$&3xDXpPz2uPFs=UiTCRWRkRc%QYUUG$3H|Cou3a1Q8LD6hlKYv5095*wq<&
zwKvkYV3cYg@sPP2e8O(MDWo`|UFlfCfX70|!2rXtus|HStq0be?9B-}aLFtU#QqCJ
z=7{HC!=(_I>w@wj%;)Q2(qFIh%o|&(mUyTrsf+{iulZYgs;ilwpJ$gUT*h#J)`I%J
z_p^&L*JorvP^G(KPvy$=AO*ql-Ywf0Cd`&<nz?Q5rv?VmjU8?V({+lRN^WWU`nt%M
z*F|V0LhWQfyX>bH#Dv_|#9y({5wk-sEU2NiPWLv7Lr$=#{f|E0A4-tadwg~xbiW(!
z`5@e(6FJsL&KbCxz4O8K$%Sph&#W{X7la^Lhmxtk_N%(KhKR@rc=~YlhS>4JlEg$t
zxIAH(&hn)PQ9e|1l+pXvGyH;m`YEta1>2f?t#iNI7IXDG)1UvJ48Fau<LfCB%w>rQ
z9R^rI0bu@LV=MY2Ujq7%pSkMRhqPZO=>-A{7V^tzKO6Y^V*-2ww#{@Lhb8`WOhoDi
z1VJ--6WxN4cM7s2=t_hE41i9#-9ie$Pa#CWVC}6;w}_}Zca_{MpV`^I5V~X!x%^MJ
z9@AnA<D5AW(k%O<|D8~Zkk7plfu>+D|DVQQ*4`6L1j(|3#K(YWLz>P9bj=X$*K;z+
zpumxZVUi=PZeMiGKc%$J))U3l(geCQXjk;i^@qMj)(|xqR8&RfCQDk(Gcn&jr6h9c
zs=jD3QAxo1$3KuNFkMx6oYAiRP@l(e>=g7z$`?L8$J8|H{?50Z`yV#15NfA`OT27m
zjM|dp-+5YczcI75wOucIdqV9p_{f4h<}oKMHk>MBX^gP;a-Va*8Q=DYB06t<EgTpm
zN!vOffJ5kPPNXOg(m8A0)*~{fF3ab$kf!NtRABhE%#MO`%<|H+y-ln%J}$k^d8Flp
z%9JZxcToeDN5f)Igq;_AjE&9t3`M@YI^MnH8<kWe0ID)Hsz6Si%dP(njCI~Y#w0{a
zmz$*mO;)qk{GNQrKv-U`zO4>xFU19|b%<m`mjG-LT#xj4@y-qt&R%H~`6%iGC{|L~
z*~zeD40K+Y%ps+1wmV||MTE3P7D6`T{v}icIgVOQZ%DscLHtl|-|DE=LSMLbtX7ks
zDBpA{^TO<ynvi-3DZ?LrSo%K+aDPv2{CCFbEy}7I`Vgu261sN3OV19AXS%TBu;y)$
zm+BSnexq_c|4e*)N(DGwTbTkWr`M$J%{B+!Y2D&ZUJRWdSB=TP@GJ;~F&bv*>h2$%
z<m~EUYY|3Ql+=7fHeS}JMh#kSv@4>4hYxQbP35Xc818E&NG$Z?C!+_tDlGf_I}Fc>
zAU`r*<-x_p#}FlCLx(Ej6y=`leMCLL^6RZe5`WAuqwI*`Alv#AOxHoz>hX2;<w7>A
zz?3)5<6f2;CDn6#+jv?9C7e?~rx)j27LjQSdU(H&E#?%iXdRw_y7;;-0dX($^w!`}
zX&=BSEzsW2_Uv`2g?zIH1qDMt?Is`DroRl_b{N~kHntHSCM@|q<A#j}&N&M$2kV)}
zX*=q3Du^qwOxNi>XPfM2qpQek`H#;l9WOR}mBk~*Cir=*UeG+rQ>bmpDXNGQ&3d+<
z3xN=v>)oNX33aa{yf8%kGJ;G^H6%CNBy?1!;Nw$bo7q|f5};S4RWemWQ=db0`W4)&
zWrS486+dhvauOM?H~c5?TlarwwWE_GQ2_<GBEB>FgiXcD@%ibn@_Wc@Hj#{y0>Fg$
zRzq>Ph&kT3Ra+nH;$q*x>2D(?#pIga0oT;i%4l8lfjc$E$5dR9+Z!o!9H#D&f7p9T
zyJiReBwtDyoGh8N$DpkvrHgj#wEl;*c?I5gP-hSY3`2ead1tuCrDEmRuU2!Z9()QS
ztcR4GR<p5g^B1t+U<Kt2KKImbfYRwFdnM`GLaHd(l)D>2fP;hF&WnAJ?D`g7(`u)3
zS*f;coL&hapBQa6X0GNoHZ+0PAs3N5N_;n>vhOf{HnK-GTnAHRC+72KisJm;r)zhc
zv;V{Jb&q%O0oy(GK{e&$a<0dISi=z+M37s%4n!WDYQe)ek|QA<w}ki%w22{|LeDp=
zF7ytg=EsW-Ujwg~l@K`z2*Rklm15#z^d`iEBS!xu(ZrOQ=2%&|Y5+$$_RNXPEx9OO
zm6b-uhK5KC+ES<AJeW`tedFw7jVlDL{~HXf*Fj^i+ur*cmkT&?>mwK5{B}J$b$QjB
zx{>A<lls=%YJp>@(a8BU-j}a~d~iiq=Cbf8CZ&30FXzt?sTJQlHz*-_5liPW(abn;
zm@`xVI&-s|coVUae-_mkm8M5G7Ym`pwH~<e<L)*Nk=@FxB~rS6&yVd-)X~=aQVePL
z;_}z7K-(HnH^<hak$|sA)SA+13isXTGIsZy+_zKIXAk+3@2{K!rCz?C-J{wTE6|x*
zNITmV4@Hrv7Ly&cUcW>emMjlQzf@{+Fz=}b*p!2oRGb|-t|v1q%%0HdF+ot;grbl3
z`m=hU)q+>|h(t`n=eHm19UM4kHxcE3e|=|wE&_bUbntWZaGGcP>Aw0<sMIu67DC{f
zf?@4TW?u5Zq~;5B0E~#<_J>5D4rtw#a@NAFzFy&ppTS*^KWY_h*}t@CkWmuG3=5W#
z>Pb715F#tc%TIaoJ6UAkoXyvI-*ivPFU|isyrj(5-_D54Mr0tf2nk`+t3b2svOkd~
z{Oii4P7h#cT^fY&2bd|P<NL)Xez#<C@u{74q{<J@-&#p@uxvdE0s3X&iY~X7g*$*O
zPgGrx!d|Z}T(-}ERw=8ik2sB|-+jIA>ad*`_T6v}nk>^r51D>1B%hSoxwR=z`9IPm
zz1i2*U2?6Sf`F^HY)Dg)Q<l39%`-RE@Gm6+d+X>Rea^o;m1tYYnf`X)K~aqTn8(8K
zfIvl3TLndi?@JET8KuG?6F3snoOa{sx*5|!bu+hQioH4IxcR#e3Ri+4(13CArbA~>
z;nWQ_`lm;KAg=}0v=}M0w46qCm<EEg3ufr!+EGa2#=Xdzt$a;wT}ED3Dm=KfhS{v$
z`nW0(9!68M1^Vv<Ed1A9Z;3Jhrv+Pr31VP{yp-2IzhE$%&oQ#m?MB(j;TOEoY3SH7
zhAb9a2j;AHx1RB(+0fRKtl(^1&2`&pjtrC#tsF)A8iA+DMnd$&3LU%`#DW3f{sFC@
zz!Z1Oi~Zd<!z2+Z;p`j#%-q)6whY-3#VY{bS>2~IPQOn}a~E()#x;}N-F~QoDkBaW
z&JnP>zulScIDT^<bs3oI-95&c2t1wFL_S@O*rb2=LPmx7hIMnUg_MADhUX{cvEEt^
zzJD*3fltd<^XG*QaL3VXDZW^3&Y#}&yu}vtyF%IA(Y$rfdNO^hz*^Zam0&F$O56+U
ziu~-z#-~=Oix#|>MP^iwdvEQ(O*S8x3`cS@-RUI`+(>$jh*H?<n8w&~sQRsxyhf+u
z>ALXFUZ9W^H>oYnFGGCio2|dLw5m28q~@b{s=kzh;l7))Ar%$2nI=JZRSNDBIH!U}
z#K^PKY#4iBVnI5Q+pyS}W3cm6Mw@6x69F@Dns`%oYf`c+6RWKj9U;z>Pv+++m*u8b
zTtS=@o>q(t1^`zNRKn;g(YKBa7gdm~_ER~WZ*;0+AmMOFvLs^PmRJ~~nQ*G|yOvF)
z0OEm+7LgZ(R~JXXAd^z`M&v8m2~)BqPT9oCc5RI`K+2*p{R=bmbl1t(Xy{f>@(^jM
z`eNTG(`)I8Z<f-n`95$=a*MV8ZOUyGC0ZDt85$#uf17p+da#);ivDm22XL&tntOp0
zaVhQ4aQhEYcTn77kG`V0ZFW5z%5fxARLFI!znSciWGfUAhVpJ4UoY%!sHvH#;-{Z1
z*E2-T7~G#7CDdLpuJ*=qY6;uIhxYJn>L_*{>`az(@EpJ+cHIt35e8r<Zm63%+ViXd
zEGy7Fu02qy)J#jaOb(~mnCxh0$A^p!MI%_+HIPTNp9UN2>(~N3xnri|w$uyVL$KIZ
zQFxhI3+yKcBrjm6NEfjVUMhv<S$2BqJVqc>m4jt02Co<L3rmdV>-t-tR(END02kQc
zgMz7YI45yf@w;l~jjkV>eKv<3>1T~b^Z5PLDR-rkCy%Ocm!?ulJWwSuBt_H<X322D
zl1#GFBIHqNsz2R6)4HueRd~F)V;1OS=j3ff`oEnny(B+fcM~RjnF;w;W=XQ|z^ZKh
z^kcn-=4V8FvbRyX^Kfk<n=Ymep`bLC?QXH!{S2Ll<j~yj@mJEZgkWf`^kgl!gTD`5
z+8;9!uu(^kG&2S^8o&lGD?K85+lnV&f+@VFwB{LG@5OT6E`)pCePhdw5l>x$RaIw~
z#SNI;#V=+)CrjXV!?&c0gO+-gwr*~pdUy7goJU4RZUOvTU}wQtMV-jg*7v=;=@_NS
zlb=pUuzx3p^$rrC701T1`^MYdE#N{8tTCGz^5>1L&avWuVsh>~Jo^i!-pDZ;jbaBV
zJKu=%>U|;h+e+$uP6SLPU{)Zczi!T5<czs@;$oxGYUrRg)LE>B!E0XdJ1^wqdKK6-
zcz7V{>FHVBsu^v@{j}_|87mdS`1V)82A0>aheT)gxM9B8gox)n<L)v=WYH<s0ZHl;
z*eLQRM>4)5%8{lgD=UJ}{;2oc(ZzPwn}C!8srn*D<F2<77EYG$S9Ahij}%S+is@}B
zNy)maf){jDR097mVg)$5(<dPY^Xea`6Nyn{<KpONh@zkJ`PEG^ab3^x=Iio22@cu6
zCQFitnA{J=(e+K6Ocir>-CrONM-B}P2qT6Xq2U!0r@3u3jdo;<M<<{+%$-jHVSb*i
zwtTHJ8moof>r}qFy*lHA|4Q|vwA;_FsHD6Y_Yo{aHb*18$8u-+jje!=iGlkCI`;wC
zaTg4C36|I=?bltkluCVCG&=52pSD-y<73xb+ny00wrq}pFI#x<AZ_c0mFqP1hw2fR
z=fJ#jCsBepx-_%TOh-p*+2Cnh1Ox<*Z%^+Q4fikLWMzl=)t;(xMJU_n&^$+D>ZeC%
zL_EAPD>*EiMFkp-E15?8*P}HFwzb}JKh|kJI>*iKz~%*`#ZZs6)|Xvw*+fPFUdyw>
z(aiL;egX1St~3jXG{YDG>+6<xk(=I&We=YHF<ll3Ph*OysH|A85CsZan;8!nPT={}
z;N;ZYaV7}e6>u>OfYVWxORIxRND4E-=5}VWeAUbICA?`VEJRvhrsn2eu|JVYWyJwI
zBLZ>>hVa-%OEUtQ8BG}n8S7K^=V-MmQ9?sQ<3<t3UZhgk)BMbn#j_|l$9w(h7)&G+
zn&~D?UrPUQyI_zSI7ST-5fPnKdBJN9$#BoaQ3(8XgB=UH{Jp)ib5#c^H&~Lkaj8b0
zoiUV$7#tK<0qqNy=pN3bZ|}Uk#03q}Mz7D)%z~z{H2&xM*gC)1WOKxq`DvWG`K_z2
zYG|Yt+{jE!fAcq9qQBaFy*rN3;r-L6yQSX~w`>;kA%6offN#Zf<t8CQ-jo*<CijE!
zt;R1v`2olK3@HEF0@V<QW?kbiom&bgembD<t%;{s{m|!rSQ3`x0l10kCQhF(_g8?=
zXQI}-2SXJ`mKhX<{Y?uJyT-zHG`KFWB(7JI=>(BR{ww|9c@KW*KgueE?uLuaOPfA2
zsnPw4Fz+XIHd<(Cz;0U(t=~p*Ui?;V+;W|5I>INFLf-)w3C#QaRd&<%vzF_|XUt9|
z%w~v~DGXz-%VswaXmWDemaH#f`u2FiLMt{z6a<O}6zO56A0Ja+z1pVs=ll8iOim$B
zkb|$m(QZjIm4)Wc&K6aK^6`+IS~Bk;X{WMMPx@mj>g{`r8UQ1})K~E99a=&p9WCu7
z<!<24_I3h8i9QE`vd_4ks)~wXU!m)OkqXbwjmW{l&O|$S9P~otBi8Q`f^!+ccFW6t
z6s-{atdf?Bpihej_KHV4##$als(!1aVHpbXEX=1C5ZO~Mef7-erC1_@l330I5y8RX
zjB&}|hHczwhN|h!22_Ry(tV;{hB>yR#nRGmDcnSyzyljhtXd-BIOV(GSuIyvTBp|R
z6md%2%l_ovt-gJj<vGH+d$44X04#nm!4oylfJxlnsyFoL^C}XcqSmtiGF$3=8*t=j
z6CwpC;9F()LJ_jeEd=D)3?f2Ht9+I!`gvF80i<WXYZr`kc#_&0|I18AT*3OJ4qt9A
zYQCE<B@!V-H0gi4l?3)yit-irXhjtwz4+GT=V_-SKCPqT^}gJ_`0n9{m62{!H=?A!
zbmxT>+|<RIRn%sDHL@+y`*=;E+Cz3%Q>2Yy*ZPsc;Z?xd;HduAtM)!-hyCr@My~TB
zl*{AoXNt?JFC592ic&Si-4vHExc5hHP@GVG9mtsGY;1Zvi&%Voy(LXG5PNQ$KgC8z
z^RkFLcJQ%+ryp)M_Fd@5h1r3$gC=XPc+1>ybp^gwSgpA{i*fM<`yIP`DmqJ3@C58U
z-UFwJUB%oCFZ$g=#PU<E`o*s1f+z9Gx);i2Y=*}Iw@0U^Y_h-v6vq?MmzZUm!6w|8
zY34Oa=8O$c8w(u}bd`lPWs#hD3-%Vv7Ync5Lb=Ky@e*xL9XG;m-H=#H*B{*NJ3P6k
z_gdyK3NFFI-<@%<W>7QQqj)P^Rnz(I*o73{k9SOea*F>%>{`Ezz&?S9vAy>F4f@z}
zl1?DFv7kFTbza7=og$CA1NDbSSn%o%Ef@S2h6Ja@0bw=6Wi-Pt%vtvxGSzBVL{gg&
ze%*LUx`z2eelsayHkp-}q=J(B4S3C8*%3ZIj(#ze=UI5}cyk(VBz>5aR#V{~rl?sg
z=h|umJ|<zZ)aup!omz#kG=arGw6s8J8RUzlEfA27HYX+~e7oHy{Yk)RS&7Nw7^>e1
zy=LRTR)Keoi9>uL=8YmVA|tn>+cdlZTZubOEmHleev~e%h|7ZEgR>hy6?WON?k-Ds
z`%j!y$)rWP9Fz#AZ-5$8r~c;Xp$A^P(HUKpptFn)v0ZoD6$+t(+|ox9U0r_GQ6nb!
z3sO_XzkM#mP*OJ?I5kQyAB~G$pKfmCM(Pm#d&)^|#xYL8zT$Hke!jcV)^qpV8lOj~
zmsL-^#_$99T9^IYzYm#1Y_&IpEK!i2Lazg5D?#m3=m`*mI=>>Iu`%1m@B1Jt+Xn}S
z%rykRn1Tmbv+|}go7NN_nm$bsV(yFA<_8o$Ec<yv??~&&@<UKb<mqsVLow<jVjmqS
z5uWWg1z3!<gbL|I{1Ua@g<QVz9TFYIy*lXM#%8W+&zqCH#6&z%D!?$k{KZV0OSzsw
z>|q;~k>9HI*4x;;!`7tY-#e>iWU_jxvJ&*JBw+FLMaJPW+7flXbVm%xO)GW?N)LB=
zyj&5;^x*SQz|p;K@f5S00BCtFAr6z8JOLHhsvd}_cAE1oZfvd3v2Pt$*yD6GG+khy
zeh9+&;-bXa5#{&Axs9>A<=~44r)Avp%b}xTF-knqfhj_W=JU<q?0W}{q7qN)a;IUk
zr3SOQn;)%FOnP5>JY1)w-OAhGVVtJ6^>8L*qvmo1a$&K+y*(4iRLXO}W)fQt6<|%A
z?WN<-T#J{!UbpJV$JGuSoWJK-c#a}$XRko5&d=yUEAw30h1TV7Y|hemD`5TU+yRoB
zdaP{^VpaCp?>HklER=>>84If-RZHy+9|oJ)WuAuenz_+*1Ui&b#Np>BH8V_PfDU`*
zWrSn8`!0v$ubUzbQGhgl0nvyUj{mW1KqBT)1lumC4kvSn%RY|w?}UE1eH8a;!yQj^
ztsPgRzJ@WgP-vaV5b+lA87B{q-=$8DBiLo5b5NPnPr_9ef2s6C>j5z&Yjn3Y6BhDb
z&slxNXhuZFEDIL#H=e)qWO>A=zI5V9k`XB^&?bZb)YUItfocJ-EWyOZ?Dv#*`-QjX
zOX^g_!?y*&@q@ooTi@m5T&9K*5I){R;-wB^5$!lNrnC8MZS`domVA{~3LDpyA?#X3
zqQ@TJV?|+&`n6^=2JC?d#@G%^)@Ng4Kmuj<F1Ry`t&KM0Qn=<H2V<CFx}tm2q}Uq5
zK!?ZBRpK<&vH5s5XYp+ojdipW2<Ecb{rV^-v(Cr@0C${-pA<aR)14+v&a?ZtUjaA@
zD_TTY3XoRKdpqx4`5V6BhoXX2RzQw>iX*;278+iF6I#A`?zi%uVYC`XWTy{ugM$~o
zLwDkFb9GMRwxraG2BNTB{Sm|1hYM=IvusLjbb)bveqeFDziTs0_f6n7Bh7KIRbLat
zasDlm)*}=AwMDmc!YzhOWiC6<=FHQD3ZTsxvf7!1tu}!(QBxPtPEZ^Uh~x)-P{=`;
zDPDdV7ldcBcKo9ZITuEJ%q1pE=`-{7Pe2=-EIIPRj(i|T{+S-Usk#(5fcU$ITF$4n
z1BC#Fz|AQhqT9>HALsL+@C}!>m+!yHq-qEYEiXhHX5JIryu$6Wa0?$4dT6OBx^L#R
zLL<W0Jh6V&ui`g>cYyT*>JR*s)v1ELl%a7w=BP$>`f!-C#zX@HLpc^g?@Ohva$ih)
zLQDN}%IYYUxeL-;#6t=dW#wpSMqJEKU}QGr9|?UgwId>pgnbf(-G+jT2hWCmQjh(1
z6_G)<``38Wy5PX^AxHTZv!QG<^P|v3O0|5TZ?k&q$B7<~S#q@EaT_R`SCre6zw`7b
z7~0IP4D#4e(U~pGTwQXac42_3y{!x=JbDgB0E4)^_`vGFy4`NU_l#pmK)78l!aCS+
z>>n8x7Q}pWF&k$X_dBrnGAFp=B{3Eb#-7l>QV<-2ivIqML@CzOcFcX&(JP&NufGP0
zdHf32T6=m(*w30da;xdtoWn@UC=b;9q)hh;P3+qPzMaiVW0OEKqmek3|Kg^%ts~&1
z`SeY>Cq|bOCtlOOAO}dE*r;PkP+3(OAxYD<_IwL}>se_s^qrd92_osIdb!~Y<*zKf
zD+=u5L1>tQ1^W@9Xy(eczcH7FNW(aP4fQb8k6f%*Sbk*qQP1Q^%2sG2k@gY_hW*p`
z$#DOvG~KHbyMGt8R>yy}?)+fIIS%ZdqDt@BoRaBM%cJEdl&oP^z;<L3_H{r-%S>Ff
z|Dowb!uo4jfBFG#@|a|;%H<AM;haf)qKuL9)s$2w*qM$_no*>Nlt$?6?+*^W(N9d}
zee2SDGa;%r-}DqKD`JkPl#f`Q@4Efbcg}<v<IB9&efQE_XjRIzMpD{kq!NLMducY`
zSMOGb5M&s%N1EdN3UYE{w-P_4v@Ujgx`?^GU9H@WN1O;*$;E`)&9X+mU?PMro!#TW
z+FMk)k>u<|pe`ArqV=vDHA=tdj{7j)=^PW!%=Cnrbkm}(**C(ca?ys9(^>UfqdpeT
z(`xWVV%b`N>gv6_&6;5TS}nxiR>C8_^%*;}H6$O(WwkXS7Pqhlu^@?>^lk2brtKeC
z{(zGLlZSmLOOrjaX9>uNH&mGzGPIHMRVX@__?cN}Ti+jV3Qn4YuE(2#eY|fqAMu)A
zO^0rR^8S{>#VoeEJw-%B@a;Sq6P?@I3@c@TB5jDDiz<PGchL@{;tYy4>y>iOMxUGP
z2{^dtf=p*wY6(LcNP~nZ%Z7gs9Vegkw!Hg)`v^W_N}RKRUyc(45JQR?m+~CQTCc68
z5}tprQ(YrsV?y@pX(RkNp$mxU+BilSpDaQ`8R`>89}Rn$<B*f*k)>{v=szXx3L6d>
z{6R@kmXRdNu7I>fE<6olDbah-^eZR`(^EMv+o4<$7$juDMn3ji=(CFbFf~Hw17g-w
zeC!1sdoC~WL-)^9l?ke&^r|2K>NDA+VIwuQV~Iuf7H~WT79*<ok0fh*<7xmS#qT%K
zdBPWL(ASHZ#@Yw-aQk{`mX37^<Mw35&r0;8z>Z2}^b`+Vcl)c7>s>-QzQWc?N=&iE
z3jhO-6x*1Zu~f5i?rkcSFOFMZE>BnkISM!?1{+7<Ovh92Fm34nr`CYJI!|(|NPi)Z
z+c``=8azQz;CNNmRQJBq;0BP<rSjQh-W*}*J&qdTZd?+#Hk+<tukP6<moR~otleHJ
zXp&0FtTwc$H%H^_8a4NPXT{Bd_EU<wJ)Qx?+qq;J`BrmY-=U;0dQG?gWE{3Z(YP47
zMqcph<1T2Qc71nNeWCUuJSzJtRV=6Z<3uUnNc^MoN`=T|K^bX=_sw<`ld4yuc@F|l
zKl3yb_56~ju?oHMS&Ryi-FKE!VL~Xf{d~ng1<9N3{L>r9XTruB!*YYZw|4Zm&iCgm
zXV#Dl-ZDmc*U;iXz|7j*oZG(@4)yU73*DQ8hjo#cxbV6<rML1{+2H9S_~);hN>tv~
zfg`WfW^?RSn+Jhe*UWY*UnS(JCArH%ivE5H!;##U1O^c2D?jGlws>?%%l-4$qKKFT
zotd;7Vr{{sx<hcZPmkA>Kd+mHd8F<{u2g5yC)2z)DLKA6JIaW0vx{2Tzait7vpbe*
zFsUp|9Na$@OfVso!-DIgM{;{clfj_)l0R1@j*S=JK97?_OI!BH>89!qv&XTYTZi3;
z#QAA+unMLw!G~PJlLT`?<jVO$9~EotPl7%fB`RSMiYp-5YWHpc>()sFQTJj$b3-w@
zj+!Wkb<%19t~Ia}Z@{K(>@?$&lu?hfRPg4mWbdEV_f3?~qpOi_KXC?3^_&<a6h#Lj
zHU~{>-^vISF(^N1rnbOwF-rAUL@h5{&);aoD|@Td7$JTry<gu^fm7Tfozr#*UCGx^
zNg~%}2KB;4XCCTYNR7ey;W~ApJjrKAfJZqdYiXeueknXZT6;l!yYpWPHUB-?>8mef
zsAgw^$`*r`H6Nb&P{ca@+QNl6fK~W=R0GTFLm4@Ri7f*hxdHq)!J3&^HUEeNeb}d4
zd?4o}ZF5-d_v%X)=lsGP-|9!A>RmL7o})?b-_c%Q;o<o$eCN8*U$mS|Pk^<2&d!3j
zXZ={#lJDwmn=l{z@F#52!;Ao5ux-URO-WR|Bos-2_stg?&$JnFhUIdg$>006;<^~9
zpXUqOyM0l*?k~r^tk0E66cAK2|BQ@$5IRslu<m2?OwG%?M)~zebPYLCfoWIMzI7l)
zo#mRl7@z9(S*@Q${@8akM=2xRq|@@BbrxCtLktxQsay^V^->6eI;A+c5Kdg3VsI0q
zxs=cMdAwbP%0(CZL~nX(vCO+s6VMkVAi_Y3bWyu|nlRN&<%gS4j0|=pp2H#u>#eyq
zlS2ZwwPz;%9ogJcQep3rh=%!1X#JIJ!S#B<_Dtqx|NXQrurLfFsL_uLbh{0;TsHRX
zjT}crnf6b2yK$n5;?UJ2%@+?o95e(zb@CqDscx&u!nF_;MdIuyMn#&z)vdBxdUf%s
zB;)GHi<~?urayOkg{4G2ijvjfxt)}9o$cz!$2uSmDeyJkIz#HG#Ec0m6daJ}<`VxT
zt3Y8{CXpltUFU`*)c&<ImwbB|F*?4Eh%$jEh2!n_{PyxR_S1^{orXL_+V9v(LDyde
zb3e)3t@<?@N+keSY!RraIP%A=K!nJ~ZLbxmhm6ym>~zsn#dqBo@CQVc8swIezR2EA
zRWa*Uj>fe&=vbA}C|2TF0|100Iaowp;y*rC$3?!f`x|<#@)U#=-2Qes&SF4>r;0Ub
zsK8-<1;rK$h&`B~x`)vK0JXnU)-uKbmnmhe;*UO?fn0$oTYq!)(%7`@)oO;T(igln
z7U*IXb#;l#KnHbQ+4rg&FJyR#HU|9`?iVrq4G?%rlV9cZ30HojytZ<9pv|5_CnZ`@
zx>MRvBfG3rH*~8=XdXRc-0z1JJmJn)2-(5MFPC}WtE~Wmmbar9Y~$_1WItK7oqWHI
z;20h^4#Zro>U<h@QFH+Cj~ty`A;Fs?pPtx3LlcqEuw8cGQ?q_{Sb1<cLdJ~#V;@E#
z5+PIeVFN!9Q_7tFZQl-y1D0vAp6=vo!ymW0MEr5ED9;In^_2C!Zs8vF9b&+B!Gysj
zrInCt52tq(fsBf)N&4;6OtkHIr}f{&ttZImfA|EKKH#}Jt`bwL+A<av6x?kq$`VC#
zhT;%g98)ZZlLU|UCdISibAd1^3(df?sB5ok=uzEqZ|8!IMZ0zypCAaCG-Rj?Ih<G0
z_r-XKH@f1I<p!|woyF2N-C@=NKv?Eg7m@B%d>zBVT5vcXr@#+Z-)gnew&?w^dOplZ
zB*iVZSm;pmO?gB0X=O!MQbR8HnT}5GUZ2YD&4xKr-yYY#EBwtP|2%aGGBuggo8*Ew
zHDxbn<pe*O9ass~26>_sg!j^2k=(Ci$NrkHNE$Yys6TI$@q`&xBD1`15_J6i6Pvka
zbC8pZL?F>Z$>Xv9a@JL85SsvWVpJw-M8rat6r9z`*$1~c4-z32@@D`nqK7#rk9Al#
zaM9V6j|nt(YSC%e%WY`5!RXejnk!uy0xFfGy%e2rDO^Ghydk)|KIEE_hhX=+*)tWB
zW44A(02p-F!HKDE{&!eb4aQu%tm(sbTV@M%^L05;n;{@GK$;;`#gDeVM??FytSIM+
zN`>3!i=JX+*P~~AtW+=m80d_I{z;x~L<M#<NPrIWwYAgj*0wY`fB(8l71mJComH!V
zb|aL15>Tl-{niB;%1@@2D__vymo<rt`Jf}GIj7^KJ(E*YtbpKkibhi6(l>~*dt~UY
z3K=~xBh&`3!|qUwO~j3TGvxT4e0mrSX$)9{aaQf(05*imkV8J_3RH(AM(MaoU{?%2
zW#}I2f8IAiZ${^RSlo-mzzf!1euV-$_R%>Z5e`s>=-rzlDE93ogiI7AJ8Y&*p>G|a
zYj=c*H;B-RiHi$338Ti&FqLoAoEVo{v}g8QP4s8)PjBlNJ6qQb04N$}YuNleFWDZA
zV=6Cg5YPYy1Wj6TMlczo%Y6L1UtqcJ7%VN9yIq&9URd%o9j{92mf-^LYHgn730ieA
zpXF=yFHv?Noc9TWUOl$hTEziXR<7RaseuO%(?<G?z^-JFFryO)x>4&rPWA})B;<4>
zetJ;$HIAfFr+7|EWLg#Ai&g#>vqRJrfpU)%&K(eZe_2yMP3?0oLgMScTB_AtYtljk
z`#0iTQ5GlytB+l4zS{1@Kd)<7@~1^&KjVTJzguTzaYh3zh?}d9Am%erdDcLxOQZD@
zuRIS+b9b;9C>a(enB{OIk3NRY{EFhWDZKFdMxVM6sV)gFBq=1|MKS-3oXx^PpNfW}
zr`lx7JPwo;Ce$m<1u26K`Ak?%&MrI>76=ZKlc0n6mCT7@u(?Ib!llGTf13lNO<cx%
zf79LU7<3u&Q9kH0H00;VqyroO=1XCf9UQ{c(Z?4Y+B_Fk)Og#z=rj#b#uwLCgz64L
zf~Yx(SmE}PlOl90t;tGRjyJ5*j+Mz`RT=N)7~LM3fp48(Yc(tQKe^3@*bJYC`Z8qE
z1ZOX{T+XAVR!3ZdzSVl1sGDGBg{IQjzMC)Ft%LdGq+BN*)RTWA>Tkq>uDDQCLNY2$
z3X0mvcy3H8;qTM}7=THc<<}{|PaF9KWg<#CoXD9=R<j(ERwFEP1WDPUG|5`RqGn8&
zm%rr{wR}p$aBXW@{?=86Zqbj3iAfputRqo%sts)>yRFc~P?#D<+5I_qx?vQY15~m(
ztoqJ<zyoF;tcVB+!C^6sSQ>r&?ebMP<-j+vr2aMbN3no|rXZQ~!;0wT{z0x*CUqKi
ze%8w-X>21RHm>hTGOL2UIUVOyObEBJ@Q)Vt2+LEprd9BZd3q4&+!2WQ5{f}y!-t2k
zF~=Suu<2m#fZKF0akF2AFwrBZhc*<<;U^Jv#U{J^HOFuyAS8${6iCeGNc8yxB3tcg
zdQ?+(T|(O`t~A;uqnfAm8?+Ro;9!ani8WAiht|n^STEPRBJrE{8%p&?%kucPy`7W=
z=#3`DT3(c0*=pd1lHcH(ri*7v_?dag$1bx9b&Dp>(Fo?EA))E5B9`E{4P@es>@Mx%
z4;JQEYHI}ccRPlSSo5lHzgzyS1PIpg{6g56(is~Cczcw*<)TlWKrWv*iKggDo`8^0
zeph}deuIVTvw5aDnJ*u+RPG{;|5ha4-#ZSc^M)sdWKc78Vyaw!r`-3=$uo*jp6h?k
zbtjHqm+!PjRwly*yGKvRLRJN-kd0G~46UAjSYrCa8mRm1-xE}01y&R<4__5kQfFjP
z>J^UTijq6IUt2N6`3XM-=7?2vCQ_mjjlJbB4Zp$C)K$JeE%QG$FUeK<lQP>!kkwer
z-PTUL3PFTj2d6qz1@AfwvqL3{q#TBXX<Z~@9j1x*OaJI_FL$vA3oS4F5nHR@5N!*z
zI8ESuqZ?OJ!ZCFgF{$R)gF6}&LM^dRKU7qH4b1NB#FA6cbeyiZzzGg0aS+)v(~`v*
z>-JZ)Q~)}PY37Ek2X+Z=P^U_=f%8kkZFhj;*+qpX-Hr(gQbIRd_nf7mcQ2eQ^!>LN
zEyP@W((>EdSwa#b_?zNW^O)y;dOsZHpA}du*kh*VTk{e{m*Gi)SyA~U>@3#<k1G3@
zhmSaLm1S!kHa9dt+7W1y(TEn@<gO7!6}RcM;r@Yb4E?B3--5E;Ii(+w1@oR>s}Quo
zz41JECMalVNlMB<-@i>y3Heg8#Z`io*Om$|uU1gZrmbOucEd4)7j4=t6TLg`_ugj&
zBxcyAs?z)$Bf7r_^X*oCych1?^R=G}zKXQ{2ocxqsV;V9qMp#lzdb)_jYZA+$zi{1
zcCo>ir6)4mD6Oyh7*Zh)D5jMbb~&Wk-OWn|M!{tab}`duJg%epU7P!1sXa+#c75!w
z$@2FU7mV~;Y&TtAQBp``c8aplkf2U&(S#;k<@5y^Ni{o%FBbHQ%5oS4o~-$8`IX@$
z@4T1Sc_Dv*XoIFX^dlvCEZtRCVwuB+Jc8o6A!>fw{F-<)6Flhm{rN0bn+&nr+m|d|
zPxjHnW8FQ)V?&sHz6me7cdz2!5H3yap__k6wcZ%Ua4b!@(ktdtoNr#+XNHca?@{$Y
z>7%vCF@AYiC%W?GuM$gs^;>o!Vd2QvQ@04Ypq_rCFWh_~p$t<TH)%g2|6pQ@-RoTC
zz|N!p^PZ>BLx<4oKX&o5h8H14otT#PHh&Jby3CAr+{&1i7b1SOojZ$6Pxeoo%9U$q
zMxOd3Xg$Yk*->+*<#|;4mVn6KdbM&!z(En%gU#KnJNt8f|9VO$XVSSz+3R%@z0K2R
zj5}F&w<dwf<vX_z?e@-Y0zs7q(L}o@*#7YhwX`Nn$CltrQ#5FL5$|#a>U?A^ge3bL
zxAhkhn@cfzjunBP)s%A4Ue;5h)@MD#<8>*hN&-gY;6vtW6OfVX^XUkIRVO~Ze!s|a
zqWPtq$OxOI(3&oW2xj}lP|a{%spV&FyfelX9VIcFtw+22SvJe+!eL%;y?e0@yz<b}
zVj}YN+MoV$Xi{$fg=f>S9x-R**XM`p>c?UMTYLLj`SY7>Z3TsoZrbjTY5|0T7c-kT
z37mF8%6{JoKr+%Wjk~DxbrY6E9?@|)uESbcyq69SxuWi-+-vsVSv<CZ+PrJ6&GY+9
zUaXbjyQXe66IU!_b;n{uZbuJcplxTO_=nmKceM1aJ+V27VE?3ZI6^a}Ep5aY1Q&}b
z!@?@!1qG)rQrcn54*ej?7}pPd8Q-vP1^bvT*>GyJXd?2^6C-?5mtc*@1Q4TBbbcF(
zY7NoYf$1hp6cU&bIT0WwDZI}h6)-y@6{VPe(DB6cDomZkiCdKJ76qbuxbJbJvO1jX
zQDr9S7<Bjfe6$N?zR>FZnZ2pPZpnUndNvXBHJ4`TKATr3O|@gyO|{yJ=Qd6`%ZIwh
z=?b0CTsRi(VwKNpA2LcXfxRfX%*+xSA|t0WF)gBe&i9M2MZ#tOKEa(rBPEk%%8dyr
z6EiXKxLLoke&@oTRquHy-oS>-Ax2Ku|7+<g9HM-lz90$`9@5<@-5}i|-5}i{`IUwP
zPC&XuBo1kgmhNtlBaZGv@<60J-^1Vg`~lDG?##~Y>}Te)>6s}C>xvi|LpgP|$nxC?
z^BE40r#bMUoi+Zw3|=h3AMe?3=7TDwq<*&?Y>8OqhrTkAm60zAjAL)Uh6ruy3uA!N
zW7K8M-4evH5uhAMDQ10&TpEDs)iF%rY6A1^x5ep+XbdgQg@Pcr@_wF{J0w<|qpGKv
zJYdpJ6%3bp)*rnzsOtp}%KX<GI6#52;`T*8wDWX44q<gQCI`6dD!9(1kFj`z$vA(J
zgn%s_a_C5=3Jv)LbhrwQNqZALR}Z~9nd;N7<H7aE!sJNbDLf)Pon~+*=SOfH6$7yY
zEN|A)I|HCdLb>H`8V_uUkbXx1R@Pm&fKplu+C9JB?3sfc6xo)iW!gbaeYF;WOH3XE
zzrPStQW{ktcD#O9#A^j2h^9(Dew#I3b!1T|q-!;s`GWoY6Q}D943PAl55)z_dX^Z=
z%XBLqP136NbW4a-hsHyBGrvvSC3Z!Az>Sj7s8Gc?y+Aex$;x=6c!lVH{+kU7W7O@G
zz{XsHpp4Pq*o&-A_Z|{BsR-0}7t#Q?_)J8R)@w`%$httgp%NU82Nb8U-Vj#y^~7j@
z=Ms6}Oc`)|i?Fs!m|GAur>0DR0JA$fI<_Kie)_pJ#4SGzc>zy>*~Z&os(TUt_9VC>
z)!~p!>^`6WVk59eJ&H9e^ueq~wKa)gQ^aDZNgEgI<17zAQ%zodBtkBWo<w~gk*mm$
z5U{ZBH9Rw8*8b?Y^HABo{WiYYZlM~jY^_MW<sUHgDm<hpq8~j#frK~s)@$<M&w;ZL
zK#G=qCVlTTjOJ%M&gr_p)<~-!MU?xvkRq&XU*<Q&E3L_bm8|TS;kn2cTeEjsT21)r
z_(iouq-9FU2wFg8d&%l|X8WC~2|rouhl{2AbKlJ**iJP%8q7`s{8BIS!0rT&Ex|A|
zt(zY+Jmo~UMR7L27C={3sCcNB)ilu8XYB0cWP>SH;9?@vbHVR<=DpRh`INPypi&LX
zvX-;B4Z<_R(XZ>^g9VGJk3dN)ok{M?I;@GoP#im7mbZb4o&n)+p2vEd%Py3tzg<e@
z*<_@XnRyT&`XK=z#fNB1HId6N3A!Ii0!;ZocjsDudmmk^SrEJBUJQdv9Sv?I5r3SE
z6{_|-qb<erw2>iea9Id@ygn;xN}Ds3qeHU8Dt9JS9c;(JP~*c5wnq)DL29M&;M))I
zy89RMjO5btI}722irG9!Fws4behoHNFC!1ir!KqS^kHQu8P#U5b?oZN%X4wI%}M2C
zND$TJdPz*GTHrGgUKPorYVI$n;@x3qW-t)u$nRh^sMQxe!pp2Kt7`RDy!LI_)Ca7B
zBwZ1_Q*H-r(*SD>3@$f^@77=Q^|ivcrTp8qZKG76QrM>h8Or;b%@l=3O8kauyjmxj
zHo6LK*3(SzNdwcdx3d}F#Iin5{IKX-i1$<VzW5$LQSr3INa8C*Q<!^s=ohGu5R6i4
zDjx^zmQ@Ky&>x*sw+EhGC~(br2Lc19ZYZiHSNNw+KDAj}pS{cr4V~x#Z_!Va>PvdX
z(Q)u_G8(tN_BS5+3n3*Mt|osF<VZzNN>m@CYfQ;Z=@wb776e{~Iqb{*aBjF%gU<w>
zDsWOaLxsd!Di2%Tnj1Ejz96M0NGOg?`P3)<L9|wm=WZut3jHV9acvxIb2@qny!pP{
zx|n+*z^}1GpJr`C=0nim+Ze51d&fh@6&|8?o<-Oe>i1KOs*<|kdNI}sV>dI_aU*`Q
z>5)c*o5a6rI_5WA03zy5{*=+Ks-ua$AfNR!igDX9gYS3v_Tv9A_EE(`anha&%rl63
zz4e7vu5j*I_MK=tf<k^z!05$tve35zaOI7YxVZ?x4?r&)ZFbnTWIhsT$+eQWrR*TN
zH?G!}4|Y!~`cQ4pHi^G+MN?4C<@RSs*pPhYFjQ%un-PcFxaWrkVaJ3OIva2V;kUv7
zU$j2n6-PdH1Nb!O0EF){yRp-FFL`26Sfhza`of0?uW;iJ4yKAwsM`)cTur%kL@b^w
z+Ar}e$7V{-nI(j5CGp&e-bvBON<S~;$B?kYuFTou4e1EFz|EV;%i<oW+4V*AqyN(L
zd15&erhRi13--fvx<aG;<-TGF*NK1m`6MHc1*F>&z$bB@KCbiSEtdKH2{Dhy0UbeN
zweJ{uC+NN8e;n%XHpK4kAldm2TSUuOf5(lf7Cwzv=C#Oi+l^+b|6a2aYxEZ1RtL*f
z49G>JU*;s9Le#S&DMc@l?1ZnbIz_3G6-cIIR+-8}zo1<Q;xEb_3FEULHx-An#Lz2j
zHikz6m<9ccsu^5|$WKX&EGax`<7zY_cnu>mgxccr1$Y7}dhr!Mj<||GC12SzYrC!=
zr9ardXc4i?)toq<xDozYq+b;vByk=^{si@jog4-)wncW)@XyT9GSZ?TGq0f!yvYME
zuX>0jBFyh^ymeq2YHIRKgCqYLX?#2>P~IkFvGl*540=B+?)YGW?5eaJ*`DL}2&AF{
z?t8Rd)?DUvG>~Btb8ZIpG$)Yh=h!LZjf);Co3H9qm+U9?afM7@%#jwzE?mfx2A&5j
z?T_TX{>4f9@5o58gF%t%W69WBs+Pu0l^|Br6Ki--P$F0f`XUl*O}k*jJP;wj)=dal
zy34*hvxk&cf?XXQS^GmpM<WS|Q!VaqaOPXQ*vQDppBn$CwOKp!^PiWL3`6pe#4nD2
z!Y1+eEyqY-kd-hF9aH+a@jIJe3fg2syV89INM+3yt5!~ck`B$4aIL%PZV&28zJ^Ls
z2ch04b1-{DqBUT9MYM6*S@^SL)G6wI`@(#oTA}8rp|T^+SH9DuF11FQP|L2`aWVWj
zuT>|QWc#@wmg2!ebKF<?Q)FSa)U(qJrX72$xeE@AI5kT@VmzW2vh;v&A=27|%o@;v
z1IiCD6=ix-sQL2UClmjL+oQcQa_4L_#><Tpk+n|APQ^A|hZW_3RO}R%g8UMmuLRcY
zlaW+Rw04{e^Ac|~t&(oZe-Un0lPB%`{q*87plyZdDMz5E!%a+=w5@6@py*~#uyXF8
z_r6RBCrjS7rmU`;_LbvhFg7%Ntsy*xakWV~5?D3xT0fe~>6jfbb^G|&^p)qgIluNv
zcCt9TDX4>@6<^uB5cv{g8pnKGj5Twvy2xt}9q_X;k9|R}aYtb0#yi*l_L7+fqts%P
zzZEd6C1;^o={OhhccWl8_4H^<Stw&5=`RalN__eCmjU@n3cMCdn3GC}9{i_Vhwy{P
zQ~332>tPTB1ozKK8j~d7%OZQb;%oN+ticppZL%>B2WR7N{(0)yeA)V3gA&cPVxbF#
zvPatlIn57W7t0tn_Y2Nb{EY@*^G9_MKI~INZKv{<HYlCGe&6D7p2c~&Yp<lrI8SC;
zFgBVH-}jzB{XRz=!=tK!KW;DY%>)L6AnKlYpHKZDIKC;8-GfsllYDtskjb@Nm-$D(
z5_E2wDc||`&JrJ=Xm<06w&pIN2R<o1)$gr0&b1xDZd$h$jYgKVJ|ve@$l0O^#H5IY
zYENF*u5fQIbCzW+Bt+VvXHtoxc5j8UK0JGdyQVBBt(!;&Efa)M)8iuYujuEAEYx{#
zjLqVQr+K4(DL8v?*oWzERb}+Kip}0&kb%IlQZjhyOX(1$?Nh*GA>B8F%Z?uDu_>M|
zVh7MnNZu^2CHC(NY`*vxi^pet=C+%5{qF-V=#nw}k`F2RD;nWZ_{^({zk3)}$C_gY
z8tRM7+%(^$r&|}8a5BH;(zkqAUT_zt6!yORrY&YBY%sh(sQYKQNzjxt;aR@1JW1-*
zYaTlCWL|{`%H)qT=rb6qyl8k|hYCnFRq$`SIxZ5%^B@hc-R|c8aQmJf^@w4;*7uPP
zBmMZ5%j(x)1J5pm-28q~a-)Qqn*Nxy>i!deReSMfH>A`)M=ymTw0tXQa%!r?d4JpA
zBcHp+hPMP#gR}pM?H!PecnnCcP7bD6+Fh5>=h`}cNK~0F^b2Z(GXjIiK(9ijWJ(FO
zl{mFeiZ*lW>U5Jx_S4;~01V4>3GrDdo;4cmHXgra<QWHd$g2J%{f$m5I8?w;qT{9&
zV56`9K1&oPLyPtf)d`vg?qilS)Y6i^JoDz~d0sDP;n(c9*JOv689zioa3f2fgS3%Y
z5!6?tN%dNhAO_Lb?S3R&z)Mj~Iea}wg^O`9AQMJ*9s7mPhOa%@UZCPJR;wDL54-;%
z_IEDRSfR%q7uE4`y-;vF1-7YyLFG&NY*F+0=o3r<xbig+@b`PzSq;l;<@fJ(-he&p
z>R!G}q5Yc%7YCw}p~QtKNYRIc>2eIf8!0NWI%d7M`jx=)m;$kBR@QxeCc0i~D8fI8
z>V#&oUFlfmTGo!X>AFxxRpxn`6o5$-JW?J*nn^<%89Wi90qkS!rEty-JD$4HzHCjW
zT()8&av+X_lf&m@6|00OKthKMQrsF7P0p%pRJkz$I$l6VxQ%W^#+aSWrmAhQk*Ibv
z`}AxG874`gFoh#SwS)Fx<{jz&?VjFx;y_D`6S>xm5dsg7mSnPm-qdVZ*^F^2zRFeC
zYtY0V@9!~}DxXye+p~Wg&H;@db>lfG%-J|LY5x1|fq_b|4s$$h@HVP$YU)~Uky-zj
zIIyPv4OQ0dWP6&1-Z}@L{dyPI<0p(`MW6k?tkh0X{>R)`p`jal+K6!$rbe1-oVf`G
z!PxMuNsNC#M*)Q~)ENG!p#18j!mT4@F#GDG%HHm*v|P-pILPax+hCpJb>@iTmqE}d
zSm^f#xe$w1#Da~!LNA~F*xC(4Sg&P^k7u!MMMaQJjihQDq50!XkZ{Ro>`5I>;(toX
zc|+2P!N8EzPqCvTyvim=hdH4T?Sap}>&J5Jg`}+^2JvI^5?5}tz<bA_lM)vzo12?8
ztIxpbty+eLk;u|~tA{&36|+NkVMN*di-d?-y;}R<UbCvUwbqKM1uUeULYmp>Nag3e
zN!x#t6TT44SO|f<{P1WcYARGZeV1AI$760K8;O<3#G@GQ=K8MBN%lXO-=T99-oVDX
zVeeDfA;)fEFMEOtjqm;@HKz1yt9uLnVx37P;5tnGR(k)!(Y_$&p9G|JyP@G}*RxnR
zO(H5toGT0(v<|R|e@HkbnN>ZTa!rp|J>VXUWz3Zv{(MryhcPQ3wd?O1zLH!vSyyl(
z%==7q*4$ehdAa6Q@8prUY6LVT1NBMM{ML*44`t=-0~+JSu33aOX|$wO!N&7U2@|n(
z^|Umuk4*)1%#!HmGpS9*sZ)Hyrn&kfb>Ux+i55+w$Z8@sQ<8VrZ{8VBnYu4%lWZuz
z!_BD(-I(`;{ZlX*$O9xLBgm1FKKgEXHPV*NO&(U_Ly#z<gQaOc6N|*|dm0qyCYuCf
zgZ;M+iaAcLmt>uT3Pd9k{07vsS$j?Y9LP}VwBKDRK1PpTE|;NE-3DC&>$7|0M-n@o
zNMBP1;+%gw9#8L#+%*|<KU;8zSr31yp3wQXB`wO|C@Im^7D5t-ULq!|(Z<E@FRzw~
zy>nI-2fY?`M@_RrV^x`Fmz!}F6Nq!gT*w4n4J*SaCfyoNV?>YELO<wPjRxOdf1H;S
z$j1;T;$+c{r?N8IvhhZ=Et|-DbL_ugs<Zs@-$i0U#(L*fT%}|sL7XuL?`%S)M8`jc
zSpanCKI8J?xVpIL+0=Tzsg;dbs`B38ckT#aY~w`dG<E7bSh?&KU<}WD&4#V;+DR~@
z%6sKyrl<jA`L6*-I+p0)veJcVmhG+=FRs&udF<8kmK5+Z8D=sC{tzt#FYTaUAp^CT
z#Wz(s$zw#x0@Oxy5_~tA0;pu5s2C|31)FN=VXOUH<lV~eqYrM!ueUTaVXw%O?fv;O
zSz0yY7Or)0v3;x_xd0P3r2saA@~%N47u~F=^Yim>D?aN#@R^VI*aE6<;su&6@h{if
z*ZJPwd>!LX7>vuyn<_5(37M?^Fnnjv^TBhvL52T%aUHn+FgIZUc?#8-sIN+l_w##!
zExo^-#|1EV_V0EbiqCsDd1}%<2whvfvhZB_c^9_v6WXz>NKc&PjZAP<t}6B29DekV
zBGh?l%z>S<=gjkA`W)(2<fUAS^ob!D3~f%ZAv>Ai0ODn%Yxl(|O`|D{{Fz8Irq8Rl
zchdX)-MLHakk}4FFK)y3w2V}cdjWYIKk3-0dp;Y1ei-pSX7}E&?T&I;vuIw7cOtAt
zB5PpPuMLIfg|5mx;3lBO<kxxJDu0>(1rmHTyc$O>R9ZgMgAc%<6jm|?W^6k=(npZU
z5O1vuclBjuLkpmS!>j4jsPXi)K+bxP(Tm&Vo_=A2ciNEbZ3uhz?RzHWf#_I+<e(~t
zHAYyfDgZ&i$rEzc_|G^<(4YK8^R5%T57PCcm8v&S9;<o-rilB>#`2FH;K6dvB{tLF
zGOwj-(^=%f_7O?Ydtnqt3ZxYI4=vTn>9~veP}buZmC#l>i|5$*?s_~3lYE%HFD$d#
zid(L|B#%fB=7=0T|Np|1#T`vzq8t%bU4AO|SgSYi&4&i(ZX_AYg4_4-&#Y#edBv0U
zHnt+}<>g=g^9KO&Lk$}bIF)*!v9Z`<!iVE2QB^FY;EW7{q(bh}WT3|6&&uOd-95hl
z?eaNLm%HeqmoxvYUbuUK>J|+GcpFrp1Wgfr?sn%xs`6{EM1!Ap**Zrq%aMOK)pvc9
zm7vo=6<i|0SRrZdO_f5-l~;Fm+2mV|*WM0eQN>VAo;QS>0t5fKaCaaEL%9=7e#UAk
z#|f5f8sct%`vZiM76-hVui^Jp>`@X-JMJWIVF4$M-%z0A&O|IHV)bwr@O+)x%D|l{
z?f>{$+2ASOxYD5FOVv9_eLy}KyPM!pZ+z5^E})dBkvGCN(t0$jobiet9DHWY58mxb
z!rBv@ce4wz2~xNACmJ5bvl+63Xv3tWBiIkg34BPJe)25?pSyup>;K;~-v!eqCIW5R
z`LWe~mb8Q%uGrofy;sC=8I|z0=L#DIg9fZ4lAJXnSVvz5%TgLaQO>TSz=S_M#-e`7
z@}&Q{c}~x*1~HL*dqPreIBr4&D$YBtDLZ?L^iuThp-+D7w8h!MwJA)IYDK!N#B&Rn
zmi{B5p$-*#J%w&@Zj-Y;?{QW%Z{grN7z6jyV#NovA2Zd|@WSTjF@_0D4^J)Mx|9U@
z+?f)L8I|I>wwQc7VP@W_pl42z&@zLy1QMVc4_|9x?4Bb%XIGpo4Q-Ta21=o>o@tMD
zt51GG9Ra$zXqVwgNOXQDh=Y&({eu&8+qI4dVwWqaDKPfuSNBKeM$LH`dQ3R0QSqJ<
zljX3~PDS>0T?T+}sg7Y8Iyx$Ct0yqV7wY+zFkwafE3ZN-3`4G;=j)=v)V+iAS=-Y*
zPjQu$X7a)h$h7UCY4P-KofS%|H{JdeR5oK-Schlnh@+X@c8JOh*2_@D?yfZHOf*QU
z?v)nBVL(7YO0?Ecd2@3*Rct*AE32iPT^GUE^iB3;glZ}qEe+|S;d-R1+TOFjDj~aD
zPjkePqM@a)nU!Kz734DW_oKdTC{`+{jfmvC3Ao*bT7HIQey({g8P#L!zIJ>2U@C9s
zno3DLGIAtj?uThsNo>0_ZcVDwy}w$I&!%57(AsaCCQeVhMUm}&hhR;kOs9XT1b=pi
zADF5P+csE9Pg}dx%I;90seW_yeCtxEl2tkAH#yGmnY5~Wtz_|j?zj0~M}vWGrVB55
zx;N9>{qyjHh~5c6um&1r+LOe2pZ?Du>9>S&loT37v<r-%%<oMrLVY+=;It1$S94_<
zZ)9DdkSL7(tm2UfS3!D;d==H8?Bs0p#-;oq2Bj2+Qc3cK!+9tgM4?n(z&k%=s`hCK
z1Zdn{)ZPW>+&ye38SJZU$vapHB9sEiGu~w+Ch15K#|t)1{yn<oJm%8>bhNY%l3Yd=
z`cpqE1p6JDUJyE}%c}6clr4D!ideOT<`fdnCHK{wK%`H=_58Z@)7zoF;83Yg;_r<2
zlAOI{RX@{v-r`PpM#)O8t<lqJ$nOs;MXUAcO(p*e)oVAnk-<qOO97W;V4@A5Kw#0?
z;PiK0)}#w2cEdL8GB?vGgN{b@>#3cbmKyBr;5)y&;XOhJS3q})-N2mr4a!YfP@LrL
zbTSg?G4FydoUQ@Ts(<5W_eT?scx*#&uZ}yYORv~OX5!SqhoDH&_`B^!v3?1$yKuz`
zO?XIXC3V*qHE@d1#$kL%3~qj-u07Lmxq&=IF!Wrt*yUPD31C#0%6=1AtZ^MVrd~WU
zL!AGVY`j1{;k|a?jlo;c1l(_}O7)J|_`DPx#YuIb9zF`(rz8?@noe*P7o#@6%!e>y
z{>tLTVeFT`8aN#<*&o%o|7$R9H)S_AaI!TrF-a5_T4HiT5m6O%Z@26>NQv0n?+di^
zjOQlZzCI;Ri)VaA)d&VU1r)0|ZwZi~^T`?{553+v=8}v;_O0f$wV{5T`w5!bm9w>F
zr1D)0S~N_tIAnwCz$_ws&D2ile6)`!ENs}|C;VpsE4s@MH7`h-)iXjF^B#`yc@2$%
z9g$~!B;76S@BwyuOf1>P*`f<&{nE;0^EYK!buVeiFzT(i)&Y*&)o<CM_!|}o;x9pK
z5yCQ}bK}p*8FzS`*(czsLf9gBhUr1DQ=4+2L5T6Z%QC(zjYtMBYS@ybi~TK;ykC?5
zxr>9NqvaQSfVOri%|gy!Z*o(q@-zK%ZK}9+UoIzw+Lah66#MEvDC1Q?O0K($3nh*;
zbZBf$+etyhF74;lZ>e%O4sW95^ACtJa!Oj_a*7O^@puAS9?9Vjq3K_eEk)Q`nZ^~8
z$hZemj_7jWBoU_uC{Y-Ziljwnwb&GvX_7QD{#J%0Gic0yLwR5771?J+P^jeO`{n#r
z@9``1N-m!Iz{SrXkJGDE=I*OxhW2CPyU3n<MKDBxJr1nA{=Nnv2r*955z#Y=PKhBE
zNg>?O0X$M37}lq$g_tVwLe`iimjJR=sOSL7-qh@Q>Ghfo1kBn=^keA@wNVaaI|or9
zFGhx4@63z<3wx$U^=I;(u^*vvJ&6#AosF+}vD=aKWUDZRw@K;GZQpt)yu4WPn0_jc
zB4Ji$MlSN~2m&njk`j+giKxqbeDT<@<g{;Rza%}G7#(i%1W@rwP<Xo$bFEIhtv8Hp
z>X92D1k-cX%w-T~^r-@Nu=Z^N6@x1tkiz&pcw2Uth%RQ2_!;t3mRFbiDP!^Z{{Zk0
Bi$4GW

literal 0
HcmV?d00001

diff --git a/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js b/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
index a45af72..c3610cf 100644
--- a/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
+++ b/web/pgadmin/tools/backup/static/js/backup_dialog_wrapper.js
@@ -38,7 +38,7 @@ export class BackupDialogWrapper extends DialogWrapper {
     return {
       buttons: [{
         text: '',
-        className: 'btn btn-secondary pull-left fa fa-info pg-alertify-icon-button',
+        className: 'btn btn-primary-icon pull-left fa fa-info pg-alertify-icon-button',
         attrs: {
           name: 'object_help',
           type: 'button',
@@ -49,7 +49,7 @@ export class BackupDialogWrapper extends DialogWrapper {
       }, {
         text: '',
         key: 112,
-        className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+        className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
         attrs: {
           name: 'dialog_help',
           type: 'button',
diff --git a/web/pgadmin/tools/datagrid/static/js/show_data.js b/web/pgadmin/tools/datagrid/static/js/show_data.js
index 04a2b46..8a5071d 100644
--- a/web/pgadmin/tools/datagrid/static/js/show_data.js
+++ b/web/pgadmin/tools/datagrid/static/js/show_data.js
@@ -125,7 +125,7 @@ function initFilterDialog(alertify, pgBrowser) {
             buttons:[{
               text: '',
               key: 112,
-              className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+              className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
               attrs: {
                 name: 'dialog_help',
                 type: 'button',
diff --git a/web/pgadmin/tools/datagrid/templates/datagrid/index.html b/web/pgadmin/tools/datagrid/templates/datagrid/index.html
index 21c3852..88b3c55 100644
--- a/web/pgadmin/tools/datagrid/templates/datagrid/index.html
+++ b/web/pgadmin/tools/datagrid/templates/datagrid/index.html
@@ -15,19 +15,19 @@
     <div class="sql-editor">
         <div id="btn-toolbar" class="editor-toolbar" role="toolbar" aria-label="">
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-load-file" type="button" class="btn btn-sm btn-secondary btn-load-file"
+                <button id="btn-load-file" type="button" class="btn btn-sm btn-primary-icon btn-load-file"
                         title=""
                         accesskey=""
                         tabindex="0">
                     <i class="fa fa-folder-open-o sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
-                <button id="btn-save-file" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-save-file" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         disabled>
                     <i class="fa fa-floppy-o sql-icon-lg" aria-hidden="true" tabindex="0" role="img"></i>
                 </button>
-                <button id="btn-file-menu-dropdown" type="button" class="btn btn-sm btn-secondary dropdown-toggle dropdown-toggle-split"
+                <button id="btn-file-menu-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" disabled
                         tabindex="0">
                 </button>
@@ -45,7 +45,7 @@
                 </ul>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-save-data" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-save-data" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
@@ -53,10 +53,10 @@
                 </button>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-find" type="button" class="btn btn-sm btn-secondary" aria-label="{{ _('Find') }}" title="{{ _('Find (Ctrl/Cmd+F)') }}">
+                <button id="btn-find" type="button" class="btn btn-sm btn-primary-icon" aria-label="{{ _('Find') }}" title="{{ _('Find (Ctrl/Cmd+F)') }}">
                     <i class="fa fa-search sql-icon-lg" aria-hidden="true" tabindex="0" role="img"></i>
                 </button>
-                <button id="btn-find-menu-dropdown" type="button" class="btn btn-sm btn-secondary dropdown-toggle dropdown-toggle-split"
+                <button id="btn-find-menu-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         title=""
                         accesskey=""
@@ -115,13 +115,13 @@
                 </ul>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-copy-row" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-copy-row" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
                     <i class="fa fa-files-o sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
-                <button id="btn-copy-row-dropdown" type="button" class="btn btn-sm btn-secondary dropdown-toggle dropdown-toggle-split"
+                <button id="btn-copy-row-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         tabindex="0">
                 </button>
@@ -133,7 +133,7 @@
                         </a>
                     </li>
                 </ul>
-                <button id="btn-paste-row" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-paste-row" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
@@ -141,7 +141,7 @@
                 </button>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-delete-row" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-delete-row" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
@@ -149,7 +149,7 @@
                 </button>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-edit-dropdown" type="button" class="btn btn-sm btn-secondary dropdown-toggle"
+                <button id="btn-edit-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         aria-label="{{ _('Edit') }}" title="{{ _('Edit') }}" tabindex="0">
                     <i class="fa fa-pencil-square-o sql-icon-lg" aria-hidden="true" role="img"></i>
@@ -232,18 +232,18 @@
             </div>
 
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-cancel-query" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-cancel-query" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0" disabled >
                     <i class="fa fa-stop sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
-                <button id="btn-flash" data-test-selector="execute-refresh-button" type="button" class="btn btn-sm btn-secondary" style="width: 32px;"
+                <button id="btn-flash" data-test-selector="execute-refresh-button" type="button" class="btn btn-sm btn-primary-icon" style="width: 32px;"
                         title=""
                         tabindex="0" data-click-counter="0" disabled>
                     <i class="fa fa-play sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
-                <button id="btn-query-dropdown" type="button" class="btn btn-sm btn-secondary dropdown-toggle dropdown-toggle-split"
+                <button id="btn-query-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         accesskey=""
                         title=""
@@ -265,18 +265,18 @@
                 </ul>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-explain" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-explain" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
                     <i class="fa fa-hand-pointer-o sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
-                <button id="btn-explain-analyze" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-explain-analyze" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey="" disabled>
                     <i class="fa fa-list-alt sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
-                <button id="btn-explain-options-dropdown" type="button" class="btn btn-sm btn-secondary dropdown-toggle dropdown-toggle-split"
+                <button id="btn-explain-options-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         tabindex="0">
                 </button>
@@ -320,20 +320,20 @@
                 </ul>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-commit" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-commit" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0" disabled>
                     <i class="pg-font-icon icon-commit sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
-                <button id="btn-rollback" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-rollback" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         tabindex="0" disabled>
                     <i class="pg-font-icon icon-rollback sql-icon-lg" aria-hidden="true" role="img"></i>
                 </button>
             </div>
             <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-clear-dropdown" type="button" class="btn btn-sm btn-secondary dropdown-toggle"
+                <button id="btn-clear-dropdown" type="button" class="btn btn-sm btn-primary-icon dropdown-toggle"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         title=""
                         accesskey=""
@@ -354,7 +354,7 @@
                 </ul>
             </div>
             <div class="btn-group" role="group" aria-label="">
-                <button id="btn-download" type="button" class="btn btn-sm btn-secondary"
+                <button id="btn-download" type="button" class="btn btn-sm btn-primary-icon"
                         title=""
                         tabindex="0">
                     <i class="fa fa-download sql-icon-lg" aria-hidden="true" role="img"></i>
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index 3aee4f1..473a9e1 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -270,7 +270,7 @@ define([
               return {
                 buttons: [{
                   text: '',
-                  className: 'btn btn-secondary pull-left fa fa-info pg-alertify-icon-button',
+                  className: 'btn btn-primary-icon pull-left fa fa-info pg-alertify-icon-button',
                   attrs: {
                     name: 'object_help',
                     type: 'button',
@@ -281,7 +281,7 @@ define([
                 }, {
                   text: '',
                   key: 112,
-                  className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                  className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
diff --git a/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js b/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
index be5bbb4..5bc5068 100644
--- a/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
+++ b/web/pgadmin/tools/restore/static/js/restore_dialog_wrapper.js
@@ -32,7 +32,7 @@ export class RestoreDialogWrapper extends DialogWrapper {
     return {
       buttons: [{
         text: '',
-        className: 'btn btn-secondary pull-left fa fa-info pg-alertify-icon-button',
+        className: 'btn btn-primary-icon pull-left fa fa-info pg-alertify-icon-button',
         attrs: {
           name: 'object_help',
           type: 'button',
@@ -43,7 +43,7 @@ export class RestoreDialogWrapper extends DialogWrapper {
       }, {
         text: '',
         key: 112,
-        className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+        className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
         attrs: {
           name: 'dialog_help',
           type: 'button',
diff --git a/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js b/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js
index a8b1006..10e7515 100644
--- a/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js
+++ b/web/pgadmin/tools/schema_diff/static/js/schema_diff.backform.js
@@ -318,16 +318,16 @@ let SchemaDiffHeaderView = Backform.Form.extend({
       <div class="col-5 target-buttons">
           <div class="action-btns d-flex">
               <button class="btn btn-primary mr-auto"><i class="icon-schema-diff-white"></i>&nbsp;` + gettext('Compare') + `</button>
-              <button id="generate-script" class="btn btn-secondary mr-1" disabled><i class="fa fa-file-code-o sql-icon-lg"></i>&nbsp;` + gettext('Generate Script') + `</button>
+              <button id="generate-script" class="btn btn-primary-icon mr-1" disabled><i class="fa fa-file-code-o sql-icon-lg"></i>&nbsp;` + gettext('Generate Script') + `</button>
               <div class="btn-group mr-1" role="group" aria-label="">
-                <button id="btn-filter" type="button" class="btn btn-secondary"
+                <button id="btn-filter" type="button" class="btn btn-primary-icon"
                         title=""
                         accesskey=""
                         tabindex="0"
                         style="pointer-events: none;">
                     <i class="fa fa-filter sql-icon-lg" aria-hidden="true"></i>&nbsp;` + gettext('Filter') + `
                 </button>
-                <button id="btn-filter-dropdown" type="button" class="btn btn-secondary dropdown-toggle dropdown-toggle-split"
+                <button id="btn-filter-dropdown" type="button" class="btn btn-primary-icon dropdown-toggle dropdown-toggle-split"
                         data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"
                         title=""
                         accesskey=""
diff --git a/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss b/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss
index 6778f26..2675591 100644
--- a/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss
+++ b/web/pgadmin/tools/schema_diff/static/scss/_schema_diff.scss
@@ -24,7 +24,7 @@
   font-size: $tree-font-size;
   .ui-widget-content {
     background-color: $input-bg;
-    color: $input-color;
+    color: $schema-diff-color-fg;
   }
 
   .ui-state-default {
@@ -114,3 +114,15 @@
   font-size: 0.7rem;
   margin-left: 0rem;
 }
+
+.slick-group {
+  color: $input-color !important;
+}
+
+.slick-group:hover {
+  color: $schema-diff-color-fg !important;
+}
+
+.slick-group.active {
+  color: $schema-diff-color-fg !important;
+}
diff --git a/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js b/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js
index 8f052a8..5cfd4df 100644
--- a/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js
+++ b/web/pgadmin/tools/search_objects/static/js/search_objects_dialog_wrapper.js
@@ -510,7 +510,7 @@ export default class SearchObjectsDialogWrapper extends DialogWrapper {
       buttons: [{
         text: '',
         key: 112,
-        className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+        className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
         attrs: {
           name: 'dialog_help',
           type: 'button',
diff --git a/web/pgadmin/tools/sqleditor/static/scss/_history.scss b/web/pgadmin/tools/sqleditor/static/scss/_history.scss
index b292263..fe9ef8e 100644
--- a/web/pgadmin/tools/sqleditor/static/scss/_history.scss
+++ b/web/pgadmin/tools/sqleditor/static/scss/_history.scss
@@ -179,7 +179,7 @@
     .was-copied {
       background-color: $color-primary-light;
       border-color: $color-primary-light;
-      color: $active-color;
+      color: $btn-copied-color-fg;
     }
 
     .CodeMirror-scroll {
diff --git a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
index 94dac6a..6556508 100644
--- a/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
+++ b/web/pgadmin/tools/sqleditor/static/scss/_sqleditor.scss
@@ -149,7 +149,7 @@ li.CodeMirror-hint-active {
 
 #datagrid .slick-header .slick-header-column.selected {
   background-color: $color-primary;
-  color: $color-primary-fg;
+  color: $datagrid-selected-color;
 }
 .slick-row .slick-cell {
   border-bottom: $panel-border;
@@ -211,6 +211,7 @@ li.CodeMirror-hint-active {
 /* Override selected row color */
 #datagrid .slick-row .slick-cell.selected {
     background-color: $table-bg-selected;
+    color: $datagrid-selected-color;
 }
 
 /* color the first column */
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index 1de5abb..c93de53 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -106,7 +106,7 @@ define([
                 buttons: [{
                   text: '',
                   key: 112,
-                  className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                  className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
@@ -686,7 +686,7 @@ define([
                 buttons: [{
                   text: '',
                   key: 112,
-                  className: 'btn btn-secondary pull-left fa fa-question pg-alertify-icon-button',
+                  className: 'btn btn-primary-icon pull-left fa fa-question pg-alertify-icon-button',
                   attrs: {
                     name: 'dialog_help',
                     type: 'button',
diff --git a/web/webpack.config.js b/web/webpack.config.js
index 3237e5e..bca99a9 100644
--- a/web/webpack.config.js
+++ b/web/webpack.config.js
@@ -167,9 +167,16 @@ fs.readdirSync(all_themes_dir).map(function(curr_dir) {
   if(stats.isDirectory()) {
     /* Theme directory found */
     let cssfile = 'pgadmin.theme.'+curr_dir;
+
+    let disp_name = curr_dir;
+
+    if(curr_dir == 'high_contrast') {
+      disp_name = curr_dir + ' (Beta)';
+    }
+
     pgadminThemes[curr_dir] = {
       /* For now lets keep it as beta release */
-      disp_name: curr_dir,
+      disp_name: disp_name,
       cssfile: cssfile,
       preview_img: curr_dir + '_preview.png',
     };
